commit b6c51f93d53ed17c0cc14ffdef6a5a4caa3bbd10
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:   2013-08-19

    Release 3.9.90

M	NEWS
M	README
M	configure.ac

commit 05f388de6dd2569941b6f01a182107bad8a3d269
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-08-19

    GtkSourceStyle: add missing GObject stuff in the header

    It fixes compilation warnings.

M	docs/reference/gtksourceview-3.0-sections.txt
M	gtksourceview/gtksourcestyle-private.h
M	gtksourceview/gtksourcestyle.c
M	gtksourceview/gtksourcestyle.h

commit 14680cfe4558f4f66d186ca839391134d510f7ca
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-08-19

    Doc: "Returns:" for gtk_source_buffer_iter_has_context_class()

    It fixes a compilation warning.

M	gtksourceview/gtksourcebuffer.c

commit fda55187ab3fb7abaf0294bbe26accc1ac5f5681
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-08-19

    SearchContext: replace() and replace_all(): clear replace error

M	gtksourceview/gtksourcesearchcontext.c

commit 33add0fbd412a3d60e10568916626f735577db1f
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-08-19

    SearchContext: add the "regex-state" property

    It will be useful to know where to display the regex error in gedit.

M	docs/reference/gtksourceview-3.0-sections.txt
M	gtksourceview/gtksourcesearchcontext.c
M	gtksourceview/gtksourcesearchcontext.h

commit 4d5b073fcd5f7bf770f794f12565794ef5bbb199
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-08-16

    Better document context classes

    https://bugzilla.gnome.org/show_bug.cgi?id=706170

M	gtksourceview/gtksourcebuffer.c

commit b5f4f0db8d8041ec4a49e5bc0b40853c0c6ee225
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-08-15

    SearchContext: more unit tests

M	tests/test-search-context.c

commit 4ff6b0c5bcf20e2d81d255679ce1ef1f051afe4b
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-08-15

    SearchContext: fix a bug with partial matches

    A unit test will arrive soon.

M	gtksourceview/gtksourcesearchcontext.c

commit b5e8148190a3ebdeb16e6d3b2bfac4e7961caa5b
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-08-15

    SearchContext: fix the unit tests

M	gtksourceview/gtksourcesearchcontext.c

commit e7607584ec354118509f8985b7819a491d555961
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-08-15

    SearchContext: fix a crash with backward regex search

M	gtksourceview/gtksourcesearchcontext.c

commit 2dac65c8ec1e7b2783362ed145c03c5c31e75f2a
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-08-14

    SearchContext: use the regex error for the replace too

M	gtksourceview/gtksourcesearchcontext.c

commit ab324dc734ebc63a0694d163a8d7e372e66584b0
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-08-14

    SearchContext: stop search on regex matching error

M	gtksourceview/gtksourcesearchcontext.c

commit 8ff4cbee2b5af69943df6f2fcc9fbebb5c188106
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-08-14

    SearchContext: document a known issue (for a rare corner case)

M	gtksourceview/gtksourcesearchcontext.c

commit 709425f1b82142570b62d04a9e7a1030aecb361f
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-08-14

    SearchContext: don't scan_all_region() in smart sync search

    The was a performance problem (O(N^2)) for one of the regex search
    test.

M	gtksourceview/gtksourcesearchcontext.c

commit 26d6a2e4d26f16241a39d55e8112cbed993e3830
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-08-14

    SearchContext: small code improvement

M	gtksourceview/gtksourcesearchcontext.c

commit b22e2fc667a460996a7d228f3ba5751b9f11e6f1
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-08-13

    Test regex search performances

    It seems that for some regexes, it is a O(N^2) complexity :/

M	tests/test-search-performances.c

commit 8b965019d1cc700254387e63ccb5afc84bd50f55
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-08-13

    SearchContext: add improvement ideas

M	gtksourceview/gtksourcesearchcontext.c

commit acb2970f6eff05a2aecbe1b4f40670ab49d3112e
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-08-12

    Remove gtk_source_buffer_disable_search_highlighting()

    Not really useful in gedit.

M	docs/reference/gtksourceview-3.0-sections.txt
M	gtksourceview/gtksourcebuffer.c
M	gtksourceview/gtksourcebuffer.h
M	gtksourceview/gtksourcesearchcontext.c
M	tests/test-search-context.c

commit 1b3f32c30a19880a965f3e319da4a93b5c6a4982
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-08-05

    SearchContext: free the found_tag

M	gtksourceview/gtksourcesearchcontext.c

commit 2a38863fcf2424062ae0ce3e4ad81e8adc81403a
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-08-04

    SearchContext: take directly search->priv->settings

    Instead of calling get_settings(). The priv->settings can not be NULL.

M	gtksourceview/gtksourcesearchcontext.c

commit 97d1f36dd9d34679f1164c6c248f416b9f9a5578
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-08-01

    Test programs: re-add search highlighting

M	tests/test-search-context.c
M	tests/test-search.c

commit 5ce5daa42fe224d4da75c6b4b3038c1f30f24061
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-08-01

    SearchContext: set_settings(): allow NULL to create a new settings

    gtk_source_search_context_new() already allows a NULL SearchSettings.

M	gtksourceview/gtksourcesearchcontext.c

commit ee50251824bf1a9718edade6b5cf275389e83161
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-08-01

    Add gtk_source_buffer_disable_search_highlighting()

    The buffer must have a list of search contexts. It is done with
    _gtk_source_buffer_add_search_context(), and the buffer holds a weak
    reference to the context. It must not be the other way around, the
    context must have a strong reference to the buffer, because the
    context
    needs the buffer. On the other hand, the buffer can work without
    search
    contexts.

M	docs/reference/gtksourceview-3.0-sections.txt
M	gtksourceview/gtksourcebuffer-private.h
M	gtksourceview/gtksourcebuffer.c
M	gtksourceview/gtksourcebuffer.h
M	gtksourceview/gtksourcesearchcontext.c

commit db63c878ad29dd95aedcb7c24c8bdb51ca9674cb
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-08-01

    Move private buffer functions to gtksourcebuffer-private.h

    Instead of having them in a public header. The symbols are anyway not
    exported.

M	docs/reference/Makefile.am
M	gtksourceview/Makefile.am
A	gtksourceview/gtksourcebuffer-private.h
M	gtksourceview/gtksourcebuffer.c
M	gtksourceview/gtksourcebuffer.h
M	gtksourceview/gtksourcemark.c
M	gtksourceview/gtksourceprintcompositor.c
M	gtksourceview/gtksourceview.c

commit fadd1f07be3aa0ffd21fc97453be9bc9271d7fa8
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-08-01

    SearchContext: add highlight property

M	docs/reference/gtksourceview-3.0-sections.txt
M	gtksourceview/gtksourcesearchcontext.c
M	gtksourceview/gtksourcesearchcontext.h

commit 9bbeab487fd419c3341359bcfbeeecea82c39c22
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-07-31

    SearchContext: init found_tag in set_buffer()

    With the previous API, the buffer could not be completely constructed
    when the Search object was created, so the solution was to call
    init_found_tag() a bit everywhere, if the found_tag was not already
    initialized.

    Now when the buffer is set, we are sure that it is constructed, so we
    can directly init the found_tag without problems with the tag table.

M	gtksourceview/gtksourcesearchcontext.c

commit 012a07fe79cb5ee58ba3a14765a66013a9ad7422
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-07-31

    build: sort the tests and unit tests

M	tests/Makefile.am

commit cf338a7f3deb4a6b7a838d7d22d7abeabe41df37
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-07-31

    Adapt the documentation for the new search API

M	docs/reference/gtksourceview-3.0-sections.txt
M	docs/reference/gtksourceview-docs.xml
M	gtksourceview/gtksourcebuffer.c
M	gtksourceview/gtksourcesearchcontext.c
M	gtksourceview/gtksourcesearchsettings.c
M	gtksourceview/gtksourceutils.c

commit a0c0ae59aef5521ec4229a62bc8dc08d88d105a7
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-07-31

    Doc: sort the classes in gtksourceview-3.0-sections.txt

M	docs/reference/gtksourceview-3.0-sections.txt

commit 850060688d6c79eed145c245fa5b164415e38901
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-07-27

    New search and replace API, with SearchContext and SearchSettings

    The API is more flexible. Before, only one search was possible at a
    time: there was a 1:1 relationship between the buffer and the private
    Search object. Now it is a 1:N relationship between the buffer and the
    SearchContext: it is possible to run several searches at the same
    time.
    And also a 1:N relationship between the SearchContext and the
    SearchSettings: it is possible to share search settings between
    several
    buffers.

    In summary, it is an indirect many-to-many relationship between the
    buffer and the search settings.

	   0-N	     1-1	       1-1	 0-N
    Buffer ------------- SearchContext ------------- SearchSettings

M	docs/reference/gtksourceview-3.0-sections.txt
M	gtksourceview/Makefile.am
M	gtksourceview/gtksource.h
M	gtksourceview/gtksourcebuffer.c
M	gtksourceview/gtksourcebuffer.h
M	gtksourceview/gtksourcesearchcontext.c
M	gtksourceview/gtksourcesearchcontext.h
A	gtksourceview/gtksourcesearchsettings.c
A	gtksourceview/gtksourcesearchsettings.h
M	gtksourceview/gtksourcetypes.h
M	po/POTFILES.in
M	tests/test-search-context.c
M	tests/test-search-performances.c
M	tests/test-search.c
M	tests/test-search.ui

commit b99441e921fe033dbf4be7bd66439092487fcc25
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-07-27

    Search: rename test programs

    test-search -> test-search-context
    test-search-ui -> test-search

    (I didn't like the name test-search-ui)

M	gtksourceview/gtksourcebuffer.c
M	tests/Makefile.am
C099	tests/test-search.c	tests/test-search-context.c
D	tests/test-search-ui.c
M	tests/test-search.c
R068	tests/test-search-ui.gresource.xml
tests/test-search.gresource.xml
R100	tests/test-search-ui.ui tests/test-search.ui

commit 79d2cd359ec54e557003a17db9cf69f054be6e3e
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-07-24

    Rename GtkSourceSearch -> GtkSourceSearchContext

M	docs/reference/Makefile.am
M	gtksourceview/Makefile.am
M	gtksourceview/gtksource.h
M	gtksourceview/gtksourcebuffer.c
D	gtksourceview/gtksourcesearch.h
R085	gtksourceview/gtksourcesearch.c
gtksourceview/gtksourcesearchcontext.c
A	gtksourceview/gtksourcesearchcontext.h
M	gtksourceview/gtksourcetypes-private.h
M	gtksourceview/gtksourcetypes.h
M	po/POTFILES.in
M	tests/test-search-performances.c
M	tests/test-search-ui.c
M	tests/test-search.c

commit 55917044c69091dc4e1743d69844b47877a6dd4e
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-07-11

    Regex search

M	docs/reference/gtksourceview-3.0-sections.txt
M	gtksourceview/gtksourcebuffer.c
M	gtksourceview/gtksourcebuffer.h
M	gtksourceview/gtksourcesearch.c
M	gtksourceview/gtksourcesearch.h
M	tests/test-search-ui.c
M	tests/test-search-ui.ui
M	tests/test-search.c

commit 79de404468f98231bb685ca14a8c1bd5bbe36fde
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-08-16

    buffer: fix a memory leak in get_context_classes_at_iter()

M	gtksourceview/gtksourcebuffer.c

commit 901d85ed80a4708f94158af86c7895f66260f8ff
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2013-08-11

    Updated Lithuanian translation

M	po/lt.po

commit 55ef219aaf1062fe6d9281c1e383831f61d99c2a
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2013-08-02

    Updated Galician translations

M	po/gl.po

commit c22252ea51a35fd904a40401e52f2a3a02d1552c
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2013-07-31

    Updated Hebrew translation.

M	po/he.po

commit 5a46af773375051a7587b75557df4533db958c04
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-07-31

    Updated Spanish translation

M	po/es.po

commit 031a86ca24d890c399ae3ef220f1d7ae520c3108
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2013-07-30

    [l10n] Updated Italian translation.

M	po/it.po

commit bf69fab51f2efb39a7956f33271b2c72a58e168d
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-07-29

    Post-release version bump

M	README
M	configure.ac

commit ff01757f8db858b231ef98d33e3adc8c035fea25
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-07-29

    Release 3.9.4

M	NEWS

commit dd82397295a104883893e60c567d35e2988e338c
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-07-29

    Warning: the search and replace API is unstable

M	gtksourceview/gtksourcebuffer.c

commit f3bfc419d996b7a74b4329d7c011b661b5cc1c6a
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-07-27

    GTK+ >= 3.9.9 required

M	README
M	configure.ac

commit 571cc2a582295632dd99626f5e40d38380fe17d8
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2013-07-26

    Fix tests for recent GTK+ api changes

    The template binding macros got renamed around a few times.

    https://bugzilla.gnome.org/show_bug.cgi?id=704962

M	tests/test-search-ui.c

commit 5c71689780a9b5908e29c1f32ee774b54f1f3c5e
Author: Ignacio Casal Quinteiro <ignacio.casal@nice-software.com>
Date:	2013-07-26

    Fix api break for templates

M	tests/test-search-ui.c

commit 7a5a70001ea3bb6940db85c8bdf3c6565499e1e3
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2013-07-25

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit ec297f2bd4f3484c9746562348535f00b1584fa2
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-07-24

    javascript.lang: include the missing null value context

    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=704743

M	data/language-specs/javascript.lang

commit e6b6123f9e36688ce87b539f852f6388f0d518f8
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-07-24

    Completion: add a comment with an idea to improve the code

M	gtksourceview/gtksourcecompletion.c

commit 8d0ea964be2b72bd9fc2a66b6aa7b3ff47a5d0ea
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-07-23

    Have a clean git status

    - add test-driver.
    - add *.log and *.trs to git.mk. These files are generated with make
      check, but git.mk doesn't handle that yet, see
      https://github.com/behdad/git.mk/issues/8

M	Makefile.am
M	git.mk

commit a461a72ab3cbd73c805d691d4998573bba8a6ea0
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-07-22

    build: do not remove deprecated symbols from header files

    By default.

M	configure.ac

commit e5c58a446ad3dc2f22b9ad730ec9d4586621c360
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-07-22

    Updated Spanish translation

M	po/es.po

commit 2497272b262e713d125b3aabee8a2080df3c7395
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-07-17

    Fix bug in gtk_source_utils_escape_search_text()

    And add unit tests.

M	gtksourceview/gtksourceutils.c
M	tests/Makefile.am
A	tests/test-utils.c

commit ea199621cefeadf42986193bffeaf66377eb9138
Author: Marek Černocký <marek@manet.cz>
Date:	2013-07-14

    Updated Czech translation

M	po/cs.po

commit d4d8b40da2abc8635bc7112a344936c919450679
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-07-13

    search: -1 for search-occurrences-count if not yet known

    It is useful for display purposes. -1 is already used for
    get_search_occurrence_position().

M	gtksourceview/gtksourcebuffer.c
M	gtksourceview/gtksourcebuffer.h
M	gtksourceview/gtksourcesearch.c
M	gtksourceview/gtksourcesearch.h
M	tests/test-search-ui.c
M	tests/test-search.c

commit 9733744aa9467a5afeefff59192ad11f3634cfc1
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-07-12

    Add API to enable/disable search highlighting

    And add a button in test-search-ui to test the new setting.

    Disabling the search highlighting can be useful for using the API in a
    different context than the standard search and replace. For example
    the
    gedit spell checking plugin can use the replace_all() function.

    It is also useful to be able to disable/enable the search highlighting
    without losing the text to search.

M	docs/reference/gtksourceview-3.0-sections.txt
M	gtksourceview/gtksourcebuffer.c
M	gtksourceview/gtksourcebuffer.h
M	gtksourceview/gtksourcesearch.c
M	gtksourceview/gtksourcesearch.h
M	tests/test-search-ui.c
M	tests/test-search-ui.ui

commit a6087783e01b00aa4a7c7b236f2c7936634427ef
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-07-12

    search: disable matching brackets highlighting when replace all

M	gtksourceview/gtksourcesearch.c

commit 8b1ef4d31f78ff9340c697cde39aa99b7502b920
Author: Marek Černocký <marek@manet.cz>
Date:	2013-07-09

    Updated Czech translation

M	po/cs.po

commit a7ea64ea3d0523607d95231079563d1e7fe4c345
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-07-09

    Updated Spanish translation

M	po/es.po

commit 3c2dd9d8293f2b02108751cf053bf030f3b59999
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-07-09

    search: block callbacks during replace all

    There is a big difference in performances.

M	gtksourceview/gtksourcesearch.c

commit c827aa9887d8cb53819e72ca1c86544bffb1875f
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-07-09

    search: improve API doc

M	gtksourceview/gtksourcebuffer.c

commit e521270f76117b3eb2c12ade67c4abfe54d8dedc
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-07-08

    Bump gtk+ required version

    For the composite widget templates.

M	README
M	configure.ac

commit 4a417c80684a1ec705dd0d272eb26ff1d636464b
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-07-08

    Post-release version bump

M	README
M	configure.ac

commit f5ce2e12b8c91b4fe002994a82877288a1448287
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-07-08

    Release 3.9.3

M	NEWS

commit 1be57b8bca818a1579116b3a31806926cf384cf4
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-06-15

    Higher-level asynchronous search and replace API

    And the implementation, the documentation, some unit tests, a test for
    the performances, a mini program with a basic UI, and utilities
    functions.

M	README
M	configure.ac
M	docs/reference/Makefile.am
M	docs/reference/gtksourceview-3.0-sections.txt
M	docs/reference/gtksourceview-docs.xml
M	gtksourceview/Makefile.am
M	gtksourceview/gtksource.h
M	gtksourceview/gtksourcebuffer.c
M	gtksourceview/gtksourcebuffer.h
A	gtksourceview/gtksourcesearch.c
A	gtksourceview/gtksourcesearch.h
M	gtksourceview/gtksourcetypes-private.h
A	gtksourceview/gtksourceutils.c
A	gtksourceview/gtksourceutils.h
M	po/POTFILES.in
M	tests/Makefile.am
A	tests/test-search-performances.c
A	tests/test-search-ui.c
A	tests/test-search-ui.gresource.xml
A	tests/test-search-ui.ui
A	tests/test-search.c

commit 511b3bdda80cc09c40f72266ac2580ef27ebdd67
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-07-08

    Use G_SOURCE_REMOVE and G_SOURCE_CONTINUE

M
gtksourceview/completion-providers/words/gtksourcecompletionwordsbuffer.c
M	gtksourceview/gtksourcecompletion.c
M	gtksourceview/gtksourcecompletioninfo.c
M	gtksourceview/gtksourcecontextengine.c

commit d2c849e697c10a5f6d536b9356df23ab3cdde72d
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-07-08

    The King is Dead

    http://blogs.gnome.org/ebassi/2013/06/21/the-king-is-dead/

M
gtksourceview/completion-providers/words/gtksourcecompletionwords.c
M
gtksourceview/completion-providers/words/gtksourcecompletionwordsbuffer.c
M
gtksourceview/completion-providers/words/gtksourcecompletionwordslibrary.c
M
gtksourceview/completion-providers/words/gtksourcecompletionwordsproposal.c
M	gtksourceview/gtksourcebuffer.c
M	gtksourceview/gtksourcecompletion.c
M	gtksourceview/gtksourcecompletioncontainer.c
M	gtksourceview/gtksourcecompletioncontext.c
M	gtksourceview/gtksourcecompletioninfo.c
M	gtksourceview/gtksourcecompletionitem.c
M	gtksourceview/gtksourcecompletionmodel.c
M	gtksourceview/gtksourcecontextengine.c
M	gtksourceview/gtksourceengine.c
M	gtksourceview/gtksourcegutter.c
M	gtksourceview/gtksourcegutterrenderer.c
M	gtksourceview/gtksourcegutterrendererlines.c
M	gtksourceview/gtksourcegutterrenderermarks.c
M	gtksourceview/gtksourcegutterrendererpixbuf.c
M	gtksourceview/gtksourcegutterrenderertext.c
M	gtksourceview/gtksourcelanguage.c
M	gtksourceview/gtksourcelanguagemanager.c
M	gtksourceview/gtksourcemark.c
M	gtksourceview/gtksourcemarkattributes.c
M	gtksourceview/gtksourceprintcompositor.c
M	gtksourceview/gtksourcestylescheme.c
M	gtksourceview/gtksourcestyleschememanager.c
M	gtksourceview/gtksourceundomanagerdefault.c
M	gtksourceview/gtksourceview.c

commit d891935d65156e082945649b7fbfddd671aacace
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-07-08

    pixbuf helper: ignore GtkStock deprecations

    When removing the public API wrt GtkStock, the from_stock()
    function can
    be removed too.

M	gtksourceview/gtksourcepixbufhelper.c

commit aa2d610c9d1e44111fa62f84f29a6d1d2364aa33
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-07-08

    Deprecate the GtkSourceGutterRendererPixbuf:stock-id property

    And deprecate also the getter and setter.

    GtkStock is deprecated.

M	gtksourceview/gtksourcegutterrendererpixbuf.c
M	gtksourceview/gtksourcegutterrendererpixbuf.h

commit 7ea8f0114bc0c0e06aa1b635de05c804c2dd8011
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-07-08

    Deprecate gtk_source_completion_item_new_from_stock()

    GtkStock is deprecated.

M	gtksourceview/gtksourcecompletionitem.c
M	gtksourceview/gtksourcecompletionitem.h

commit f276281850b3cbfd5e5261e9e9dd7a2b0dae35af
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-07-08

    test-completion: do not use GtkStock (deprecated)

M	tests/test-completion.c

commit 8eb271f6fbd79dd5a2d2c31a0ae1f6015a99410a
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-07-08

    Do not use gtk_image_menu_item_new_from_stock() (deprecated)

    GtkTextView uses now gtk_menu_item_new_with_mnemonic().

M	gtksourceview/gtksourceview.c

commit cb91a9fd7d8f3437fb5442f2523aeb635244e5ed
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-07-07

    glade catalog: fix the default property values

    Although the glade catalog can have another default value, I
    think it's
    better to have the same defaults as in normal code.

M	data/glade/gtksourceview.xml.in

commit af8d95d2e68d571a7680d3267dfc704753114260
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-07-07

    glade catalog: remove "common" in property tags

    "common: If set to "True", the property will end up on the common tab
    even if its not a property of GtkWidgetClass."

    The GtkSourceView properties have nothing to do in the common tab.

M	data/glade/gtksourceview.xml.in

commit 6587e6969c87b548aa713220d96a1f29364d3b8c
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-07-07

    CompletionContainer: add FIXME comment

M	gtksourceview/gtksourcecompletioncontainer.c

commit 110cc1c1674fed790d782b447c019c644da6a716
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2013-07-02

    Updated Lithuanian translation

M	po/lt.po

commit 7620805087b9a820fd2fdfc099be3de8ef5b1e99
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-06-28

    test-languagemanager: don't use g_test_trap_fork() (deprecated)

M	README
M	configure.ac
M	tests/test-languagemanager.c

commit 22a377747ccba16279558e2e44093d0cbef92b07
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-06-28

    test-buffer: don't use g_test_trap_fork (deprecated)

    g_test_trap_fork() was actually not needed in this case, since
    the test
    must succeed. g_test_trap_fork() is useful when we know that a test
    should fail.

M	tests/test-buffer.c

commit 200cda7c0a227ab6ef8176233e49e55d87f4a6dd
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-06-28

    View: use g_signal_connect_object()

    No need to set the source buffer to NULL on dispose, the signals
    will be
    disconnected automatically.

M	gtksourceview/gtksourceview.c

commit 346f969b1c8157206c2aeb00f60aeda77308ada7
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:	2013-06-30

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 1fafc2642f8f51975877fadb3bba7f364fe9e518
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-06-28

    build: remove VERSION_MIN_REQUIRED and VERSION_MAX_ALLOWED

    When compiling the code, there were no deprecation warnings
    (except for
    g_type_class_adjust_private_offset()).

    To have all deprecation warnings, the only solution is to not use
    VERSION_MIN_REQUIRED and VERSION_MAX_ALLOWED...

    Having the min_required at 2.34 and max_allowed at 2.38 doesn't work.
    Having only min_required or only max_allowed doesn't work too.
    I think I tried all the possibilities.

    The purpose of having the min_required and max_allowed was to
    make sure
    that the required versions were correct. Now if we use a new
    symbol, we
    must update the required version, we won't get warnings about that.

M	configure.ac

commit a0fe7d53ae57d4b74528bb60952a991921384bfb
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-06-24

    build: bump glib required version

    Without that, there are lots of warning messages during the
    compilation
    if we have a recent glib.

    We will soon use G_DEFINE_TYPE_WITH_PRIVATE, so we will need a recent
    glib version anyway.

M	configure.ac

commit 17caa5d1eee4e2a0f80979b71f7ef61a8ad9dee3
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-06-24

    CompletionWords: ~3x faster when working on strings

    Tested with short lines: 1.32 seconds with strings, 3.17 seconds with
    text iters (2.4x faster).

    Tested with long lines: 16.62 seconds with strings, 58.82 seconds with
    text iters (3.5x faster).

M
gtksourceview/completion-providers/words/gtksourcecompletionwordsutils.c

commit 0fc7ff7b0cfada1fb5b3d83d7055db3ffa8035e6
Author: Colin Walters <walters@verbum.org>
Date:	2013-06-19

    build: fix srcdir != builddir

M	gtksourceview/Makefile.am

commit 024efd1e68a76c8048e4ecb2cb450e11f8c277d9
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-06-14

    Include gtksourceview-typebuiltins.h in gtksource.h

    Second try.

    gtksourceview-typebuiltins.h is a public header, but is a generated
    file.

    https://bugzilla.gnome.org/show_bug.cgi?id=689104

M	gtksourceview/Makefile.am
M	gtksourceview/gtksource.h
M	tests/test-widget.c

commit 2c330bd3f4eadea8e1175fde2affc12ec085bd93
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-06-17

    Post-release version bump

M	README
M	configure.ac

commit a6ad6bab7f648ad9fd6d527b806bde284c573bbc
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-06-17

    Release 3.9.2

M	NEWS

commit cce461117036680336344e670b61d5536286e32a
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-06-13

    Doc: interactive completion and insertion/deletion in the buffer

    https://bugzilla.gnome.org/show_bug.cgi?id=625918

M	gtksourceview/gtksourcecompletioncontext.c

commit 96b7cfa62bc9de5c7527cf37ae367abe51a90a60
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-06-14

    Automake: don't use INCLUDES (deprecated)

M	gtksourceview/Makefile.am
M	gtksourceview/completion-providers/words/Makefile.am
M	tests/Makefile.am

commit 3cdb3cf5fa75f4ab949b5cbbef5fb21e9b494e61
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-06-13

    Completion: avoid flickering of the popup window

    Update window position before showing the window.

M	gtksourceview/gtksourcecompletion.c

commit bed04c3350e38a972db6233403a7c02204faf934
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-06-11

    Compact completion popup window, with a custom container

    Custom container for the sizing of the GtkTreeView containing the
    completion
    proposals. When the GtkTreeView exceeds a certain size, the container
    adds
    the GtkTreeView inside a scrolled window. When the GtkTreeView
    is small
    enough, no scrolled window is needed, and the container fits the
    natural size
    of the GtkTreeView.

    If the tree view is always in the scrolled window, there are
    sometimes some
    sizing issues.

    The purpose is to have a compact completion window, with a certain
    size
    limit.

M	configure.ac
M	docs/reference/Makefile.am
M	gtksourceview/Makefile.am
M	gtksourceview/gtksourcecompletion.c
M	gtksourceview/gtksourcecompletion.ui
A	gtksourceview/gtksourcecompletioncontainer.c
A	gtksourceview/gtksourcecompletioncontainer.h
M	gtksourceview/gtksourcetypes-private.h
M	po/POTFILES.in

commit 9e082b77ad6500a074758c1a594664f6609aa472
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-06-12

    Completion: fix bug when a proposal is hidden

    See the comment in the code.

M	gtksourceview/gtksourcecompletion.c

commit f235fb0534fc0c1b746eb950d33002d93a463448
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-06-12

    Completion: fix bug with info window placement

    With g_signal_connect_after() on the "configure-event" signal, the
    callback is not called because (probably) the default handler
    is called
    before and returns TRUE to stop further propagation.

    Anyway g_signal_connect() is OK here.

M	gtksourceview/gtksourcecompletion.c

commit 962d8bfd00159b1b4531e5651e4fbb66e65706c3
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-06-11

    Completion: manually autosize the tree view

    autosize is buggy: https://bugzilla.gnome.org/show_bug.cgi?id=598739

M	gtksourceview/gtksourcecompletion.c
M	gtksourceview/gtksourcecompletion.ui

commit 485f777433685f5f815faba0ca8b0ab7231f7754
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-06-11

    More tests in test-completion

    With a .ui file (and a gresource).

M	po/POTFILES.skip
M	tests/Makefile.am
M	tests/test-completion.c
A	tests/test-completion.gresource.xml
A	tests/test-completion.ui

commit ac743ffb5383dc874a517f5ae229d82a1812cff7
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-06-11

    Add warning comment in test-completion.py

    I prefer the C language, that's why I added more tests in
    test-completion.c and not in test-completion.py.

M	tests/test-completion.py

commit 73fb8c30594b18341b823bd3dc2dfcedc19134b6
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-06-10

    Doc: add index of new symbols in 3.10

M	docs/reference/gtksourceview-docs.xml

commit 713b734eb08349d675b434886a8a3b92b3a1ea42
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-06-10

    CompletionWords: add the activation property

    Useful to disable interactive completion, for example.

M
gtksourceview/completion-providers/words/gtksourcecompletionwords.c

commit 52ad05fb985bea877737f4eaa377b10852ad3e74
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-06-10

    CompletionWords: allow user-requested completion for small words

    If the minimum word size is 4, for example, the interactive completion
    is not possible with fewer than 4 characters. But with user-requested
    completion, we can now force to show proposals.

M
gtksourceview/completion-providers/words/gtksourcecompletionwords.c

commit c97eda60905bc51381478fa0087acd5de164991a
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-06-10

    CompletionWords buffer: rescan when minimum word size changes

M
gtksourceview/completion-providers/words/gtksourcecompletionwordsbuffer.c

commit e73829f015451ad584676935d4e693983287f7a8
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-06-10

    CompletionWords buffer: use is_text_region_empty()

M
gtksourceview/completion-providers/words/gtksourcecompletionwordsbuffer.c

commit dcda2a0a133c5b42dd97176c1f29f6b379a8c03f
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-06-08

    CompletionWords buffer: use GtkTextRegion

    For scanning the words (for the initial scan but also on text
    insertion
    and text deletion), the "scan region" is now a GtkTextRegion. It
    simplifies the code for maintaining the GtkTextMarks.

    For modifications on the buffer, there is now a callback before the
    modification, to invalidate the region (remove the words that must be
    removed), and a callback after the modification, to add the region
    to the
    scan region. There were some problems when adding the region to
    the scan
    region before the modification (text insertion or deletion).

M
gtksourceview/completion-providers/words/gtksourcecompletionwordsbuffer.c

commit f2f8f182035366682a84001bf2674810c9c29e79
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-06-08

    CompletionWords buffer: work with strings for scanning the words

    Instead of working with GtkTextIters. It normally improves the
    performances.

    And there was maybe a bug with the previous code (warning messages).

M
gtksourceview/completion-providers/words/gtksourcecompletionwordsbuffer.c
M
gtksourceview/completion-providers/words/gtksourcecompletionwordslibrary.c
M
gtksourceview/completion-providers/words/gtksourcecompletionwordsutils.c
M
gtksourceview/completion-providers/words/gtksourcecompletionwordsutils.h

commit 04a1f7258bcae1345c2fec826e23ba1cfd86c154
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-05-25

    CompletionWords: get_word_at_iter(): work on strings

    Before this commit, get_word_at_iter() used GtkTextIter to traverse
    the
    buffer char by char, to find the word boundaries.

    Now, the text of the line at the iter is retrieved, and the
    traversal is
    done directly on the string. The code is simpler.

    It is maybe less efficient, but the performances here are not really
    important (it's at most one line of text).

    The parsing of the buffer to fill the words library is still done
    entirely with GtkTextIters. It is planned to parse the buffer line by
    line, by retrieving the text of the buffer and by working on strings.
    In this case, the performances are more important, and working on
    strings will be more efficient.

    So the idea is to work everywhere on strings instead of working with
    GtkTextIters, to be consistent.

M
gtksourceview/completion-providers/words/gtksourcecompletionwords.c
M
gtksourceview/completion-providers/words/gtksourcecompletionwordsbuffer.c
M
gtksourceview/completion-providers/words/gtksourcecompletionwordsbuffer.h
M
gtksourceview/completion-providers/words/gtksourcecompletionwordsutils.c
M
gtksourceview/completion-providers/words/gtksourcecompletionwordsutils.h

commit 7822ef6ab22d1703a7166add5a5b1a46a68c238b
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-06-08

    Remove old reference to our copy of glib regex stuff

M	po/POTFILES.skip

commit 154a26518940dc977c920e81e1a94a401207c865
Author: Marek Černocký <marek@manet.cz>
Date:	2013-06-08

    Updated Czech translation

M	po/cs.po

commit e75ef94327dacf7e20747f604b1e56d66aad8e83
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-06-06

    Updated Spanish translation

M	po/es.po

commit 0f3cc57fecc6e651b142e94d0a22a8ef19ef7d08
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2013-06-06

    Updated Galician translations

M	po/gl.po

commit efc8a9f8750fbe92f4362edde8c778b571a2f460
Author: Adam Dingle <adam@yorba.org>
Date:	2013-05-30

    Add scala.lang for Scala syntax highlighting

    This file originated in the scala-dist project:

    https://github.com/scala/scala-dist/tree/master/tool-support/src/gedit

    It was written by

    Min Huang <min.huang@alumni.usc.edu>
    Felix Dietze <felix@beerleader.net>

    with small fixes by

    Anthony Kirby <anthony@anthony.org>
    Adam Dingle <adam@yorba.org>

    Originally the file was licensed under the Scala license:

    https://github.com/scala/scala/blob/master/docs/LICENSE

    All authors above have granted permission for relicensing under
    the LGPL 2.1 or higher for inclusion in gtksourceview.

M	data/language-specs/Makefile.am
A	data/language-specs/scala.lang
M	po/POTFILES.in

commit 5d5dfc5e5e1e0c05a10ef71f9d2afbe5a7fa494f
Author: Marek Černocký <marek@manet.cz>
Date:	2013-06-03

    Updated Czech translation

M	po/cs.po

commit 26f3057e54e503e0c3e3526cd290bc439504f500
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2013-05-31

    Updated Galician translations

M	po/gl.po

commit 4eebbaa249ab4a2f1ffc1c49e9b35fa82d98a4a5
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-05-29

    Updated Spanish translation

M	po/es.po

commit 1c813200f667687ca44b7167a90dc2e94983d036
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2013-05-28

    mediawiki: style fixes capitalize nouns on style names

M	data/language-specs/mediawiki.lang

commit db965e3ac704c574d04023606d4b7afc4ec133ad
Author: Jean-Philippe Fleury <contact@jpfleury.net>
Date:	2012-10-08

    Add support for mediawiki syntax

    https://bugzilla.gnome.org/show_bug.cgi?id=635381

    Signed-off-by: Carnë Draug <carandraug+dev@gmail.com>

M	data/language-specs/Makefile.am
A	data/language-specs/mediawiki.lang
M	po/POTFILES.in

commit baaa2f6cbb8825af4c821ff1684654e2f4bfdb60
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2013-05-28

    julia lang: small fixes requested by pbor (bug #700410)

    * remove unregistered mimetype
    * capitalize style names

M	data/language-specs/julia.lang

commit b6e29a6ec2799d6d9f5b2723935f8f7bc3111116
Author: Waldir Pimenta <waldir@email.com>
Date:	2013-05-15

    Add support for the Julia language

    See http://julialang.org

    Signed-off-by: Carnë Draug <carandraug+dev@gmail.com>

M	data/language-specs/Makefile.am
A	data/language-specs/julia.lang
M	po/POTFILES.in

commit 8bde9d1e0b3efc703b986d7e970599964cae9b0d
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-05-28

    Fix build with -Wl,--as-needed in the LDFLAGS

    The *.la files listed in the LDADD variable were in the wrong order.

    If libgtksourceview-3.0.la is before libgtksourcecompletionwords.la,
    the linker doesn't add the DT_NEEDED tag for libgtksourceview-3.0.la
    because at that point in the linkage, libgtksourceview-3.0.la is
    useless.

    On the other hand, if libgtksourcecompletionwords.la is listed before
    libgtksourceview-3.0.la, the DT_NEEDED tag is added to the latter
    because the former needs a symbol from the latter.

    Thanks to Dominique Leuenberger for the bug report.

    https://bugzilla.gnome.org/show_bug.cgi?id=701113

M	tests/Makefile.am

commit 44501854e4d2bb9087c7af8a3b1887618f6ac026
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-05-27

    Updated Spanish translation

M	po/es.po

commit e1186a305623b67ee83684ea268c8d28411c95ac
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-05-27

    Post-release version bump

M	README
M	configure.ac

commit a66609279d06baefaf811e31f4897b28c1f8085b
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-05-27

    Release 3.9.1

M	NEWS
M	README
M	configure.ac

commit 73ba865562ac4e04b456d661b54f8acf3d13b337
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-05-25

    CompletionWords library: simplify the code

    Use the new g_sequence_lookup() function.

M
gtksourceview/completion-providers/words/gtksourcecompletionwordslibrary.c

commit d5b7ced10b8bf3748fd4f97fbcd76bf612b2444b
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-05-25

    CompletionWords buffer: clarify idle_scan_regions()

    The code was correct (I think), but it was hard to understand. Now
    it is
    still correct (hopefully), but a little easier to understand.

M
gtksourceview/completion-providers/words/gtksourcecompletionwordsbuffer.c

commit 2987c4b2578ca289904782acda334c9607d9ec85
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-05-25

    CompletionWords: remove match()

    It is the default value, so no need to override the function.

M
gtksourceview/completion-providers/words/gtksourcecompletionwords.c

commit ffcfb2487ad87053893b7dfa7206e0c65b5ff4a1
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-05-25

    CompletionWords: simplify the dispose()

M
gtksourceview/completion-providers/words/gtksourcecompletionwords.c

commit 03da9f3d41eca20da0df316c2da8a5f36fcfd8b9
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-05-25

    CompletionWords: little clean-up and code simplification

    Some new GLib functions simplifies the code.

M
gtksourceview/completion-providers/words/gtksourcecompletionwords.c
M
gtksourceview/completion-providers/words/gtksourcecompletionwordsbuffer.c

commit b3045c301cd3fa98494a02146259fc4c56f47e29
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-05-20

    CompletionWords: fix library_find_first()

M
gtksourceview/completion-providers/words/gtksourcecompletionwordslibrary.c

commit d1d3c3f5642b80677e9811bcebc19863a6966ceb
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-05-20

    CompletionWords: add unit tests for library_find_first()

    It is either broken, or I didn't understand what should return the
    function.

M	tests/Makefile.am
A	tests/test-completion-words.c

commit 53f5aed1b09d8ec248c42848974b05d5e987568e
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-05-20

    CompletionWords: enable code coverage

M	gtksourceview/completion-providers/words/Makefile.am

commit 62cc1ec0d713cbba4c59bc670f67a109ee5498e0
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-05-18

    Doc: explain the "v2" for the language definition file format

M	docs/reference/lang-reference.xml
M	docs/reference/lang-tutorial.xml

commit 0721786034acbe0e4a19be0794c646a35e9c9914
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-04-15

    Improve doc for the default undo manager

    Explain the default undo manager in the description of
    GtkSourceBuffer.
    The explanations in the functions were not correct if a custom undo
    manager is used.

M	gtksourceview/gtksourcebuffer.c

commit bf7bed58754477facdc7a8e423467bbc5161467b
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-05-05

    Add a context for the translatable word "name"

    https://bugzilla.gnome.org/show_bug.cgi?id=658371

M	data/language-specs/changelog.lang
M
gtksourceview/completion-providers/words/gtksourcecompletionwords.c

commit 0dfe36c35b5042b4f496350f4fec2760edfd0844
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-05-05

    Simple implementation of the C_() macro

    https://bugzilla.gnome.org/show_bug.cgi?id=658371

M	gtksourceview/gtksourceview-i18n.h

commit 99af1adb3cb52d65a8e796d98a3c0f3710ba4523
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-05-18

    Doc: fix GISCAN warning

    Incorrect number of parameters.

M	gtksourceview/gtksourcebuffer.c

commit e7b447973921702b78fcbf78bb6340bdcd5dddde
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-05-18

    Doc: update to gtksourceview-3.0

M	docs/reference/lang-reference.xml
M	docs/reference/style-reference.xml

commit 5f836ddecbbe35576666164e1e96a2143ece0f25
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-05-18

    Doc: sort the classes in the API reference

    In alphabetical order.

M	docs/reference/gtksourceview-docs.xml

commit b4525cce1cbfdd9c446974a76b893a8bd5a90681
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-04-15

    Document GtkSourceGutterRendererAlignmentMode

    Avoid a warning during the doc generation.

M	gtksourceview/gtksourcegutterrenderer.h

commit 37a3f9b7f456d101441fed2c80c981cafd8d330c
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-04-15

    Fix GtkSourceMark documentation

    gtk_source_view_set_mark_category_pixbuf() and
    gtk_source_view_set_mark_category_priority() don't exist. Replace them
    by gtk_source_view_set_mark_attributes().

M	gtksourceview/gtksourcemark.c

commit d86e95bb262c24f41d05b098e3c89bb083ce2da8
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2013-05-24

    Updated Hebrew translation.

M	po/he.po

commit 573f1aa6ef9829cf5ceff33280d8abe7c3466cec
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2013-05-21

    perl: characters < and > are invalid in a here-doc identifier

M	data/language-specs/perl.lang

commit f5fac48d05da22ea90ffffdc1c29bac627c98cb2
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-05-20

    CompletionWords: fix memory leak of the GSequence

    It seems that the contents of the GSequence was already freed
    (elsewhere). So it's not a big memory leak.

M
gtksourceview/completion-providers/words/gtksourcecompletionwordslibrary.c

commit 29d7c79ac95d3a3af4547f6f917cb504e215c5da
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-05-19

    CompletionWords: better headers formatting

M
gtksourceview/completion-providers/words/gtksourcecompletionwords.h
M
gtksourceview/completion-providers/words/gtksourcecompletionwordsbuffer.h
M
gtksourceview/completion-providers/words/gtksourcecompletionwordslibrary.h
M
gtksourceview/completion-providers/words/gtksourcecompletionwordsproposal.h

commit ebff517f2d9446400c5ca4d5b17d126d9d873edc
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-05-19

    CompletionWords: remove trailspaces

M
gtksourceview/completion-providers/words/gtksourcecompletionwords.c
M
gtksourceview/completion-providers/words/gtksourcecompletionwords.h
M
gtksourceview/completion-providers/words/gtksourcecompletionwordsbuffer.h
M
gtksourceview/completion-providers/words/gtksourcecompletionwordslibrary.c
M
gtksourceview/completion-providers/words/gtksourcecompletionwordsproposal.c
M
gtksourceview/completion-providers/words/gtksourcecompletionwordsproposal.h
M
gtksourceview/completion-providers/words/gtksourcecompletionwordsutils.c

commit 4452854721b2573d6f55f13aa9fe8ca89e083563
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-05-13

    Fix the check for gladeui-2.0

    When we add the option --enable-glade-catalog, but gladeui-2.0 is not
    installed, there was no errors.

M	configure.ac

commit 8453b680e4579429045f040afb22277738cd8201
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-05-09

    Updated Spanish translation

M	po/es.po

commit 99fc604a2ef403fbd762da20d3ca238d8f113bfb
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-05-05

    Add explanation about gutters for translators

    https://bugzilla.gnome.org/show_bug.cgi?id=658410

M	gtksourceview/gtksourcegutter.c

commit 3816833bc8bdbb0428ee2944241a9a16ce2a2a2a
Author: Kyrylo V. Polezhaiev <polezhaiev@ukr.net>
Date:	2013-04-29

    C++11 keywords and special identifiers added

    https://bugzilla.gnome.org/show_bug.cgi?id=691661

M	data/language-specs/cpp.lang

commit ea73ddeb9e5ed5ca5b2e3cc9ac16aa2669248998
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-04-28

    Completion: move remaining utils functions

    The remaining utils functions were used only in Completion.

M	docs/reference/Makefile.am
M	gtksourceview/Makefile.am
M	gtksourceview/gtksourcecompletion.c
M	gtksourceview/gtksourcecompletioninfo.c
M	gtksourceview/gtksourcecompletionitem.c
M	gtksourceview/gtksourcecompletionitem.h
D	gtksourceview/gtksourcecompletionutils.c
D	gtksourceview/gtksourcecompletionutils.h
M	gtksourceview/gtksourceview.c

commit 5805bdb696a92ba030b2eae824f443cb2e336021
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-04-28

    Completion: move utils functions in CompletionInfo

    Those functions are used only by CompletionInfo now.

M	gtksourceview/gtksourcecompletioninfo.c
M	gtksourceview/gtksourcecompletionutils.c
M	gtksourceview/gtksourcecompletionutils.h

commit 47cd39126933d2ef590913332b22979a94fd30fc
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-04-28

    Completion: use a CompletionInfo for the main window

    Now, to shrink the main window, we only have to shrink the child
    widgets.
    The window will be resized automatically.

    But for the moment the main window has still a fixed size.

M	gtksourceview/gtksourcecompletion.c
M	gtksourceview/gtksourcecompletion.ui

commit bdf8b9455afff07746f960eff18d6783d9c3847f
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-04-28

    Completion: add a comment

M	gtksourceview/gtksourcecompletion.c

commit ae84bb93e30047a396caba2d7d59fc510caa6873
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-04-28

    Completion: hide bottom bar in some cases

    If there is only one provider, the label "All" in the bottom bar
    (on the
    right) is useless.

    If there is no extra information, the Details button is useless.

    When both widgets are useless, we hide the bottom bar.

    The main completion window has always the same size, so when the
    bottom
    bar is hidden, the GtkTreeView is bigger.

M	gtksourceview/gtksourcecompletion.c
M	gtksourceview/gtksourcecompletion.ui
M	gtksourceview/gtksourcecompletionmodel.c
M	gtksourceview/gtksourcecompletionmodel.h

commit a04f9d4230f2f6c093649d910b40f6e66a01afd7
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-04-28

    Completion: set Details button sensitivity

    When there are no extra info available, set the Details button as
    insensitive, and hide the info window.

M	gtksourceview/gtksourcecompletion.c

commit 4a03f30e092b2d58bcbf081051a564dbe2f13128
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-05-04

    ContextEngine: reformat the header

M	gtksourceview/gtksourcecontextengine.h

commit c593584839968b489e4c01d409e8e2109b356d33
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-05-04

    Doc: index of new symbols in 3.4

    There are new symbols in the 3.0 and 3.4 versions. The index for older
    versions are omitted. And the index for versions without new
    symbols are
    also omitted.

M	docs/reference/gtksourceview-docs.xml

commit eb597d2998a59af1a7f101a7203a1920577f085b
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-05-02

    Updated Spanish translation

M	po/es.po

commit 59c4e79123c55e2a492ecbff2fe42be92e702377
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-04-20

    Use GdkRGBA properties of GtkTextTag

    When creating the PangoAttribute's, the alpha is not taken into
    account.

M	gtksourceview/gtksourceprintcompositor.c

commit 882ee3ccbed7b6de719a1eae9e5a1787373a115d
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-04-20

    Doc: small fixes

M	gtksourceview/gtksourcestylescheme.c

commit 470c9607ccbd62493aab5e7a8da26052e6d118b9
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-04-14

    Completion utils: small clean-up

M	gtksourceview/gtksourcecompletionutils.c

commit d26f5bff4cc9aa5182fc510f5614b63af619279b
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-04-03

    Hide CompletionInfo when focus-out-event on the attached-to widget

    The application just needs to attach the calltip window to the
    GtkTextView widget, so when the text view looses focus, the calltip is
    hidden.

M	gtksourceview/gtksourcecompletioninfo.c

commit 418ec59c5fc6fb3eaeb97c39bb9b9d2ff05c92eb
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-04-03

    Deprecate the GtkSourceCompletionInfo::before-show signal

    It was used as a hack in gtksourcecompletion.c, but it's no longer the
    case.

    https://bugzilla.gnome.org/show_bug.cgi?id=696506

M	gtksourceview/gtksourcecompletioninfo.c

commit cddb1ba02958ef351392f1bd8e57f36fc17101e7
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-04-15

    Post-release version bump

M	README
M	configure.ac

commit 612d1556b14b021de87b45381504bdf8765cfa73
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-04-15

    Release 3.8.1

M	NEWS

commit a9cda6d65b63a8c64e8b155dd6d71f4db035762d
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-03-17

    Add unit tests for the UndoManager

    There is one bug. To easily locate it, it is inside #if/#endif.

M	tests/Makefile.am
A	tests/test-undo-manager.c

commit f50fac5131234c92a6d0325f3e8262a1baf13f23
Author: Jono <jono@foodnotblogs.com>
Date:	2013-04-08

    Removed X11 color names.

M	data/styles/kate.xml
M	data/styles/oblivion.xml
M	data/styles/testdark.xml

commit 19a02f57e342714b05bfa900beca70a1a1643f07
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-04-08

    Do not use X11 color names

M	data/styles/classic.xml

commit 87b04ec5ef43def77d8b0729e66d4b83844772c6
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2013-04-08

    Updated Basque language

M	po/eu.po

commit e38712a2061f6f45116f6316fd32cc166c68baf6
Author: Pierre Boutillier <pierre.boutillier@ens-lyon.org>
Date:	2012-11-06

    Update to gtk-mac-integration 2.0 API

    Fixes bgo#687766. quartz_application_... becomes
    gtkosx_application_...

    https://bugzilla.gnome.org/show_bug.cgi?id=687766

M	configure.ac
M	gtksourceview/gtksourceview-i18n.c
M	tests/Makefile.am

commit a18c741b51bae8c582a62ad05163413b0b4d5400
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-04-03

    ruby.lang: relicense GPL -> LGPL

    And update the e-mail address of Gabriel Bauman, with him permission.

M	data/language-specs/ruby.lang

commit a0d35d11b67ee71072142728b95baa6ed1cd66d7
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-04-03

    Completion: remove bad g_assert()

    In some circumstances, it is possible to have context != NULL with the
    window still hidden.

    https://bugzilla.gnome.org/show_bug.cgi?id=697171

M	gtksourceview/gtksourcecompletion.c

commit 477c41c49f54790c506e7bd06f4d7c4c9883d9b6
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:	2013-04-01

    Updated Esperanto translation

M	po/eo.po

commit 5735a7f7bdbe403cca6ab573fdca68b754a0d450
Author: Morshed Nader <morshed.nader@gmail.com>
Date:	2013-03-30

    Avoid minor memory leak in gtk_source_undo_action_free()

    Anyway the g_return_if_reached() should never happen.

    https://bugzilla.gnome.org/show_bug.cgi?id=638695

M	gtksourceview/gtksourceundomanagerdefault.c

commit 5f7e3c55865ff4d54b5bc782e909263b2ed1e98a
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2013-03-29

    perl: accept null identifier in perl-doc only when using quotes

M	data/language-specs/perl.lang

commit 63e3084b4663d6a7efabe1c654549a928b9ab633
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2013-03-29

    perl: here-doc - do not allow empty identifier (replace * with +)
    or spaces before \EOF (bug #579196)

M	data/language-specs/perl.lang

commit b1aac51df386b12843685735b933ad74fd1af6c3
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2013-03-29

    perl: in here-doc, allow spaces between << and quoted identifier
    (bug #579196)

M	data/language-specs/perl.lang

commit 67037f1198b9f23fa0f4c045a96464c633fcaf97
Author: Alex Mayer <magictrick4906@aim.com>
Date:	2013-03-29

    perl: fix highlight for filetest (bug #594501)

M	data/language-specs/perl.lang

commit 1b251e22ec3f7416eb4e478e1231545ab1b1119d
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2013-03-29

    latex: fix lstinline for square brackets, again (bug #563674)

M	data/language-specs/latex.lang

commit 2d9ef9f4ab9d49d5c532957bad7d741e4cba7582
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2013-03-29

    latex: fix lstinline issue with square brackets (bug #563674)

M	data/language-specs/latex.lang

commit 1be514419647891763425fdfdeb5c0a413071d90
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2013-03-29

    perl: support use of backslash on here-doc as in <<\VISTA (same
    as <<'VISTA')

M	data/language-specs/perl.lang

commit f067c8cea74959101ebf746ab08ff8476ccc624f
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2013-03-29

    perl: fix issue with here-doc when terminator was defined between
    parentheses

M	data/language-specs/perl.lang

commit 3c5a3169b7450bfa3e04e5b24e797c72134719f2
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-03-19

    Don't use gtk_widget_get_state() (deprecated)

M	gtksourceview/gtksourcegutter.c

commit 37bfcb58fc35231740c226a8ac73142205224cb7
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2013-03-28

    Updated Hebrew translation.

M	po/he.po

commit 066fb99fcfcb0912b83f125c61a546f4b03c511d
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2013-03-26

    latex: no code changes, only fixed indentation and move definition
    of context id=latex childs outside

M	data/language-specs/latex.lang

commit d58257c7fa43dcabab5671fb2abef9eac4e78e05
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-03-25

    Post-release version bump

M	README
M	configure.ac

commit 167894be4cd5821bb2bdf304dbdeba39e250ca42
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-03-25

    Release 3.8.0

M	NEWS
M	README
M	configure.ac

commit 23d4837215bf40bcdf1d4e2918544b85d50c7e63
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2013-03-25

    latex: don't use the verbatim style for the verbatim commands
    (bug #696140).

M	data/language-specs/latex.lang

commit cad84457d3d3c8090011324a5d21d6b3ca6e4631
Author: Chandan Kumar <Chandankumar.093047@gmail.com>
Date:	2013-03-25

    updating Hindi Translation

M	po/hi.po

commit 900c552351571d3dac4e4b94523cf7dd8028f74d
Author: Ville-Pekka Vainio <vpvainio@iki.fi>
Date:	2013-03-23

    Finnish translation update by Jiri Grönroos

M	po/fi.po

commit 0dc5025bba7f6e423e58ce172a4336ef35a21c65
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-03-22

    Add Libtool versioning

    There was an ABI break during this cycle, to the algorithm has been
    applied accordingly (from 0:0:0, since no libtool versioning was used
    before).

    https://bugzilla.gnome.org/show_bug.cgi?id=477709

M	configure.ac
M	gtksourceview/Makefile.am

commit ed41322fa031b8af4d6373dd880b48498a52e13a
Author: Dr.T.Vasudevan <drtvasudevan@gmail.com>
Date:	2013-03-23

    Updated Tamil translation

M	po/ta.po

commit 304e28eacf55464e2b24916265126ff1409a0239
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:	2013-03-19

    [l10n] Added Tadjik translation

M	po/LINGUAS
A	po/tg.po

commit ee16279159c10cbcce314bb666c98de7de567bba
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2013-03-19

    latex: support brackets on lstinline environment (bug #696140)

M	data/language-specs/latex.lang

commit 3e23cdb6aad447edcb7b4285696501f4103bceb9
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2013-03-19

    Updated Korean translation

M	po/ko.po

commit 8962a917e5891796589062d4de9aeec842285a6d
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-03-18

    Post-release version bump

M	README
M	configure.ac

commit a74267ef89fb8e13950a9f53838605eeb2b2a0ab
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-03-18

    Release 3.7.92

M	NEWS

commit 8672b2eefe3016464d5d0f1a9f93208ffc66fa2f
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	2013-03-17

    Updated Latvian translation

M	po/lv.po

commit a452d10113c6438d5302a7e0212e9765598a36ce
Author: A S Alam <aalam@users.sf.net>
Date:	2013-03-17

    Punjabi: Translation updated (aalam)

M	po/pa.po

commit 208c6bf28bffba074fe0be97bd5a313e7148efda
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2013-03-17

    Updated Belarusian translation.

M	po/be.po

commit 78d6ef846160d0a3772acd48c4ece9fe790eaa32
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:	2013-03-17

    Updated Danish translation

M	po/da.po

commit 0f39795b8b224c98dc6c6de19ca45983f15d8fde
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-03-16

    Document GtkSourceCompletionProvider vfuncs

M	docs/reference/gtksourceview-3.0-sections.txt
M	gtksourceview/gtksourcecompletionprovider.h

commit cd3ee35dc7c1d93ac2b4f1a047c5fd8e43347800
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-03-16

    Document GtkSourceCompletionProposal vfuncs

    It is useful for knowing the default implementations.

M	docs/reference/gtksourceview-3.0-sections.txt
M	gtksourceview/gtksourcecompletionproposal.h

commit 69f7d1dfa981e1e86b0f02e8c5149cf5493ee834
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-03-16

    Completion: fix the update of the window position

    The window position was updated too many times. In some situations, we
    could see the intermediate positions, if these intermediate positions
    were not the same as the final position. So when typing characters
    at a
    certain speed, the completion window was shaking. Although it's quite
    funny, it's better if it is fixed :)

M	gtksourceview/gtksourcecompletion.c

commit 0f5c64359b8babc1dfbc364985d83591f2e5ba29
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2013-03-16

    Updated Russian translation

M	po/ru.po

commit eae4dfaa92eeb52112c11ceea684ee9f4609f168
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-03-16

    Fix and improve documentation for the CompletionContext

M	gtksourceview/gtksourcecompletioncontext.c
M	gtksourceview/gtksourcecompletioncontext.h

commit bda88baae296564407f99ce1a5b8375f98f9bda2
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-03-16

    Completion: remove interactive_providers struct field

    When a provider is added to Completion, it is added in the list of all
    providers, in the 'providers' struct field. It was also added to
    the list
    of interactive providers if the provider supports the interactive
    activation.

    The problem is that if the provider wants to change its mind and wants
    to add or drop support of interactive activation, _after_ it has been
    added to the Completion, this didn't work as expected.

    A workaround was to remove and re-add the provider to the Completion,
    but it is really a hack.

    So it's better, when starting an interactive completion, to always
    check
    all the providers.

    Example of use:
    https://git.gnome.org/browse/latexila/commit/?id=69449d1b00e1d980a36ec64e7024bc2a6d4bf31a

M	gtksourceview/gtksourcecompletion.c

commit dabc2989c0a68bfa64a822ac5fd30e0fdce46efb
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-03-16

    Completion: fix the update of an active completion

    The GtkTextIter was not updated, and the providers were not
    re-selected.

M	gtksourceview/gtksourcecompletion.c

commit b42fc8b3bbc54a93222f9b3f3957d7c6e5dfd532
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2013-03-16

    [l10n] Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 721211a405648f336766ac39dd8441c079a81485
Author: Joan Duran <jodufi@gmail.com>
Date:	2013-03-16

    [l10n] Updated Catalan translation

M	po/ca.po

commit 1e287c7b2a8108ec554cb736bab956089042ef72
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-03-15

    Adapt gtk_source_view_populate_popup()

    The parameter of ::populate_popup() is now a GtkWidget instead of a
    GtkMenu. See this commit:

    https://git.gnome.org/browse/gtk+/commit/?id=88623b98a7ca0afca08ac21bc3aa662c6ed3ab7f

M	configure.ac
M	gtksourceview/gtksourceview.c

commit 28137f973af3dcbdfe886b40bcaabbde107904e6
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-03-10

    Use GLIB_VERSION_MIN_REQUIRED, GLIB_VERSION_MAX_ALLOWED, etc

    It will report warnings when the required version of GLib or GTK+
    is not
    correct.

    For example if we use a new GTK+ function without bumping the
    dependency
    version, a warning will be printed.

    It assumes that GLIB_CHECK_VERSION() is not used, so the minimum
    required version is the same as the maximum allowed one.

M	configure.ac

commit 096f14a992f5ed16681283d86a33f53facc3167b
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-03-10

    Remove use of GLIB_CHECK_VERSION()

    GLib >= 2.34 is now required, so there is no need to check whether the
    version is above 2.22.

M	gtksourceview/gtksourcelanguage-parser-1.c

commit 42b19e4a7f7fd73230a48d1ed313dc94d4d82a99
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2013-03-15

    Updated Lithuanian translation

M	po/lt.po

commit 18755533e93977c73584d3d2034c8d67ccbb5156
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-03-15

    Show mnemonics in the main completion window

    Before, the mnemonic for the Details button was always hidden, even if
    we pressed Alt, because the completion window doesn't have the focus.

    It would be possible to show the mnemonic only at appropriate
    times, but
    it would be too difficult for such a small detail (I know, Every
    Details
    Matters, but simple code matters too :).

    So it's better to always have the mnemonic visible, than never.

M	gtksourceview/gtksourcecompletion.ui

commit c36dc27fd4204883de96e2485a3f0e221d9d9e3f
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:	2013-03-15

    Updated Hungarian translation

M	po/hu.po

commit eff69163ee8c8881438ae02780cd3afb5810ec69
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2013-03-15

    Updated Portuguese translation and converted to New Spelling (Novo AO)

M	po/pt.po

commit 37f5e031401f1c053bda24321a80d440dbd91df6
Author: Martin Srebotnjak <miles@filmsi.net>
Date:	2013-03-14

    Updated Slovenian translation

M	po/sl.po

commit 67253aac31ea58b9a5b824543c2b549d0954dc36
Author: Marek Černocký <marek@manet.cz>
Date:	2013-03-13

    Updated Czech translation

M	po/cs.po

commit 24da0f23f40333e08779d83a7188bac1012da071
Author: Gheyret Kenji <gheyret@gmail.com>
Date:	2013-03-13

    Updated Uyghur translation

    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

M	po/ug.po

commit e6285638f3a54b8254df991335c569a9be1d4409
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2013-03-12

    perl: identify *.t files as perl test files

M	data/language-specs/perl.lang

commit 5a08e4fde21b452f4eac3712954896295e3d8f19
Author: Claude Paroz <claude@2xlibre.net>
Date:	2013-03-12

    Updated French translation

M	po/fr.po

commit 5075a69e122d4b2f2770b9e52b8c812e017f6da5
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:	2013-03-12

    Assamese translation updated for gnome 3.8

M	po/as.po

commit d20559d601ac4541e8a5aa99861c029a2e43ca32
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2013-03-11

    [l10n] Updated Italian translation.

M	po/it.po

commit e7508c089b415f73495e58bec4f6ae86769c6f9f
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2013-03-11

    Updated Galician translations

M	po/gl.po

commit 8a760e4cf4c63ca1393c213e6700c4bade08624e
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-03-11

    Completion: avoid memory leaks

M	gtksourceview/gtksourcecompletion.c
M	tests/test-completion.c

commit 6200561d3dd87fa413e815090fefee33bf8e2aab
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-03-10

    Completion: fix the update of the window position

    This bug was visible with test-completion. The completion window
    was not
    placed correctly.

M	gtksourceview/gtksourcecompletion.c

commit cac1981759b7a937f3bbb330e425f2c1776db52b
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-03-10

    Completion: remove debug messages

    I personaly use gdb, or I sometimes add temporary g_message()s at
    very specific places. Those specific places change for each bug. IMHO
    it's not useful to keep the debug messages.

M	gtksourceview/gtksourcecompletion.c

commit 788ad49c0003480d47c2f13784072165dc4f6660
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-27

    Reorder completion code

M	gtksourceview/gtksourcecompletion.c

commit 28898f5f68bee74a8f72f51babba6f793c45fe6c
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-03-11

    Updated Spanish translation

M	po/es.po

commit e006c2ac3d47115977a59dfa7b478156cda4dbf3
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-03-11

    Avoid memory leak of StyleScheme objects

M	gtksourceview/gtksourcestyleschememanager.c

commit f61e21dd75271c290fced1b1a7c5790017d770b6
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:	2013-03-11

    Updated Greek translation

M	po/el.po

commit b1fac6f7949fc06ab373ff6e36126a003d8aec92
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2013-03-11

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 3d3e22f44f16d1592937dba89c10ec99d582ca19
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2013-03-11

    [l10n] Updated German translation

M	po/de.po

commit dcac3b2737c0f33030c818c1e3af8f0f29186809
Author: Andika Triwidada <andika@gmail.com>
Date:	2013-03-11

    Updated Indonesian translation

M	po/id.po

commit 747c9762a0a7461f052c73192eef742964e1256e
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-03-10

    Fix typo in the API doc

M	gtksourceview/gtksourcecompletionprovider.c

commit 0a31b61902bc43d4397b51a8aa6720a78b9037f3
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-03-10

    Updated Polish translation

M	po/pl.po

commit 37340593d3133aab5c5f2579537863c94032b222
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-03-10

    Bump required version of GLib

    g_list_copy_deep() exists since GLib 2.34.

M	configure.ac

commit 3da9d6c7f2d36f5d590baa2966effe1da8e173a8
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	2013-03-09

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 6a2f9beada13f6d2c4191a75a85c09c809694b04
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2013-03-07

    new style id for warnings (added to all current style files)

M	data/language-specs/def.lang
M	data/styles/classic.xml
M	data/styles/cobalt.xml
M	data/styles/kate.xml
M	data/styles/oblivion.xml
M	data/styles/tango.xml

commit db3ce380a91c96888bdf5598b11529646f21e819
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-03-07

    Completion: use gtk_widget_get_visible() instead of is_visible()

    gtk_widget_is_visible() is a new GTK+ function. The required
    version of
    GTK+ has not been updated in configure.ac.

    But anyway the main_window is a toplevel widget, so get_visible() is
    sufficient.

M	gtksourceview/gtksourcecompletion.c

commit a3b2c03423257751b71460708649ea05cea89386
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2013-03-07

    Updated Slovenian translation

M	po/sl.po

commit aa204c233d0912a222ea125dc0d73e6242167407
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2013-03-07

    Updated Belarusian translation.

M	po/be.po

commit 5aee44757ca41987e92aff205a84114c54f4576a
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2013-03-07

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit dc539bd0dc28483b1c309c73e29ac0cade3a116c
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-03-04

    Post-release version bump

M	README
M	configure.ac

commit e405da15c7b9127baf4c90ef302a7fc176f650b9
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-03-04

    Release 3.7.91

M	NEWS

commit 9b004e5b762a41e32f6deb935341d6635b9736f0
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-27

    CompletionModel: better sectionning of the code

    Some sections became very small, so they are now included in other,
    more
    general, sections.

M	gtksourceview/gtksourcecompletionmodel.c

commit 20c08b7beefef86277a90f22eb50502066b8692f
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-27

    CompletionModel: remove n_proposals()

    It was used for checking if a provider is not empty. But if a provider
    is present in the model, it means that it is not empty.

M	gtksourceview/gtksourcecompletionmodel.c
M	gtksourceview/gtksourcecompletionmodel.h
M	tests/test-completion-model.c

commit 0a8aefb88a2f7a4261ff5660b78764de81af845e
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-27

    Completion: simplify get_num_visible_providers()

M	gtksourceview/gtksourcecompletion.c

commit 0143d597e695ccd3f6e463cf98dbbfb20826db48
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-27

    Completion: various clean-up

M	gtksourceview/gtksourcecompletion.c

commit 085f5cd32c19ff9047c972268fa54022e6235384
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-27

    Completion: remove model from TreeView during move-page

    The row-inserted and row-deleted signals are now useless, so it
    simplifies the code of the model. And it is also more efficient.

M	gtksourceview/gtksourcecompletion.c
M	gtksourceview/gtksourcecompletionmodel.c

commit 744dce25bf82144bf53ab8fc37fa3f0e75030a24
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-26

    Completion: rework move_page()

    The previous code was hard to understand, because it was generic. A
    less
    generic code is easier to understand, and it appears that it is
    shorter.

M	gtksourceview/gtksourcecompletion.c

commit ee7ab24b455b9be503a84378c92d1a463bfe37ef
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-26

    Completion: simplify visible_provider_changed()

M	gtksourceview/gtksourcecompletion.c

commit 469daf6c694ac8443aa4bd2ba04c0a34bd5a1192
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-26

    CompletionModel: change iter_last() as static

    Since this function is no longer used outside CompletionModel.
    Adapt also the unit tests.

M	gtksourceview/gtksourcecompletionmodel.c
M	gtksourceview/gtksourcecompletionmodel.h
M	tests/test-completion-model.c

commit 5c3cfcd8cad72d32dd2e53b38b5e37b72fb83382
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-26

    Completion: use higher level CompletionModel's functions

M	gtksourceview/gtksourcecompletion.c

commit ca2a7ee2ad0bdf474ba90aa25fc9dd10b313e229
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-25

    Completion: simplify move_cursor()

    Add some higher level functions in the CompletionModel.

M	gtksourceview/gtksourcecompletion.c
M	gtksourceview/gtksourcecompletionmodel.c
M	gtksourceview/gtksourcecompletionmodel.h

commit a7b0456b2f9819a15476706fc103c00a1476a1c6
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-25

    Completion: update_completion() takes ownership of its parameters

    And move the code so the prototype at the top can be removed.

M	gtksourceview/gtksourcecompletion.c

commit 35d495c2ed982174ae132ba886c01ef6c8526e54
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-25

    Completion: greatly simplify interactive completion

M	gtksourceview/gtksourcecompletion.c

commit 9531a9c0e05aa20d361067733c26a3153fdc3adc
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2013-03-04

    Updated Norwegian bokmål translation

M	po/nb.po

commit 9dbf6870459d12bd680c06d74e971237d6929810
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2013-03-02

    Updated Lithuanian translation

M	po/lt.po

commit 9731241e64410f52b422e762a8b00a0cbcd87ed7
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2013-03-02

    Updated Vietnamese translation

M	po/vi.po

commit 25c9af561b81700279bf78a4e578e2093f747810
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2013-03-02

    po/vi: import from Damned Lies

M	po/vi.po

commit 203150bf8752ee7841b1ef593312b0bfba590f68
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-03-01

    Fix infinite loop when painting marks background

    The loop was:

    while (marks != NULL)
    {
	/* blabla */
	marks = g_slist_delete_link (marks, marks);
    }

    So if the 'continue' was reached, 'marks' remained the same and
    therefore there was an infinite loop.

M	gtksourceview/gtksourceview.c

commit 362b7f909c3a7d7f751e5e8efdcdb61c61afc790
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2013-03-01

    perl: accept only =~ and !~ as operators before // with omitted m
    (bug #582545)

M	data/language-specs/perl.lang

commit ab066360b4937f445609672da7232b2268c34cb3
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2013-03-01

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 1272013b693802387d5598c7112406cd138addd5
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2013-03-01

    Updated Basque language

M	po/eu.po

commit c9102b06277c12e399f7fc3c1e453c6e09c28f5b
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:	2013-02-28

    Updated Greek translation

M	po/el.po

commit e0be5c716f2587622b25dd3a9cec2a744e43dce5
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2013-02-27

    Fixed highlighting of ruby floating numbers

M	data/language-specs/ruby.lang

commit c2421d69b3b44244b6e841c88c3fcbc2f0780fe9
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-02-27

    Improve highlighting of ruby % literals

M	data/language-specs/ruby.lang

commit b558fd66450776e650dd22141489404deb8651d6
Author: A S Alam <aalam@users.sf.net>
Date:	2013-02-26

    Punjabi: Translation updated (aalam)

M	po/pa.po

commit 6cec1383857665233d210ba99d859755db5a61d9
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2013-02-25

    [l10n] Updated Italian translation.

M	po/it.po

commit c3714f374a70c3c2ab488932919c886dff92aac1
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-25

    UndoManagerDefault: don't use the INVALID action

    An INVALID action was used to distinguish from a NULL action in the
    'modified_action' struct field.

    But using NULL instead of INVALID works fine. The only place where an
    INVALID value would make a different result is in
    modified_changed_handler():

    if (manager->priv->modified_action != NULL)
    {
	    g_message ("%s: oops", G_STRLOC);
	    return;
    }

    If the rest of the code is correct, it doesn't change anything.

    https://bugzilla.gnome.org/show_bug.cgi?id=694613

M	gtksourceview/gtksourceundomanagerdefault.c

commit 2a9ddf582d52197f2de8c1edbdbbbd4a6451e463
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2013-02-25

    R: expand highlight (bug #694645)

    * recognize functions loaded by default (base, graphics, grDevices,
    methods, stats and utils packages)
    * add xor keyword
    * recognize F and T as short of TRUE and FALSE
    * recognize specific NA? types

M	data/language-specs/R.lang

commit 58ee5204ec3977ae08725f42770a62775f980089
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-24

    Completion: fix small bug with the details button

M	gtksourceview/gtksourcecompletion.c

commit 7b2d8183205beb8a1713be61f3a72a0750f8e8a0
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-23

    Completion: block interactive completion during paste-clipboard

M	gtksourceview/gtksourcecompletion.c

commit 67765384ad53e33811901613cd03b870c379c653
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-23

    Completion: always hide completion when insert mark moves

M	gtksourceview/gtksourcecompletion.c

commit 68bccd438c8806ab44ddd44d4461ad4b48f21100
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-23

    Completion: remove text_view_editable_cb()

    It is useless to block interactive completion when the GtkTextView is
    not editable, because when the GtkTextView is not editable,
    the signals
    that trigger interactive completion won't be emitted.

M	gtksourceview/gtksourcecompletion.c

commit e05e0cc218bd0d3f29fa0d22e3c9792753da3e65
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-23

    Completion: better handle key events

M	gtksourceview/gtksourcecompletion.c

commit 9a4862ec7075f829dfb13c34b0eec9fad4b15225
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-23

    Completion: merge two callbacks as hide_completion_cb()

M	gtksourceview/gtksourcecompletion.c

commit 327166ba4544f014c53acb09b3d4524681cc9e7d
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-22

    Completion: simplify update of info window contents

M	gtksourceview/gtksourcecompletion.c

commit 55c125d9622959782592c4a1490741b748934c84
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-22

    Completion: various clean-up

M	gtksourceview/gtksourcecompletion.c
M	gtksourceview/gtksourcecompletion.ui

commit 7adcea3b17f5098af55d7990e58b736d2072371d
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-22

    Completion: split init function

    Now there are:
    - init_tree_view()
    - init_main_window()
    - init_info_window()

M	gtksourceview/gtksourcecompletion.c

commit dee776a2452ab25cecbae4af2c69a9b886b31f8e
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-22

    Completion: simplify the default info label

    It's no longer possible to select the text of the label. It was not
    really useful IMHO. Removing this option permits to remove the
    callback
    show_info_after_cb().

M	gtksourceview/gtksourcecompletion.c

commit bac9f6298b3732e116e3f5e1f0e51a96a826d88f
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2013-02-24

    perl: fix highlight of special variables starting with $^

M	data/language-specs/perl.lang

commit 09daa9f9c9945b176923310c52e795573c570ef9
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2013-02-24

    perl: also highlight non scalar special variables (bug #694554)

M	data/language-specs/perl.lang

commit b8d47b86ec973192163a07c77d2b9f6f226c48dd
Author: Marek Černocký <marek@manet.cz>
Date:	2013-02-22

    Updated Czech translation

M	po/cs.po

commit a0277d65557c66af19d216699a3f47abebcea681
Author: Gheyret Kenji <gheyret@gmail.com>
Date:	2013-02-22

    Updated Uyghur translation

    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

M	po/ug.po

commit 94874d4a9aeeec2d1517e4c6ae16242fdce46112
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-21

    Completion: select first proposal after move-page

    It's more logical to be at the start of the provider when we switch
    between providers with move-page.

M	gtksourceview/gtksourcecompletion.c

commit 545c7c462dd5a5d074ed090b5413a16b7cfcb5eb
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-21

    Completion: fix and simplify tree view sizing

    This fixes the following bug:
    https://bugzilla.gnome.org/show_bug.cgi?id=643179

M	gtksourceview/gtksourcecompletion.c
M	gtksourceview/gtksourcecompletion.ui

commit 028773ea279d7b76ae5e4478f71029898c98eb35
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2013-02-21

    Updated Hebrew translation.

M	po/he.po

commit ffd036297a9ff5e88870006a8012353efc5a1e84
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-21

    Don't install check-language.sh and check-style.sh

    But the scripts are still distributed in the tarballs.

    https://bugzilla.gnome.org/show_bug.cgi?id=652688

M	data/language-specs/Makefile.am
M	data/styles/Makefile.am

commit f9896495d3569993680bf1f2a4a6ec1d2f4d636e
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-20

    Fix test-languagemanager when GtkSourceView is not installed

    https://bugzilla.gnome.org/show_bug.cgi?id=631214

M	tests/test-languagemanager.c

commit f1a85ab9319be9a1869e6154df7d3b173d634e45
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-20

    Fix test-language when GtkSourceView is not installed

    https://bugzilla.gnome.org/show_bug.cgi?id=631214

M	tests/test-language.c

commit 091fd4bd5f8e126b4ac6f56043ec273e0cb1e74f
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-20

    Fix build of test-languagemanager

M	tests/Makefile.am

commit 5589687353b1581838b78915f028908ca7f4bc33
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-19

    Post-release version bump

M	README
M	configure.ac

commit c26598f4e077990461f6e8817eea56f19c072c6b
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-19

    Release 3.7.90

M	NEWS
M	README
M	configure.ac

commit 3e9cb041da45805f70908cb839f59c74dccc2f82
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-02-19

    Updated Spanish translation

M	po/es.po

commit d17463d7460563d13bff4c7585d57f565d52fa1b
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-17

    Completion: "deepest" types for private struct fields

    The type of a variable is self-documenting. With a GtkWidget,
    it's hard
    to know which type of widget it is exactly.

    It also sometimes simplify the type casting.

M	gtksourceview/gtksourcecompletion.c

commit 127733f9c4e73da3c0690ad41597eca18c89180d
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-17

    Completion: continue the clean-up

M	gtksourceview/gtksourcecompletion.c

commit f8d457958be584252137fcf6d9bf2aac37ccee0f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-02-17

    Updated Polish translation

M	po/pl.po

commit 4b3fb55b7f16ecc5469fc9dd1417c63591939e7c
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-17

    Completion: connect signals with g_signal_connect_object()

    The signal handlers are automatically disconnected when the Completion
    object is destroyed.

M	gtksourceview/gtksourcecompletion.c

commit 58f22571c9703b510402234a5044ec2197cd3d48
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-17

    Completion: merge cancel_completion() into reset_completion()

    And adapt the code to use only reset_completion().

M	gtksourceview/gtksourcecompletion.c

commit 1b9d8e28c2900dbdd4f580807b199e9f023e3441
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-17

    Completion: little clean-up of populating_done()

M	gtksourceview/gtksourcecompletion.c

commit 042af7836bc3996039fa08808c48a00020f7c320
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-17

    Completion: simplify select_providers()

M	gtksourceview/gtksourcecompletion.c

commit 6077d3ef1087c7cbe54d33cb159fd91be2d3125f
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-17

    Completion: fix use of G_UNLIKELY

M	gtksourceview/gtksourcecompletion.c

commit 407bbd92c4585c6f03209c314c8d06e55cf3dbe6
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-17

    Completion: simplify add/remove provider

M	gtksourceview/gtksourcecompletion.c

commit 07618c3a87f8634b49ce2059451ecf818c022dff
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2013-02-17

    Updated Galician translations

M	po/gl.po

commit 6c769ea01d9e21b9033eb40556b2d558d63eb6e8
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2013-02-17

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit f7ef5b47c953b37f9e81f9ad472383a42fe60127
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-16

    Completion: simplify accelerator cell renderer

M	gtksourceview/gtksourcecompletion.c

commit 21909ca1d947e362689bcd681de2b530caf61ccc
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-16

    Completion: remove info_toggled_cb()

    Use g_object_bind_property() instead.

M	gtksourceview/gtksourcecompletion.c

commit 9b8ebf33dd3759fcab889fec977538b47ed0856d
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-16

    Completion: connect signals with G_CONNECT_SWAPPED

    It permits to call directly the right function.

M	gtksourceview/gtksourcecompletion.c

commit 45e04f8897c3e1f57365e3ccef32e20d6140e396
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-16

    Completion: simplify get_selected_proposal()

    Remove the 'iter' parameter, used nowhere.

M	gtksourceview/gtksourcecompletion.c

commit 025b84e25b6c54059650b9d8dd798e3949f27be2
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-16

    Completion: hide window after proposal activation

    Since the interactive completion is blocked during the proposal
    activation, the window can not reappear. So it's simpler to hide the
    window after the proposal activation.

M	gtksourceview/gtksourcecompletion.c

commit 00730a220067b7e87993cc7ca281f97dcb1b3ad3
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-16

    Completion: rename activate_current_proposal()

M	gtksourceview/gtksourcecompletion.c

commit 96f76fe583598efac2d6b482da8f5ff6bb1021e4
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2013-02-16

    [l10n] Updated German translation

M	po/de.po

commit 8ef618003d9e1fc184be61b6590e89891d34dcf9
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-16

    Completion: simplify some utils functions

    Some parameters or return values were not used.

M	gtksourceview/gtksourcecompletion.c
M	gtksourceview/gtksourcecompletionutils.c
M	gtksourceview/gtksourcecompletionutils.h

commit ca32816c988e8d4e128e0b61e0276ef18d02cc4a
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-16

    Completion: remove len parameter of replace_current_word()

    The function is called in only one place, and the parameter is -1.

M	gtksourceview/gtksourcecompletion.c
M	gtksourceview/gtksourcecompletionutils.c
M	gtksourceview/gtksourcecompletionutils.h

commit 0d9517c8a75892615a369dc88d3dc672b2477b14
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-16

    Completion: remove row_activated_cb()

    activate_current_proposal() can be called directly.

M	gtksourceview/gtksourcecompletion.c

commit fcc53dcaf9ef70fc1d486ffb0e334d648b63c29c
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-16

    Completion: remove completion_{begin,end}_block()

    gtk_source_completion_block_interactive() and
    gtk_source_completion_unblock_interactive() can be used directly.

M	gtksourceview/gtksourcecompletion.c

commit 75051a696d34a490c02f9512097a597b6ed44d31
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-16

    Clean-up in the completion utils

    Some functions are used only internally, so make them static.
    And get_word() was used nowhere.

M	gtksourceview/gtksourcecompletionutils.c
M	gtksourceview/gtksourcecompletionutils.h

commit c33d66bb7c9e49ed600ba302c362031506f65dcf
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-16

    Completion: little clean-up of activate_current_proposal()

M	gtksourceview/gtksourcecompletion.c

commit 44c9fc371ac6d114850714566d67420d70d13c4f
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-15

    Completion: remove block_count struct field

    It is already handled by g_signal_handler_block/unblock().

M	gtksourceview/gtksourcecompletion.c

commit 7053661e8872e01504f04504dbb6db67ccb793e6
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2013-02-15

    [l10n] Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 79517f3f6f2903c0d79360b199c16b3e82e2fb77
Author: Gil Forcada <gforcada@gnome.org>
Date:	2013-02-15

    [l10n] Updated Catalan translation

M	po/ca.po

commit a6361abb60dd819480623183da05a64412d6bbd7
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-15

    Completion: remove select_first struct field

    The first row is selected only if there is no selection, and if
    select_on_show is TRUE.

M	gtksourceview/gtksourcecompletion.c

commit 94ee4abe5b943b43d65a0da35fc46a6d08aba449
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-15

    Completion: rearrange the code of get_selected_proposal()

M	gtksourceview/gtksourcecompletion.c

commit c84e302dbab9a63a3aaa28a7bca890f60b6650e9
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-15

    Completion: remove info_visible struct field

    The value is kept in the 'active' property of the Details button.

M	gtksourceview/gtksourcecompletion.c

commit 0f6523a08ed8d76482a6709d0ed9b1bc9b8d7eb1
Author: Jorn Baayen <jorn.baayen@baayen-heinz.com>
Date:	2012-11-07

    Add Modelica language spec, based on the one from Kate.

M	data/language-specs/Makefile.am
A	data/language-specs/modelica.lang
M	po/POTFILES.in
M	tests/test-languagemanager.c

commit bd6bcb881d05f86e386f9ffc52215c9a6753ce01
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-02-15

    Updated POTFILES.in

M	po/POTFILES.in

commit 48c15bee85e036190a9015a57d261d0be838d55d
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-14

    Completion: simplify text cell renderer

    Same as for the icon cell renderer.

    It uses only the MARCKUP column from the model.

M	gtksourceview/gtksourcecompletion.c
M	gtksourceview/gtksourcecompletionmodel.c
M	gtksourceview/gtksourcecompletionmodel.h

commit 7cd5383cdcede4f46fe05b89888af1d167388481
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-14

    Completion: simplify icon cell renderer

    Instead of using a cell data func, add a boolean column in the model,
    IS_HEADER, and use this column for setting the attributes of the icon
    cell renderer.

    It also moves all the init stuff of the TreeView in the new function
    initialize_tree_view().

M	gtksourceview/gtksourcecompletion.c
M	gtksourceview/gtksourcecompletionmodel.c
M	gtksourceview/gtksourcecompletionmodel.h

commit 51cb792d30826485c5834e6b8cc5e5e6b0e069d3
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-14

    Completion: simplify render_proposal_{icon,text}_func()

    The 'markup' column of a header row is now handled directly in the
    CompletionModel.

M	gtksourceview/gtksourcecompletion.c
M	gtksourceview/gtksourcecompletionmodel.c

commit 4a78b6b1fe7a093df6f7815551359ecf6675a540
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-14

    Completion: warning when a header is selected

    Normally it never happens, but it's better to have the warning,
    just in
    case.

M	gtksourceview/gtksourcecompletion.c

commit c92066f3c4c1765e0608894527593f15e9317127
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-14

    Completion: simplify the code for the "Details" button

    Use the 'label' and 'image' properties of a GtkButton, instead of
    reinventing the wheel.

    It is a little less convenient for getting the mnemonic keyval of the
    label.

M	gtksourceview/gtksourcecompletion.c
M	gtksourceview/gtksourcecompletion.ui

commit c9d71a1e3c23f6bd825de20b6ccdd4cf859ee354
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-14

    Completion: rename struct field window -> main_window

    Now there are the main_window, and the info_window.

M	gtksourceview/gtksourcecompletion.c

commit 78b16ec25e2dcd7e25b92673e6b3f5f14fafcfd8
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-14

    Completion: separate CompletionPrivate fields into sections

    The fields are not renamed, they are just moved, and some comments are
    added to explain them.

    For the widgets, some IDs in the UI file are renamed, to have the same
    name as the struct field, or to have a better name (the struct fields
    will be renamed later in this case).

M	gtksourceview/gtksourcecompletion.c
M	gtksourceview/gtksourcecompletion.ui

commit 8ccf35fce112c7d763028c6d5cfbc5d8fc8e5c64
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-14

    Add missing g_return_val_if_fail()

M	gtksourceview/gtksourcecompletion.c

commit e8b81ef99c32e26d0be5ff5b6577ffe8cb27434a
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2013-02-11

    perl: spell check the POD sections

M	data/language-specs/perl.lang

commit 1c2607be57745e15dc0fe28245942a804df0e55b
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-10

    Doc: purpose of gtk_source_completion_show()

M	gtksourceview/gtksourcecompletion.c

commit ec07c32e7595ced7f05a7c699ab9a365a63aca10
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-10

    Doc: mention ::show-completion in the completion summary

M	gtksourceview/gtksourcecompletion.c

commit a700e9539f6112cd3a3cf27ca237f2d67117b6f8
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-10

    CompletionInfo: avoid infinite loop

M	gtksourceview/gtksourcecompletioninfo.c

commit b4e7180246e98160fe247ad30f6f82aa67ae6774
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2013-02-06

    Updated Galician translations

M	po/gl.po

commit d08c2c6fab2d0534297689d5b23c0dcb059ea740
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-27

    Doc: explain when to hide a CompletionInfo window

M	gtksourceview/gtksourcecompletioninfo.c

commit 5bcb366f4990bf15c3a637f6522ab7ca9ffe40f0
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-04

    Post-release version bump

M	README
M	configure.ac

commit 0947a5c9355398d412d6ba1d27e193621fc6ad4b
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-04

    Release 3.7.3

M	NEWS

commit 7b73e25731d75e9b211007334b27ee8621f5a28f
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-04

    Distribute tests/styles/classic.xml

    Fix make distcheck.

M	tests/Makefile.am

commit 19c292f1ec8dfe78098e1f8f51f3a1081c1a5b63
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-02-01

    Completion: do not emit the "hide" signal in show()

    It can be useful for an application to connect a callback on the
    "hide"
    signal to reset some properties that were altered just before showing
    the completion.

    But it can be strange to see this callback called during the
    display of
    the completion window.

M	gtksourceview/gtksourcecompletion.c

commit 08ddcf80217408c74b5ffbfd011746b6aa0f3183
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2013-02-04

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 767a4c9063ee5ccf5d0b79b9df65a480f079c832
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-02-03

    Updated Polish translation

M	po/pl.po

commit a2ccd0650019881c6469312eeca9387f5820273d
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2013-02-02

    Updated Hebrew translation.

M	po/he.po

commit b8122db48994464c37c057884522b4ba1b2fcb28
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2013-01-27

    Updated Slovenian translation

M	po/sl.po

commit af57b999da2c0b05738c4a9abf7ea8af414ce182
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-27

    Post-release version bump

M	README
M	configure.ac

commit 8a8aa2b0fd1c0f4e1c50d8e2dc0a5e82d99ed33c
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-26

    Don't use gtk_source_completion_info_{get,set}_widget()

    It's less convenient to use the GTK+ functions, but it's better
    to have
    a smaller API.

M	gtksourceview/gtksourcecompletion.c

commit 611ecb0a1d359434b75adb8d23c976c60bd56960
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-26

    Deprecate gtk_source_completion_info_{get,set}_widget()

    If one day the CompletionInfo becomes more complex (like it was in the
    past, with a ScrolledWindow and a Viewport), it will still be possible
    to override gtk_container_add() and gtk_bin_get_child().

M	gtksourceview/gtksourcecompletioninfo.c
M	gtksourceview/gtksourcecompletioninfo.h

commit f0542717b3491468b85ef5edd76c7ce496199e3e
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-26

    CompletionInfo: use gtk_bin_get_child()

    Instead of storing the widget in the private structure, we can simply
    use gtk_bin_get_child().

M	gtksourceview/gtksourcecompletioninfo.c

commit bbd642854ff8e974a63cdeabb7da0fb74063b61f
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-26

    Completion: fix the documentation for the page sizes

    I thought that the provider-page-size property was not used. But
    one can
    emit the "move-page" signal with @step equal to GTK_SCROLL_PAGES.

M	gtksourceview/gtksourcecompletion.c

commit 07c4dd62c1e3cbb95fb92a94d13b0e5a3c0849bf
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-26

    Deprecate gtk_source_completion_move_window()

    The window is already moved automatically with
    gtk_source_completion_provider_get_start_iter().

    When generating the documentation, there is a warning:
     warning: gtk_source_completion_move_window is deprecated in the
     inline
     comments, but no deprecation guards were found around
     the declaration. (See the --deprecated-guards option for
     gtkdoc-scan.)

    But it's normal, it's a bug in gtk-doc (bug #624001):
    https://bugzilla.gnome.org/show_bug.cgi?id=624001

M	gtksourceview/gtksourcecompletion.c
M	gtksourceview/gtksourcecompletion.h

commit 6043dad88f0b4ff496162a7954baeee7f77224b9
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2013-01-27

    Updated Lithuanian translation

M	po/lt.po

commit 3bac7395baadd886ece8376112d1249ba9b8a1b8
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-01-27

    Rework GtkSourceMark binary search

    Add SourceMark unit test that was failing with the old implementation
    and rework the implementation to properly deal with multiple source
    marks at the same iter.

M	gtksourceview/gtksourcebuffer.c
M	tests/Makefile.am
A	tests/test-mark.c

commit ca0dcf67bfe3028404b836b98c04f68aa7105aae
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-01-27

    Small optimization for a common case (no marks)

    This function is called at every redraw, so it is worth catching
    this common case

M	gtksourceview/gtksourcebuffer.c

commit d5a1f07dc5dabe5938e63667ad73ff7a15a8ce42
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-26

    Doc: minor fixes in MarkAttributes

M	gtksourceview/gtksourcemarkattributes.c

commit 9853dca92786bbcda392264e9b11fa08e8d2e091
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-26

    Doc: #function -> function()

M	gtksourceview/gtksourcecompletion.c
M	gtksourceview/gtksourcecompletionproposal.c
M	gtksourceview/gtksourcegutterrenderer.c
M	gtksourceview/gtksourcemark.c
M	gtksourceview/gtksourceundomanager.c

commit b304ec9682cfab3a617c13a60a525718dc9917ef
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-22

    test-completion-model: test the "row-changed" signal

M	tests/test-completion-model.c

commit 26ef164c3074541832c783379457853e6d43ae65
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-22

    CompletionModel: remove providers-changed signal

    It was used only for updating a label, but updating it at the end
    of the
    population is enough.

M	gtksourceview/gtksourcecompletion.c
M	gtksourceview/gtksourcecompletionmodel.c

commit a1383013a099b3fae73c116cfa0e7231cd0513df
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-22

    Completion: select first proposal on "move-page"

    When we select another provider with Ctrl+left/right, the first
    proposal
    is selected if needed.

M	gtksourceview/gtksourcecompletion.c

commit 03c3708343e77c21f023f4e9ab11878d3e49f8c1
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-22

    Completion: remove on_row_{inserted,deleted}_cb()

    We can call check_first_selected() at other places, if needed.

M	gtksourceview/gtksourcecompletion.c

commit 999f0d22b5dd556a843d289146d8dfe59ded4a90
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-22

    Completion: check if the TreeView contains a model

M	gtksourceview/gtksourcecompletion.c

commit e8d65f32971d2e2f92f43b2819a8d7cdfd9343dc
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-22

    Completion: select first proposal when population is done

    Indeed, the code was not correct.

M	gtksourceview/gtksourcecompletion.c

commit c2e4ef56a911430d61519d34123f95f4e104772b
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-22

    Completion: simplify check_first_selected()

    No need to reset 'piter' to the first iter, since we already have the
    'first' iter.

    And priv->select_first is already TRUE, else we wouldn't have selected
    the first selectable iter.

M	gtksourceview/gtksourcecompletion.c

commit 1d930debe735c0b8e449bb7d0fe57a0a0d520310
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-22

    Completion: simplify on_row_inserted_cb()

    Now we are sure that the completion window is visible when
    on_row_inserted_cb() is called.

M	gtksourceview/gtksourcecompletion.c

commit b0f4df9aaa59cc81842db1d2193ac869ff291389
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-21

    Completion: replace_model() function

M	gtksourceview/gtksourcecompletion.c

commit 9c2ee8c7658712ab27d1c316fa0f794a81c7d590
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-21

    Completion: remove model_{begin,end}_populate()

    Remove also the tests for multiple populations in the same model. It
    is
    not used anymore.

M	gtksourceview/gtksourcecompletion.c
M	gtksourceview/gtksourcecompletionmodel.c
M	gtksourceview/gtksourcecompletionmodel.h
M	tests/test-completion-model.c

commit 5872818c600b50a3cec215b2476b9d7ee9286746
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-21

    Completion: remove model_cancel()

M	gtksourceview/gtksourcecompletion.c
M	gtksourceview/gtksourcecompletionmodel.c
M	gtksourceview/gtksourcecompletionmodel.h
M	tests/test-completion-model.c

commit ee614a50890ea36267faecb1efe20d54a941df1b
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-21

    Completion: remove model_clear()

    We create a new CompletionModel for each population, so clearing the
    model is no longer useful.

M	gtksourceview/gtksourcecompletion.c
M	gtksourceview/gtksourcecompletionmodel.c
M	gtksourceview/gtksourcecompletionmodel.h
M	tests/test-completion-model.c

commit aee2e81f6c96f67fc2bec42dbab73c3b60b5248c
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-20

    Completion: use a new model for each population

    At the beginning of a population, we remove the model from the
    TreeView,
    and we destroy it. A new model is created, which is set to the
    TreeView
    only when the population is finished.

    When the population is finished, we must also show the completion
    window, which is normally done in on_row_inserted_cb(), but the
    "row-inserted" signals are not emitted.

M	gtksourceview/gtksourcecompletion.c

commit e745ce0e65a177b779ab1668721c7fcb12abcb1c
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-20

    Completion: remove begin/end delete signals

    It was for performances reasons with the previous model
    implementation.

M	gtksourceview/gtksourcecompletion.c
M	gtksourceview/gtksourcecompletionmodel.c
M	gtksourceview/gtksourcecompletionmodel.h

commit 193f23a21d091201b627724b542fd04a8604a8c5
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-20

    test-completion-model: remove the commented tests

    All tests are now OK.

M	tests/test-completion-model.c

commit 2f380e91ba63d3446b1c4f6a2f261db91cb6c5f8
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-14

    Free return value of gtk_source_completion_model_get_providers()

    In select_provider(), the variable 'providers' was declared a second
    time, that's why it's renamed to 'visible_providers'.

M	gtksourceview/gtksourcecompletion.c
M	tests/test-completion-model.c

commit da43b6622eb26034333e2bd39b6b332ee5ff1152
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-14

    CompletionModel: new implementation

    The previous implementation supported several populations of
    proposals.
    Between two populations, the model kept the common proposals, to avoid
    emitting useless "row-deleted" and "row-inserted" signals.

    But there is a simpler solution. During a population, we remove the
    model from the GtkTreeView. So the "row-inserted" and "row-deleted"
    signals are not needed. Once the population is finished, we set the
    model to the GtkTreeView, so the rows are correctly displayed.

    With the new implementation, a model is used for only one population.
    When a new population occurs, the old model is destroyed, and
    we create
    a new one. It simplifies a lot the code.

    And it's also more efficient, since we avoid completely all the
    "row-inserted" and "row-deleted" signals during a population.

    I've tested with five providers containing each 10000 proposals. With
    the previous implementation, the completion window takes maybe 30
    seconds to appear, while with the new implementation, it appears in
    approximately one second!

    There is still the problem when we change the visible providers. In
    this
    case the "row-deleted" and "row-inserted" signals are emitted. But it
    would not be difficult to use the same trick as for the populations.

M	gtksourceview/gtksourcecompletionmodel.c

commit 5f3d12565c83df1d628d7b607fa09767d53ea72d
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-14

    CompletionModel: separate functions into sections

M	gtksourceview/gtksourcecompletionmodel.c

commit 15311f6640a67914b8a43510b4ca6d887613b2f8
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-14

    CompletionModel: wipe out the current implementation

    Keep the maximum for the new implementation.
    There are also a few minor changes.

M	gtksourceview/gtksourcecompletionmodel.c

commit 94267bde75d65668c19675eeeb2476ad915827b8
Author: Ignacio Casal Quinteiro <ignacio.casal@nice-software.com>
Date:	2013-01-26

    Add current line, cursor and draw spaces colors in tango style

M	data/styles/tango.xml

commit dabdb98136d21191149579b8c51fc0bf743eeaa6
Author: Ignacio Casal Quinteiro <ignacio.casal@nice-software.com>
Date:	2013-01-26

    Tweak kate style to make it look more like kate's one

M	data/styles/kate.xml

commit c7391cb4f6649cdd872f8fbfe8ca6cd912cb42e0
Author: Ignacio Casal Quinteiro <ignacio.casal@nice-software.com>
Date:	2013-01-25

    Add missing colors to classic style.

    Do not rely on gtk+ for colors. Adwaita has changed the colors
    and do not fit anymore for our theme.

M	data/styles/classic.xml

commit ccc27f7b689228fad095e3e5b4822c538da35029
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-01-26

    Fix the order style schemes are loaded.

    Since we load in the order of the specified search path, if a
    scheme is
    found twice, the first should win.
    Also add a unit test.

M	gtksourceview/gtksourcestyleschememanager.c
M	tests/Makefile.am
A	tests/styles/classic.xml
A	tests/test-styleschememanager.c

commit 52d9a19a62cdb54b09fa9464b2d91af8a65f3a8f
Author: Gheyret Kenji <gheyret@gmail.com>
Date:	2013-01-26

    Updated Uyghur translation

    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

M	po/ug.po

commit bcd58f3d42c97631f8332cd58ac8c26e84cd1469
Author: Gheyret Kenji <gheyret@gmail.com>
Date:	2013-01-26

    Updated Uyghur translation

    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

M	po/ug.po

commit 8e6c898d2ce8dab7a5c075d08311b7f05398a3a2
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2013-01-24

    [l10n] Updated Italian translation.

M	po/it.po

commit 5fbf353c52b9f551e67c190a22ca78a5c13f6c30
Author: Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>
Date:	2013-01-15

    Completion: cleanup cancellation and updating of the current context

    Remove the context parameter from cancel_completion() and change
    it so that it only unrefs and sets the active context to NULL.

    update_completion() now always expect that it owns a
    ref on the passed in context. This means that cancel_completion()
    always can unref
    the previous active context even if the new context passed in is
    the same.

    This should fix a potential problem where the active context wasn't
    updated properly
    leading to the context being leaked and the active context being
    NULL even though
    it shouldn't.

    https://bugzilla.gnome.org/show_bug.cgi?id=691668

M	gtksourceview/gtksourcecompletion.c

commit b85f80c8d2640eaecf131e71a8b746638e9d9319
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2013-01-21

    [l10n] Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 413c480f7f084fe58cfb333b92d1b66b903f68b1
Author: Gil Forcada <gforcada@gnome.org>
Date:	2013-01-21

    [l10n] Updated Catalan translation

M	po/ca.po

commit 0656d54420cb9919d0b85ecbbd129e5bff8aad2a
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-20

    Completion: clean header inclusions

M	gtksourceview/gtksourcecompletion.c

commit ebb9e96734cab95714f0b8e9b8ab292038b0ddb5
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:	2013-01-06

    Update python tests for Python 3

    print was changed from a statement to a function in 3.0, but as simple
    print calls, this syntax is compatible with both 2.x and 3.x.

    Signed-off-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>

    https://bugzilla.gnome.org/show_bug.cgi?id=691268

M	tests/test-widget.py

commit d50c6c4789c077e7b4384c53961c310ef85da74f
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2013-01-19

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 0f97d9435c266ab9688ed4ae537b9a685b2cb4b4
Author: Ignacio Casal Quinteiro <ignacio.casal@nice-software.com>
Date:	2013-01-18

    Mark as user actions undo and redo

M	gtksourceview/gtksourceundomanagerdefault.c

commit 64c412a1d201df01194f8b0b2f22ef5f9e73f225
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-12-16

    CompletionInfo: update the documentation

M	gtksourceview/gtksourcecompletioninfo.c

commit dc25eed1e55747181b4d1798d59d9f540003fc13
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-12-16

    CompletionInfo: always a natural size

    The previous implementation had the public function:

    set_sizing (int max_width, int max_height, bool shrink_width, bool
    shrink_height);

    It has been removed during the port to GTK+ 3. See commit
    e195094a2a89fe25996f081b584c42675b89216f.

    However, the sizing of a GtkWindow should be done with GTK+ functions,
    not by adding API to GtkSourceView.

    Previously, the info window had by default a fixed size of 300x200,
    with
    a scrolled window. It was difficult to change this for having
    a natural
    size. Now the natural size is the default, and having a fixed size is
    not really difficult (it will be documented in a later commit).

    For more details, read:
    https://bugzilla.gnome.org/show_bug.cgi?id=679280

M	gtksourceview/gtksourcecompletioninfo.c

commit 321498375d1ce3b0d234d800d943b81c51932986
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-16

    Add allow-none annotation to completion_context_add_proposals()

    To allow an empty list of proposals.

M	gtksourceview/gtksourcecompletioncontext.c

commit 1899148a5f9adf704b4497f873b70647d1cee649
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-01-15

    Updated Spanish translation

M	po/es.po

commit 9ee8a4a5104faeb17f1eeb4219970aa05a36a518
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-01-14

    Release 3.7.2

M	NEWS
M	README
M	configure.ac

commit ee24adf68916b9eaeeed86dc98eca67ad4c5296b
Author: Jean-Philippe Fleury <contact@jpfleury.net>
Date:	2013-01-14

    Updates OCaml name.

    GNOME Bug #691735. For reference, see changes for OCaml 4.00.0:

    http://caml.inria.fr/pub/distrib/ocaml-4.00/notes/Changes

M	data/language-specs/ocaml.lang

commit a5a805a46005fcaccc1386423321d2fa3c85b2ad
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-14

    CompletionModel: add a comment for get_providers()

M	gtksourceview/gtksourcecompletionmodel.c

commit 2fcc7ac43a22315b0f6884ac3cbbd00f8225137e
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-14

    test-completion-model: more unit tests

    The number of functions tested is now in the green. The number
    of lines
    tested is still in orange because of the commented tests.

M	tests/test-completion-model.c

commit 050dac4b482a42f65e4e9dfee9d2e68bf154c4b0
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-01-13

    Reenable test-region test

    We can use the priv lib to reenable the textregion test and turn
    it into
    a unit test

M	tests/Makefile.am
R092	tests/testregion.c	tests/test-region.c

commit 4d1a0a2f3c2daf6f65b4c3e07e9f76013a78e529
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-01-13

    A small regex unit test

M	tests/Makefile.am
A	tests/test-regex.c

commit 04c1da24c49f0bf8039e8b2a5839c475146e4cf6
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-01-13

    Link completion-model test to the private lib

    Use the new private lib and remove the workarounds

M	tests/Makefile.am

commit ed0013ce6b0722ef7c85b28b92ae6b935817fe80
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-01-13

    Split compilation of a private helper library

    This is needed so that we can link unit tests for these internal
    classes

M	gtksourceview/Makefile.am

commit 052ad01cf710afb48187fabd1c81a7393e2ad89f
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-01-13

    Add unit test for GtkSourceLanguage

M	tests/Makefile.am
A	tests/language-specs/test-empty.lang
A	tests/language-specs/test-full.lang
A	tests/test-language.c

commit 2eaf23c44d19f0552b938f98fcac97b8a5645e56
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-13

    Update CLEANFILES for the code coverage

M	tests/Makefile.am

commit f05db3b681c4ebb5f5b5766e469f5ad1e6bf75b8
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-13

    Code coverage for CompletionModel

    There is maybe a better solution for building test-completion-model.

M	tests/Makefile.am

commit 137d84bbeafce6e5426b00237672195dfaf2bb91
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-13

    Enable code coverage only in gtksourceview/

M	configure.ac
M	gtksourceview/Makefile.am

commit 066a1832ec6ae780c5ec174139336fb2fa2f6e5b
Author: Gheyret Kenji <gheyret@gmail.com>
Date:	2013-01-13

    Updated Uyghur translation

    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

M	po/ug.po

commit 9954a043f1e44f050c227023f8fb1bda1172235d
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-12

    Doc: overview of the completion system

M	gtksourceview/gtksourcecompletion.c

commit 71105e132bfcf1307df15c3744f95a84597983e4
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-12

    Doc: move important paragraph in a note

    It's more visible like that.

M	gtksourceview/gtksourcecompletionprovider.c

commit 6e33a3e89f6d366362c0aacc73d6a51ef49b72e3
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-12

    Doc: explain the default widget for the CompletionInfo window

M	gtksourceview/gtksourcecompletionprovider.c

commit 662e6c656dd2ca265e8fe59ae21298b16b789f67
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-11

    Doc: small fixes

M	gtksourceview/gtksourcecompletion.c
M	gtksourceview/gtksourceview.c

commit 6e77d9ca173e32f407ba436ffa3d4174e193e652
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-12

    Doc: small section for the CompletionWords provider

M
gtksourceview/completion-providers/words/gtksourcecompletionwords.c

commit b917727fbcd9bf031cdeea758af84c25debb1be4
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-12

    Doc: small section for CompletionItem

M	gtksourceview/gtksourcecompletionitem.c

commit 74daafd4034056b103437958af198bc15da9bf6f
Author: Alexander Shopov <ash@kambanaria.org>
Date:	2013-01-12

    Updated Bulgarian translation

M	po/bg.po

commit 4cbc1fc8b4180efdcd5f69633fbb044835b24156
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-09

    test-completion-model: some tests with iters

M	tests/test-completion-model.c

commit 0aabd46462a6084b063a4f312da112dd74757276
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-09

    test-completion-model: n_proposals()

M	tests/test-completion-model.c

commit e27787bb532ac496adf12178a0cb1ebf049eb76c
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-09

    test-completion-model: get_providers()

M	tests/test-completion-model.c

commit c408282e53403313ba84ac35f3df3a5ee30a715e
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-07

    test-completion-model: populate with several batches

M	tests/test-completion-model.c

commit 62657cce23e859609b46b6b3e177c5fc39cf6a35
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-07

    test-completion-model: second populate

    test_second_populate_same_order() is almost OK, an assert must be
    commented.

    test_second_populate_different_order() was known to fail, so it is
    entirely commented.

M	tests/test-completion-model.c

commit 838d694a3f9b27ed06b277d770838a4298b9803c
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-07

    test-completion-model: test clear()

M	tests/test-completion-model.c

commit 4bc873bbb74894927afc11a1e3a4afef09d35c3f
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-06

    test-completion-model: test set_visible_providers()

    It shows other bugs in CompletionModel (the commented tests). It's
    difficult to understand how the UI is not broken.

M	tests/test-completion-model.c

commit ca89cc7e40f4bdb9a79e13863c818d4e7878d6e2
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-06

    Add code coverage support

    New configure option: --enable-code-coverage
    New make target: check-code-coverage

    lcov must be installed.

    *.gcda and *.gcno files are generated, add them to CLEANFILES.

M	Makefile.am
M	configure.ac
M	tests/Makefile.am

commit 88f8873628b8b951325da8c9fed581e8e699633e
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-04

    test-completion-model: test a "simple" populate

    Create several providers with associated proposals, populate them in a
    CompletionModel, and check whether the CompletionModel correctly
    contains the providers.

M	tests/test-completion-model.c

commit 215511d05aa68bab6b813536d608b11c8c59b02b
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-04

    test-completion-model: test get_visible_providers()

M	tests/test-completion-model.c

commit d4b9f438034595e032da33260011cf3f9bb1910e
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-03

    test-completion-model: test thoroughly is_empty()

    There is a new basic provider and a utility function for creating
    proposals.

    There is currently a bug in is_empty(), that's why two tests are
    commented (with "#if 0" to easily see later the commented tests).

M	tests/test-completion-model.c

commit 09129665691747af78778d398b2544682814238b
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-04

    CompletionModel: simplify second parameter of is_empty()

    Instead of having double negations like "!invisible", it's easier with
    "only_visible".

    Add also a comment, because the meaning of the parameter is not
    obvious.

M	gtksourceview/gtksourcecompletion.c
M	gtksourceview/gtksourcecompletionmodel.c
M	gtksourceview/gtksourcecompletionmodel.h

commit 1d4d0a593f83351a455872a55eb05fbcdb110b09
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-03

    Begin unit tests of CompletionModel

M	tests/Makefile.am
A	tests/test-completion-model.c

commit d97dedace33465c13b4324c9a0c42cc92fa1d6a7
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-09-15

    Completion: more robust get_selected_proposal()

    The header can't be selected, normally. But when proposals are
    removed/inserted by the model, it can occur. In this case, the
    function
    should return false to mean that no proposal is selected.

M	gtksourceview/gtksourcecompletion.c

commit febb0f89ade19e5c2cf330ffc991ded1170f2460
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-02

    CompletionModel: rename three functions

    I remember that when reading the code the first time it was
    difficult to
    understand the purpose of those functions. Since the API is private,
    there is no renaming problems.

M	gtksourceview/gtksourcecompletion.c
M	gtksourceview/gtksourcecompletionmodel.c
M	gtksourceview/gtksourcecompletionmodel.h

commit 3f4aa9d915d38318017f9ab063229aa552446ad8
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-01-02

    CompletionModel: better format the prototypes

M	gtksourceview/gtksourcecompletionmodel.h

commit 63d0c999a5b439b2b9cc6fe0445205d9179274da
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-12-28

    Doc: fix header to include for the word completion provider

M	docs/reference/gtksourceview-3.0-sections.txt

commit 35e2391693beeb30cfd0bea0b9d2087d5abb6238
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-12-29

    Release 3.7.1

M	NEWS
M	README
M	configure.ac

commit e3525e2409cff472ffeaf6bb1b27acd4e4d25c74
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:	2012-12-29

    Updated Hungarian translation

M	po/hu.po

commit 509dd89b6fce615b567c081e6feef20ff306a6b3
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-12-27

    GTK-Doc: add missing symbols

    Now the gtksourceview-3.0-unused.txt file is empty.

M	docs/reference/gtksourceview-3.0-sections.txt
M	docs/reference/gtksourceview-docs.xml

commit e52ac6f69e244c7aa27bc084a2220f41ee9b3905
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-12-27

    Move some private types in gtksourcetypes-private.h

    Some private types were present in gtksourcetypes.h.
    Another solution would have been to move these types in their
    respective
    headers, but we lose the benefit of having one header with all the
    types (to avoid header inclusions cycles).

    The lists of headers in the Makefile.am files have been sorted, and
    gtksourcetypes-private.h has been added.

M	docs/reference/Makefile.am
M	gtksourceview/Makefile.am
M	gtksourceview/gtksourcecompletionmodel.h
M	gtksourceview/gtksourcecontextengine.h
M	gtksourceview/gtksourceengine.h
M	gtksourceview/gtksourcegutterrendererlines.h
M	gtksourceview/gtksourcegutterrenderermarks.h
M	gtksourceview/gtksourcepixbufhelper.h
M	gtksourceview/gtksourceregex.h
A	gtksourceview/gtksourcetypes-private.h
M	gtksourceview/gtksourcetypes.h
M	gtksourceview/gtksourceundomanagerdefault.h

commit 4bcfe83589dfcfd8bab05021e902db3faccbe4ed
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-12-27

    Document completion error symbols

    GTK_SOURCE_COMPLETION_ERROR_ALREADY_BOUND is used only in
    gtk_source_completion_add_provider().

    GTK_SOURCE_COMPLETION_ERROR_NOT_BOUND is used only in
    gtk_source_completion_remove_provider().

M	docs/reference/gtksourceview-3.0-sections.txt
M	gtksourceview/gtksourcecompletion.h

commit 8f277cb6aff9dc7ff202058656663dae14d18803
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-12-27

    Remove unused symbols

    The symbols were present in
    docs/reference/gtksourceview-3.0-unused.txt,
    but they are used nowhere, so it's simpler to remove them.

M
gtksourceview/completion-providers/words/gtksourcecompletionwords.h
M	gtksourceview/gtksourcecompletioncontext.h
M	gtksourceview/gtksourcecompletionitem.h
M	gtksourceview/gtksourcecompletionprovider.h
M	gtksourceview/gtksourcemarkattributes.h

commit f7ad2e9f3400bd8be11f7eb7a535feb1476860e6
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-12-26

    tests: clean header inclusions

M	tests/test-buffer.c
M	tests/test-completion.c
M	tests/test-languagemanager.c
M	tests/test-printcompositor.c

commit c10723f5091c9b8e6f7e52ecf21dcbd771642bdf
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-12-26

    Protect completionwordsutils.h from several inclusions

M
gtksourceview/completion-providers/words/gtksourcecompletionwordsutils.h

commit 1ddc53a9f465209655483084940a2413344c7b73
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-12-25

    Use the GtkSourceView type instead of "struct _GtkSourceView"

M	gtksourceview/gtksourcecompletion-private.h
M	gtksourceview/gtksourcegutter-private.h
M	gtksourceview/gtksourcegutter.c
M	gtksourceview/gtksourceview.c

commit 1c57beb586e2e7742e5c3775ce2ddc408723578d
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-12-25

    Use G_GNUC_INTERNAL to avoid exporting private symbols

    With the relinfo.pl script from Ulrich Drepper, here are the results.

    Before:
    128 relocations, 105 relative (82%), 946 PLT entries, 247 for local
    syms (26%)

    After:
    125 relocations, 103 relative (82%), 880 PLT entries, 181 for local
    syms (20%)

    Private symbols prefixed with an underscore (or without the
    gtk_source_
    prefix) were not exported. However G_GNUC_INTERNAL is beneficial for
    them too because the compiler is now aware that those symbols are not
    exported, and therefore it can better optimize the code.

    Another problem remains: the big number of PLT entries for local
    symbols. Normally it should be 0 I think (it is 0 for the glib,
    gio and
    gtk+, for example, so it should be possible for GSV too).

M
gtksourceview/completion-providers/words/gtksourcecompletionwordsbuffer.h
M
gtksourceview/completion-providers/words/gtksourcecompletionwordslibrary.h
M
gtksourceview/completion-providers/words/gtksourcecompletionwordsproposal.h
M
gtksourceview/completion-providers/words/gtksourcecompletionwordsutils.h
M	gtksourceview/gtksourcecompletion-private.h
M	gtksourceview/gtksourcecompletionmodel.h
M	gtksourceview/gtksourcecompletionutils.h
M	gtksourceview/gtksourcecontextengine.h
M	gtksourceview/gtksourceengine.h
M	gtksourceview/gtksourcegutter-private.h
M	gtksourceview/gtksourcegutterrenderer-private.h
M	gtksourceview/gtksourcegutterrendererlines.h
M	gtksourceview/gtksourcegutterrenderermarks.h
M	gtksourceview/gtksourcelanguage-private.h
M	gtksourceview/gtksourcepixbufhelper.h
M	gtksourceview/gtksourceregex.h
M	gtksourceview/gtksourcestyle-private.h
M	gtksourceview/gtksourceundomanagerdefault.h
M	gtksourceview/gtksourceview-i18n.h
M	gtksourceview/gtksourceview-utils.h
M	gtksourceview/gtktextregion.h

commit 5619a176c6ce32aa0c8e64e263b0fa5a6f5edf39
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-12-22

    GTK-Doc: gdk-pixbuf was missing in FIXXREF_OPTIONS

M	configure.ac
M	docs/reference/Makefile.am

commit 2748a661da22c67d36886fd57fe05a0c780bcbef
Author: Nishio Futoshi <fut_nis@d3.dion.ne.jp>
Date:	2012-12-28

    [l10n] Update Japanese translation

M	po/ja.po

commit bf494f0db27a1a53433f85b947d1ff7615a17e2e
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2012-12-26

    Updated Hebrew translation.

M	po/he.po

commit 4abe5937f36af4291e5b00b5dd5335d1fac39714
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-12-25

    Updated Spanish translation

M	po/es.po

commit 331125872e63f4e3efa19b53e3f8747a458b9f4b
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-12-24

    Updated Galician translations

M	po/gl.po

commit e0183c4c602765e151dc5e6f4fd6883bb13da2fa
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-12-22

    Updated Polish translation

M	po/pl.po

commit 92b1de50a00ad2b471838d4739cd407b1986a7b5
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-12-22

    Updated POTFILES.skip

M	po/POTFILES.skip

commit 4e56fc8ff8ec3d6c04163033bf0fd21672b423cb
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-12-22

    Updated Slovenian translation

M	po/sl.po

commit 21ea84a49ceeb6a1e28a054ac12528e1255d68eb
Author: Timothy Arceri <t_arceri@yahoo.com.au>
Date:	2012-12-22

    Add language spec for IDL (Interactive Data Language)

    https://bugzilla.gnome.org/show_bug.cgi?id=501733

M	data/language-specs/Makefile.am
A	data/language-specs/idl-exelis.lang
M	po/POTFILES.in

commit 6c1842610c9366782990eb381de3d80d3db6a59b
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-12-19

    GTK-Doc: extra directories in FIXXREF_OPTIONS

    The links to external GNOME symbols works now. It is how it is done in
    GTK+.

    To avoid the warnings, the HTML documentation of GLib, GTK+ and Pango
    must be available, obviously. A quick way to add them, without
    rebuilding everything, is to install the doc packages from the
    distribution, and add symbolic links in the jhbuild prefix.

M	configure.ac
M	docs/reference/Makefile.am

commit 3150b3ed91169407216f98afbb8245c8731a8bcb
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-12-19

    GTK-Doc: use --rebuild-types in SCAN_OPTIONS

    The .types file is not needed anymore, it is automatically
    re-generated.
    The advantage is that it doesn't need to be updated manually in the
    future.

    The differences between the old .types and the new one:
    - the #include lines are removed;
    - gtk_source_completion_words_get_type is added.

M	docs/reference/Makefile.am
D	docs/reference/gtksourceview-3.0.types

commit ed216338d71a7b1e7cebfa9e8f1c54f3d912ef9c
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-12-19

    GTK-Doc: clean a bit the Makefile.am

    In the gtk-doc sources, the required Automake version in the
    example is
    1.6, not 1.7.

    Move some lines, and add some comments (from the example in gtk-doc).

M	docs/reference/Makefile.am

commit 9fa8ebb94edbfd03e646c28f07ccccdf784b0626
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-12-19

    GTK-Doc: rename the remaining .sgml -> .xml

M	docs/reference/Makefile.am
M	docs/reference/gtksourceview-docs.xml
R100	docs/reference/lang-reference.sgml
docs/reference/lang-reference.xml
R100	docs/reference/lang-tutorial.sgml
docs/reference/lang-tutorial.xml
R100	docs/reference/style-reference.sgml
docs/reference/style-reference.xml

commit 60c36f47e25c02f13d5776ec0ec9fd5b5c3c766c
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-12-19

    GTK-Doc: update the main .xml file

    If we remove the main .xml file, GTK-Doc will generate a new one
    (but is
    not complete). This commit takes the differences.

    The user-visible change is the new object hierarchy.

M	docs/reference/gtksourceview-docs.xml

commit d177adbd04233988a2519f5697fa96799f66bddd
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-12-17

    GTK-Doc: rename gtksourceview-docs.sgml -> .xml

    And remove --ignore-files from MKDB_OPTIONS, because no files in
    GtkSourceView is named "trio".

M	docs/reference/Makefile.am
R100	docs/reference/gtksourceview-docs.sgml
docs/reference/gtksourceview-docs.xml

commit 880f68a6a7bd3ea6130f870da901a3109c75bd51
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-12-17

    GTK-Doc: fix IGNORE_HFILES

    The completionwords* were not taken into account. The number of
    symbols
    in gtksourceview-3.0-unused.txt has considerably been reduced (but is
    not empty, it's for a later commit(s)).

M	docs/reference/Makefile.am

commit 093063732ce67cde39731357c7c9d13dc1ffab45
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-12-17

    Don't use g_slice_set_config() (deprecated)

    With a certain environment variable in GLib it is possible to have the
    same behavior I think (always malloc).

    g_slice_set_config() should have never been made public:
    http://git.gnome.org/browse/glib/commit/?id=a74749d354a9d5458f664eb67691901e13bfe738

M	tests/test-widget.c

commit ceaa4e5487cc800c6dacfbbc4f1f33340a80be18
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-12-16

    Updated Polish translation

M	po/pl.po

commit b08105903d01865e7c4e001d24a2af542d908449
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-12-15

    Updated Galician translations

M	po/gl.po

commit cfbeb8aee881e598d057177db4ddd33b5d8c0da2
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-12-11

    octave: point to the right keyword style.

M	data/language-specs/octave.lang

commit 1dc4de7328ddc57c615103526be346b0cbe6c2f9
Author: Sebastian Bergmann <sb@sebastian-bergmann.de>
Date:	2012-12-05

    Add finally and yield (added in PHP 5.5).

M	data/language-specs/php.lang

commit 19476a9bfd44bb08912284aec20d39a3e85ef85b
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-11-25

    Remove gtksourceview-typebuiltins.h from gtksource.h

    This is a private file.

M	gtksourceview/gtksource.h
M	tests/test-widget.c

commit daa7f1b052c1c4e8d5e07c9f3b025e38b9176bb2
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-11-25

    Doc: header to include: always gtksource.h

M	docs/reference/gtksourceview-3.0-sections.txt

commit 3805496d3be8cf8c980980e5a41a93b0bedd8ff9
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-11-25

    No untracked files with git status

M	Makefile.am

commit 10ffb88eb89bf42f06693207aaac50df6c6df14b
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-11-24

    Documentation: fix some warnings

M	docs/reference/gtksourceview-3.0-sections.txt
M	gtksourceview/gtksourcebuffer.c
M	gtksourceview/gtksourcecompletionprovider.c
M	gtksourceview/gtksourcemark.c
M	gtksourceview/gtksourcemarkattributes.c
M	gtksourceview/gtksourceprintcompositor.c
M	gtksourceview/gtksourceview.c

commit 61876d018619c4f8c743a52ad476ce8102b144f6
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-11-22

    Clean headers includes

    The types are now located in gtksourcetypes.h, so some headers
    includes
    were useless. But when removing them, it was sometimes necessary to
    re-include them in the .c files.

M	gtksourceview/gtksource.h
M	gtksourceview/gtksourcebuffer.c
M	gtksourceview/gtksourcebuffer.h
M	gtksourceview/gtksourcecompletion.c
M	gtksourceview/gtksourcecompletion.h
M	gtksourceview/gtksourcecompletioncontext.h
M	gtksourceview/gtksourcecompletioninfo.h
M	gtksourceview/gtksourcecompletionitem.c
M	gtksourceview/gtksourcecompletionitem.h
M	gtksourceview/gtksourcecompletionmodel.c
M	gtksourceview/gtksourcecompletionmodel.h
M	gtksourceview/gtksourcecompletionprovider.c
M	gtksourceview/gtksourcecompletionprovider.h
M	gtksourceview/gtksourcecompletionutils.c
M	gtksourceview/gtksourcecontextengine.c
M	gtksourceview/gtksourcecontextengine.h
M	gtksourceview/gtksourceengine.c
M	gtksourceview/gtksourceengine.h
M	gtksourceview/gtksourcegutter.h
M	gtksourceview/gtksourcegutterrenderer.h
M	gtksourceview/gtksourcegutterrenderermarks.c
M	gtksourceview/gtksourcelanguage.h
M	gtksourceview/gtksourcelanguagemanager.h
M	gtksourceview/gtksourcemarkattributes.c
M	gtksourceview/gtksourcemarkattributes.h
M	gtksourceview/gtksourceprintcompositor.c
M	gtksourceview/gtksourceprintcompositor.h
M	gtksourceview/gtksourcestylescheme.h
M	gtksourceview/gtksourcestyleschememanager.h
M	gtksourceview/gtksourceview.c
M	gtksourceview/gtksourceview.h
M	tests/test-languagemanager.c
M	tests/test-printcompositor.c
M	tests/test-widget.c

commit 487b725f516e75b9de05402d52ad76ae03265e6c
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-11-22

    Completion: set translation domain to the GtkBuilder

    The button "Details..." was not translated, although the strings
    were set
    as translatable.

M	gtksourceview/gtksourcecompletion.c

commit 9932b5396ee90463f7bbe4baea19cf71c09c56ac
Author: Sébastien Wilmet <swilmet@src.gnome.org>
Date:	2012-04-24

    Completion: fix "Alt" keyboard shortcuts

    Alt+1, Alt+2, ... are used to activate one of the first
    proposals. These
    shortcuts didn't work with some keyboard layouts because the Shift key
    must be pressed to access the digit.

    The variable 'mod' in this case is not exactly equal to GDK_MOD1_MASK
    (the Alt key), since the bit for Shift is also enabled.

M	gtksourceview/gtksourcecompletion.c

commit 6a2ce1e68ce3540beb9538fa5108fe10e79d93f6
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-11-18

    Avoid warnings with glib-mkenums

    The warnings were:
    /usr/bin/glib-mkenums: gtksourceview.h:133: Failed to parse
    `GTK_SOURCE_DRAW_SPACES_TAB | \ '
    [...]

    If 0b1111111 is used, there is another warning with GISCAN. So
    the best
    is to use an hexadecimal number.

M	gtksourceview/gtksourceview.h

commit b0779e32a3edd2dcd2c47403d8704d8b56627bfb
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-11-18

    Doc: ignore private .h files

    The list of .h files comes partly from the NOINST_H_FILES variables.

M	docs/reference/Makefile.am

commit 43c49835ecd464971b080b7167863e689106c256
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-11-18

    Do not expose GtkSourceCompletionModel publicly

    GtkSourceCompletionModel isn't a part of the public API.

M	gtksourceview/gtksourcecompletionmodel.h
M	gtksourceview/gtksourcetypes.h

commit ca61e8c2bf1d6b2708e920739f675aaeec402d51
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-11-18

    Doc: remove empty file: gtksourceview-3.0-overrides.txt

    Add it in Makefile.am, because the file is still generated by gtk-doc.

M	docs/reference/Makefile.am
D	docs/reference/gtksourceview-3.0-overrides.txt

commit 63589e959a0da096a6796e5583408b5a2950e0fb
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-11-18

    Fix documentation of the gutter renderers

M	docs/reference/gtksourceview-3.0.types

commit d7dfb6e2ca6d82df424e145a670d95f6dea177ff
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-11-18

    GISCAN: avoid warning with GtkTextRegion

    The warning:

    gtksourcetypes.h:58: Warning: GtkSource: symbol='GtkTextRegion':
    Skipping foreign identifier 'GtkTextRegion' from namespace Gtk

    But it's maybe safer to rename GtkTextRegion as GtkSourceTextRegion,
    to
    avoid a potential conflict with the Gtk namespace in the future.

M	gtksourceview/gtksourcetypes.h
M	gtksourceview/gtktextregion.h

commit 80b60ea213039de2cab95860576bfa482c515bc7
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-11-18

    configure.ac: remove subst variable (used nowhere)

M	configure.ac

commit 126fba7e32af288c1d642bda71407dc0db8709c0
Author: Roman Mátyus <romanmatyus@gmail.com>
Date:	2012-11-12

    Updated slovak translation

M	po/sk.po

commit c67c17abfc3c8d1897a33726b2114d38029e895f
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2012-11-09

    Updated Hebrew translation.

M	po/he.po

commit 76c38efdcf2610de1609e606e7cef58028852fa4
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-11-04

    Fix cut&paste error in last patch

M	gtksourceview/gtksourcegutterrenderer.c

commit 3a6e6b6fd93b4d7c21296956da6acf32079b87cf
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-11-03

    Actually we can use weak pointer

    I didn't see remove_weak_pointer before...

M	gtksourceview/gtksourcegutterrenderer.c

commit 6890197c4035d84e0800bd9c138d93076e6b77e4
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-11-03

    Properly handle the buffer weak ref in the gutter renderer

    This fixes an invalid write reported by valgrind on close.

M	gtksourceview/gtksourcegutterrenderer.c

commit 58b2668d7eeb4a48afdc78b3a787293d7a31a019
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-11-03

    Revert "Do not keep weak pointer to the buffer"

    This reverts commit 1302cc4161fd206b9b3fcb55ca29442ec00bdcf8.
    I should have looked more closely: we are passing the *old* buffer to
    the method.

M	gtksourceview/gtksourcegutterrenderer.c

commit 1302cc4161fd206b9b3fcb55ca29442ec00bdcf8
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-11-03

    Do not keep weak pointer to the buffer

    It is up to GtkTextView to not emit extra notifications if the
    buffer is
    actually the same, so we do not need to keep a weak pointer just to
    check whether the buffer is the same.

M	gtksourceview/gtksourcegutterrenderer.c

commit 6acb3641d16c347a657460d9f7ec8fbb1c362269
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-11-03

    Init left gutter renderers lazily

M	gtksourceview/gtksourceview.c

commit 1433a444361e026019593817491681b64272266a
Author: Andika Triwidada <andika@gmail.com>
Date:	2012-10-27

    Updated Indonesian translation

M	po/id.po

commit c75cbc660e5485a0e28cd1b6ce7db129cb9f3220
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-10-17

    Updated Spanish translation

M	po/es.po

commit 8fc70898804ff4068eb763aebbd8ed583bca8908
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:	2012-10-15

    Updated Danish translation

M	po/da.po

commit 51c9e281f383645b5eff77a1603f614270eaeb95
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-10-14

    Updated Slovenian translation

M	po/sl.po

commit 7e1b29b03efd3ab3c26ad4a176dc7c38850debb0
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	2012-10-12

    i18n: Add bluespec.lang to POTFILES.in

    See: https://bugzilla.gnome.org/show_bug.cgi?id=685809

M	po/POTFILES.in

commit 8c0bf1bbf6ee13407218243ffd0392be1cb55869
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	2012-10-11

    Bug 685809 — Add Bluespec SystemVerilog syntax highlighter

    Add a syntax highlighter for Bluespec SystemVerilog. This includes
    some
    improvements to the standard Verilog highlighter to highlight
    printf-style
    format specifiers in strings.

    Closes: https://bugzilla.gnome.org/show_bug.cgi?id=685809

M	data/language-specs/Makefile.am
A	data/language-specs/bluespec.lang
M	data/language-specs/verilog.lang

commit 75c2449d45cdeffac946fa6b302138d34c3ef244
Author: Marek Černocký <marek@manet.cz>
Date:	2012-09-26

    Updated Czech translation

M	po/cs.po

commit cfa9d2f076078cf5fc02537b40c5ec01c1115392
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-09-24

    Release 3.6.0

M	NEWS
M	README
M	configure.ac

commit 9c22814d13956a8e238a570034e726e7adbb3a54
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2012-09-24

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 5ad5e2b4178632fe95a4e5ba6932c593d407c0ad
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	2012-09-24

    Updated Latvian translation

M	po/lv.po

commit bc8abd05053eadd1981b863606aa4e9003e50ada
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:	2012-09-24

    Updated Thai translation

M	po/th.po

commit ab2f5e9a1583e2fab05dbed4fe434da07425b885
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2012-09-23

    [l10n] Updated German translation

M	po/de.po

commit c18977178f770ae0dc8115508d6e519f65b98fd9
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2012-09-22

    Updated Russian translation

M	po/ru.po

commit 1d7256a953565aff8ca6f40823d8c2f25117f43f
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2012-09-22

    Updated Hebrew translation.

M	po/he.po

commit 902c4c1659898e0c6c402f909a31b11718a82602
Author: Alexander Shopov <ash@kambanaria.org>
Date:	2012-09-22

    Updated Bulgarian translation

M	po/bg.po

commit 9dcdb8bcdba85115ad638f2c33467e06a5136498
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2012-09-22

    Updated Korean translation

M	po/ko.po

commit 234a5129f954f0a109e8543a6d3cfb70769eaafe
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2012-09-21

    [l10n]Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 9f1cbf7d7b7ad9d41d66ba458d912f3f0b972a23
Author: Gil Forcada <gforcada@gnome.org>
Date:	2012-09-21

    [l10n] Updated Catalan translation

M	po/ca.po

commit f7591e7c837c8b3ccec0bd46601017886bcb3a1a
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2012-09-21

    Updated Lithuanian translation

M	po/lt.po

commit 9797a6c986e1d339b167198c78ebdfe99e20ae44
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2012-09-21

    Updated Belarusian translation.

M	po/be.po

commit 848bfb7158e4b999fa241ee7847ca06207456a90
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2012-09-20

    Updated Portuguese translation

M	po/pt.po

commit fa2d490bb77b0a8b1682a92ec070815626ea5a30
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2012-09-20

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit f59aaae6b2babb481e201254eee19051f1c20b92
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2012-09-20

    Updated Hungarian translation

M	po/hu.po

commit 40199906741611f15a9fad7beeccf5487308b519
Author: Antonio Fernandes C. Neto <fernandesn@gnome.org>
Date:	2012-09-20

    Updated Brazilian Portuguese Translation

M	po/pt_BR.po

commit d0c40ca65e668617d371b1b11eea0c93a9c786f9
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2012-09-20

    Updated Greek translation

M	po/el.po

commit 959cd479a5e5e94ad3e6d622839c6e65466a1777
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	2012-09-20

    Update French translation

M	po/fr.po

commit a8f237c5955585dfb426b20d9ec112b4703ae32f
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2012-09-19

    [l10n] Updated Italian translation.

M	po/it.po

commit 35cd69ac25a0f7d5cefaeb6bbb1fb4849a5e542e
Author: A S Alam <aalam@users.sf.net>
Date:	2012-09-19

    update Punjabi Translation

M	po/pa.po

commit 2832af4ba9eae8cba20cd2fcac9aba51061af2a9
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:	2012-09-19

    updated Tamil translation

M	po/ta.po

commit c690693bf33319bc1d62c9745d7535f572f2a334
Author: Andika Triwidada <andika@gmail.com>
Date:	2012-09-19

    Updated Indonesian translation

M	po/id.po

commit 4f857bcadb61fe5920ddc8e3a44ac99d2e224b03
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-09-19

    Updated Galician translations

M	po/gl.po

commit eb315fa925f4fe720ebca6b1e7350dd908f3ba1e
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-09-18

    Updated Slovenian translation

M	po/sl.po

commit 764c713cc9f5d9709d0df8cf240d8783a01fb51a
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:	2012-09-18

    Updated British English translation

M	po/en_GB.po

commit 41085f469dd8b7dd94127636a66c5d2dce352e9e
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:	2012-09-18

    Assamese translation updated

M	po/as.po

commit 52cfcaba8518ff6e6bb2e8cdb4d4ac827c42d89d
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-09-18

    Updated Spanish translation

M	po/es.po

commit 0c373a5628a8ad27c30cb8a4808d6490f5b0c878
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-09-18

    Updated Polish translation

M	po/pl.po

commit f8abbcd2d8cabaa1d0e29eba7b863d826ac2ad37
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-09-18

    Move netrexx.lang from POTFILES.skip to POTFILES.in

    This way we don't have additional untranslated Sources menu in gedit.
    Sadly it introduces a new string, but
    a) it's already in the code,
    b) it's dead-simple.

    Also see https://bugzilla.gnome.org/show_bug.cgi?id=683658

M	po/POTFILES.in
M	po/POTFILES.skip

commit b7ccab5a1e9bcdcd04f49153d3b311ec4dc419fb
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-09-17

    Release 3.5.4

M	NEWS
M	README
M	configure.ac

commit dbf9028dc2d1b33f2355f7833d65c4f61a329da0
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-09-17

    Move some cleanup to the dispose method

    In particular make sure to set the lists to NULL after freeing them

M	gtksourceview/gtksourcecompletion.c

commit 27320a8b4c224e7280c1ba649d05ced88e12af93
Author: Sébastien Wilmet <swilmet@src.gnome.org>
Date:	2012-07-02

    Completion: fix ref/unref of info window's label

    There was a memory leak, since the 'default_info' could only be
    reffed.

    Also, it is safer to directly ref the widget, so we are sure that any
    call to gtk_source_completion_info_set_widget() doesn't remove
    the last
    reference.

    https://bugzilla.gnome.org/show_bug.cgi?id=679271

M	gtksourceview/gtksourcecompletion.c

commit fb21bc071c119ab27cddd20e48ab555caa58a1c2
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-09-17

    Update rpmspec keyword list

    https://bugzilla.gnome.org/show_bug.cgi?id=676261

M	data/language-specs/rpmspec.lang

commit 269fc2e41a25dd2b5fbc7c1a9793aaf3a747093f
Author: Sébastien Wilmet <swilmet@src.gnome.org>
Date:	2012-07-05

    Better documentation about completion population

    https://bugzilla.gnome.org/show_bug.cgi?id=679426

M	gtksourceview/gtksourcecompletioncontext.c
M	gtksourceview/gtksourcecompletionprovider.c

commit a3e4889ea84b7f57b1f221f3a970f18f4cf6ffa3
Author: Sébastien Wilmet <swilmet@src.gnome.org>
Date:	2012-07-05

    Documentation section for CompletionContext

    https://bugzilla.gnome.org/show_bug.cgi?id=679426

M	gtksourceview/gtksourcecompletioncontext.c

commit 8fa09824388c67ab7b356f579f18a6cbde305084
Author: Sébastien Wilmet <swilmet@src.gnome.org>
Date:	2012-07-04

    Improve documentation of GtkSourceView::show-completion

    https://bugzilla.gnome.org/show_bug.cgi?id=679426

M	gtksourceview/gtksourceview.c

commit 85cb38c7b5f717d99ad2c13cb695cae8f9456fda
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-09-17

    Add netrexx language file

    https://bugzilla.gnome.org/show_bug.cgi?id=683658

M	data/language-specs/Makefile.am
A	data/language-specs/netrexx.lang
M	po/POTFILES.skip

commit f844339bddbe1402c6f70217f6aa216575cdaf45
Author: Artem S Vybornov <vybornov@gmail.com>
Date:	2012-08-28

    Perl: fix '...' operator highlighting

    Signed-off-by: Artem S Vybornov <vybornov@gmail.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=682897

M	data/language-specs/perl.lang

commit 3f69050a5efba64fc1cdf592e8e9b2d7050b7d70
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:	2012-09-16

    Updated Danish translation

M	po/da.po

commit 2277c82a19a9b74f95c4a79e3e3bf332d1b61d46
Author: Marek Černocký <marek@manet.cz>
Date:	2012-09-10

    Updated Czech translation

M	po/cs.po

commit 897dfb87e6ed19a41c90dd39f141b6542189aa40
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2012-09-09

    Updated Belarusian translation.

M	po/be.po

commit ce9ebf2a654443f6c2ec4d86db1b25b7c67cc5b0
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2012-09-09

    Updated Portuguese translation

M	po/pt.po

commit 9858af7fdaf7a6f4f9a0428e8cf58ba81b3019df
Author: Wolfgang Stöggl <c72578@yahoo.de>
Date:	2012-09-08

    [l10n] Updated German translation

M	po/de.po

commit c426b513edb688115471026a7083c71f9d66bc9d
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2012-09-07

    Updated Russian translation

M	po/ru.po

commit 34491d8a48025493c948adef9dd1e07bbe4b4859
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2012-09-07

    Updated Belarusian translation.

M	po/be.po

commit 63e809b688f3cb0ae68343497e2a83270efef050
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2012-09-07

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 1900a4252b429dfc60ec9b39cb1b96689d97d62b
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-09-06

    Updated Slovenian translation

M	po/sl.po

commit 42da1e99fa0a4dcf0e3c7dc825c42e42fb9d15eb
Author: Claude Paroz <claude@2xlibre.net>
Date:	2012-09-06

    Updated French translation

M	po/fr.po

commit b117f84a4275d67cf2ebbdbaab54bc51da008d50
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:	2012-09-05

    Updated British English translation

M	po/en_GB.po

commit 589387bcb5824605a4629ec948496266a337401f
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2012-09-04

    Updated Hungarian translation

M	po/hu.po

commit 2176c437205074972d8197c26d2d6aa75f3fa98a
Author: Muhammet Kara <muhammetk@acikkaynak.name.tr>
Date:	2012-09-04

    [l10n]Updated Turkish translation

M	po/tr.po

commit a601bf96a4005d80ade89e1aefd86cebefa3bc03
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-09-04

    Updated Polish translation

M	po/pl.po

commit 647b84b19dc2721b141f6add3c8f44e7fccead99
Author: Andika Triwidada <andika@gmail.com>
Date:	2012-09-03

    Updated Indonesian translation

M	po/id.po

commit b0cf1516a3062f12ee25eba5de13fff0d18b1191
Author: A S Alam <aalam@users.sf.net>
Date:	2012-09-03

    update Punjabi Translation

M	po/pa.po

commit 86d188976a3c7de5dd4ac492dd7a61f86c940ba1
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-09-02

    Mark string as translatable

    String already exists in other places, so no changes for translators.

M	data/language-specs/automake.lang

commit 6e072cb75dac69a3b0fd90617951a45b61746daf
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:	2012-09-02

    updated Tamil translation

M	po/ta.po

commit 264b0dbbd1ee04c1428b0c57755214c5174b160b
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2012-09-01

    Updated Vietnamese translation

M	po/vi.po

commit a2465a8989e5ad1d4804af14d70a32681858b986
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2012-09-01

    po/vi: import from Damned Lies

M	po/vi.po

commit 5257d9a62b0fc21c7692a9c3c8e3d5267899f2ff
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2012-08-30

    Updated Greek translation

M	po/el.po

commit 360eefd94ec29fe3fa58dd49e60164fe1edd507f
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2012-08-29

    octave.lang/matlab.lang:
      * removing line-continue as it's Octave specific
      * don't use group match when unecessary
      * fix line continue (no comments allowed after)
      * cellstr is function not a data type
      * remove deprecated keyword static
      * randn is more function that constant
      * expand is(type) type of functions

M	data/language-specs/matlab.lang
M	data/language-specs/octave.lang

commit d7d1366e8466ef69fbf302906ab56d3ecb852b19
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2012-08-29

    octave/matlab: new keyword parfor

M	data/language-specs/octave.lang

commit dd4c5917325621c2b3aec041e4844ab4a476c911
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2012-08-29

    matlab: remove some Octave specific highlight

M	data/language-specs/matlab.lang
M	data/language-specs/octave.lang

commit 64cfa3bb0df1e84af591ad06139f26dbe260914a
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2012-08-29

    json: set permissions to 644 for consistency

M	data/language-specs/json.lang

commit 91d3c87bad6d81a4b6e01624932baddd42ae57b3
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-08-29

    Updated Galician translations

M	po/gl.po

commit 638ae84bf1d06337b669de2605cfc25af7d6086b
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:	2012-08-28

    Implemented FUEL entries to Assamese translation

M	po/as.po

commit 3475ad656edbca9eeeb8c7a92292d9d22a825634
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:	2012-08-27

    Assamese translation updated

M	po/as.po

commit aa69bef348041c7bf0daae8c47a139bdb6838caf
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2012-08-26

    [l10n] Updated Italian translation.

M	po/it.po

commit a79540f28ec27c00395db451683978a291412c45
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2012-08-26

    Updated Hebrew translation.

M	po/he.po

commit c346e963320e1e021706b319ca01b7b28a213d7e
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2012-08-24

    Updated Lithuanian translation

M	po/lt.po

commit 346aac00737737f45ee214d3ad879a88890b7f40
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-08-23

    Updated Spanish translation

M	po/es.po

commit 5855ee5692568b770131df1ba68c30b874fba095
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-08-23

    Updated Polish translation

M	po/pl.po

commit ca803a1c430934480b0c662aa443f751be9a980c
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2012-08-22

    Updated Norwegian bokmål translation

M	po/nb.po

commit ab91de9507227cb56bd072b0bce6d5fa3566444d
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2012-08-21

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit df72bb2adafb1d1df2288a157259bddadf913626
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-08-20

    Relase 3.5.3

M	NEWS
M	README
M	configure.ac

commit 60472ea1ca2e47f777ceb599bcaa9bdef514aa13
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-08-20

    Add j.lang

    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=642272

M	data/language-specs/Makefile.am
A	data/language-specs/j.lang
M	po/POTFILES.in

commit 543731436240d19dc2ccca816109852a1912770e
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2012-08-20

    Updated Belarusian translation.

M	po/be.po

commit 64e69218a3b6b3a1b5e10683bc4bdb8bc4fefbb2
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-08-15

    Move all the main types in gtksourcetypes.h

    This avoids the problem of .h inclusions cycles.

    https://bugzilla.gnome.org/show_bug.cgi?id=679424

M	gtksourceview/Makefile.am
M	gtksourceview/gtksource.h
M	gtksourceview/gtksourcebuffer.h
M	gtksourceview/gtksourcecompletion-private.h
M	gtksourceview/gtksourcecompletion.h
M	gtksourceview/gtksourcecompletioncontext.h
M	gtksourceview/gtksourcecompletioninfo.h
M	gtksourceview/gtksourcecompletionitem.h
M	gtksourceview/gtksourcecompletionmodel.h
M	gtksourceview/gtksourcecompletionproposal.h
M	gtksourceview/gtksourcecompletionprovider.h
M	gtksourceview/gtksourcecontextengine.h
M	gtksourceview/gtksourceengine.h
M	gtksourceview/gtksourcegutter.h
M	gtksourceview/gtksourcegutterrenderer.h
M	gtksourceview/gtksourcegutterrendererlines.h
M	gtksourceview/gtksourcegutterrenderermarks.h
M	gtksourceview/gtksourcegutterrendererpixbuf.h
M	gtksourceview/gtksourcegutterrenderertext.h
M	gtksourceview/gtksourcelanguage.h
M	gtksourceview/gtksourcelanguagemanager.h
M	gtksourceview/gtksourcemark.h
M	gtksourceview/gtksourcemarkattributes.h
M	gtksourceview/gtksourcepixbufhelper.h
M	gtksourceview/gtksourceprintcompositor.h
M	gtksourceview/gtksourceregex.h
M	gtksourceview/gtksourcestyle.h
M	gtksourceview/gtksourcestylescheme.h
M	gtksourceview/gtksourcestyleschememanager.h
A	gtksourceview/gtksourcetypes.h
M	gtksourceview/gtksourceundomanager.h
M	gtksourceview/gtksourceundomanagerdefault.h
M	gtksourceview/gtksourceview.h
M	gtksourceview/gtktextregion.h

commit 59dd6df42da16541bc5e9ad60c05cfc4b8d995d4
Author: A S Alam <aalam@users.sf.net>
Date:	2012-08-17

    Update Punjabi Translation

M	po/pa.po

commit 9ef63b521702fc6949543e1b5fa4f22960c8baf2
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-08-17

    Updated Galician translations

M	po/gl.po

commit 894837247c20d6854003e494b69ad30f85f13036
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:	2012-08-16

    Assamese translation updated

M	po/as.po

commit a20537e4d3f63124636bfb8e245fb37e405b8af3
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-08-14

    CompletionContext: reformat the prototypes

M	gtksourceview/gtksourcecompletioncontext.h

commit 93ff94adbd4136f738a998500144d5952819e6a6
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-08-14

    Better parameter type for
    gtk_source_completion_context_add_proposals()

    Here the cycle was between completionprovider.h and
    completioncontext.h.

M	gtksourceview/gtksourcecompletion-private.h
M	gtksourceview/gtksourcecompletioncontext.h
M	gtksourceview/gtksourcecompletionprovider.h

commit dc1b0c14fbc5224d3fb0270eba357d806d42377b
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-08-14

    Direct include of completioncontext.h

    Instead of an indirect include via completionprovider.h.

M	gtksourceview/gtksourcecompletion.h

commit 7ea5775cb45c183ae5fa1f9c57de472c6cb6261b
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-08-14

    Better parameter type for _gtk_source_completion_context_new()

    It is not strictly useful since the function is private, but
    since it's
    easy to do, why not.

M	gtksourceview/gtksourcecompletioncontext.h

commit 56269298d902299888336c0a1c740e85a99755cb
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2012-08-14

    Better return type for gtk_source_completion_get_view()

    The return type of gtk_source_completion_get_view() is
    "GtkSourceView *". But due to a cycle in the .h includes, the type was
    "struct _GtkSourceView *".

    The header includes cycle: gtksourceview.h needs the
    GtkSourceCompletion
    type. But gtksourcecompletion.h needs the GtkSourceView type.

    The solution is to put the typedef of GtkSourceCompletion in
    gtksourcecompletion-private.h and include this header both in
    gtksourceview.h and gtksourcecompletion.h.

    Redifining two times the same type with typedef is not allowed in C.

M	gtksourceview/gtksourcecompletion-private.h
M	gtksourceview/gtksourcecompletion.h
M	gtksourceview/gtksourceview.h

commit 1437ea14839140cf3d3964c24a437cc77cadbec4
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-08-14

    Changed completion context annotations to transfer floating

M	gtksourceview/gtksourcecompletion.c

commit 8f47a34ece00800a044f507b4fc3598629a9fdb9
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2012-08-12

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit cab9878849faa9de9122113c72af95b470ad15cb
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2012-08-10

    Updated Hebrew translation.

M	po/he.po

commit de42d302288aa957058c7206c1a4dedf66497224
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-08-08

    Updated Spanish translation

M	po/es.po

commit 51a93e0c8ba1278c6a6797018f1687fd4ce03dc5
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2012-08-08

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit ccccd51499054c38eb0a63687f88602c6089143f
Author: Pablo Platt <pablo.platt@gmail.com>
Date:	2012-08-07

    Add actionscript.lang and mxml.lang

    https://bugzilla.gnome.org/show_bug.cgi?id=674844

M	data/language-specs/Makefile.am
A	data/language-specs/actionscript.lang
A	data/language-specs/mxml.lang
M	po/POTFILES.in

commit 93fc76cea05c0e1e32f5d009ec5550bf40ce8d75
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2012-08-07

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 43a40a7a10cb91893e45d4daeedf963112bfc828
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2012-08-06

    Updated Greek translation

M	po/el.po

commit abcd44fd8518231be90476767b0a66b623221fd6
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2012-08-06

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 70b9ba5f3bc994f40e927ec5aa8a511d6d52cd19
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-07-30

    Updated Spanish translation

M	po/es.po

commit ca469c7b70f2e5de859eb0408add1abd7aa0a5bc
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-07-30

    Updated Galician translations

M	po/gl.po

commit eaff66c3731a55af93b644771fcf7ee018c644db
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-07-29

    Updated Slovenian translation

M	po/sl.po

commit 9920787f9e35a30dbe30832d3ec4235748ab78de
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-07-29

    Release 3.5.2

    NOTE: never ever again make another release at guadec :D

M	NEWS
M	README
M	configure.ac
M	data/language-specs/Makefile.am

commit 4a0f0385651dc25dabe06e75804e2d70b21b63cb
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-07-29

    Release 3.5.1

M	NEWS
M	README
M	configure.ac

commit 2d027e0b12331217424fb7ce65050436f6f5b235
Author: Pablo Platt <pablo.platt@gmail.com>
Date:	2012-05-07

    Added puppet lang file

A	data/language-specs/puppet.lang
M	po/POTFILES.in

commit 5b88e21e139e85d7dfe8eb54457759ddeb59a689
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-07-26

    Add link to Go language spec for which it is based off of

M	data/language-specs/go.lang

commit ff6cd1c466ee7b6db5a83a336cfe188a783748a9
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-07-26

    Add additional types to Go

M	data/language-specs/go.lang

commit cd005ca04238ea338eedb25f34e315488ecbf4ce
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-07-26

    Remove complex and float from Go

    Go no longer has a complex or float type, instead there
    are float32, float64, complex64 and complex128.

M	data/language-specs/go.lang

commit 6d0b1688e287a0a7ac2380c48c20299badd6e193
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-07-26

    Fix matching 0 as a decimal in C and Go

M	data/language-specs/c.lang
M	data/language-specs/go.lang

commit 6a6d50bf36d8acffa0b997942b81ac078600581e
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2012-07-25

    Updated Norwegian bokmål translation

M	po/nb.po

commit 0e060bbea640c8be8d04e3e3c97365d8a4ede347
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2012-07-22

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit b6e21e757878482c7dc670c818cdae10b9706f42
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2012-07-17

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 5d92ff983f1c48f1550ac240d1cfee91fe0d6c9c
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2012-07-15

    Updated Belarusian translation.

M	po/be.po

commit 68ed20d0d041eb282e04ad74f1e3dbb54ec3b830
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2012-07-12

    Updated Greek translation

M	po/el.po

commit 62d7cb41ac33f2a127cb4fe9bfebe706fdc8df42
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2012-07-10

    Updated Norwegian bokmål translation

M	po/nb.po

commit 530d87ab5be64b089367d111ba0df6c550074cbd
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-06-03

    Updated Galician translations

M	po/gl.po

commit 54fed4895d118ae88ebba7ce1e6f37cc8a1be4f3
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-05-31

    Updated Spanish translation

M	po/es.po

commit 17bbd48ad7c98124674cc739c2c6634cdab6be93
Author: Marek Černocký <marek@manet.cz>
Date:	2012-05-30

    Updated Czech translation

M	po/cs.po

commit 694d130f8f2d82a52e469ea3f9db11cb1e01e4b7
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-05-28

    Updated Slovenian translation

M	po/sl.po

commit 54b57771c8395668645015db1d19b1f2dfa5df66
Author: Alexander Shopov <ash@kambanaria.org>
Date:	2012-05-28

    Updated Bulgarian translation

M	po/bg.po

commit a3082e7efc14dc111562e19d36d42e51cb831954
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2012-05-26

    Updated Hebrew translation.

M	po/he.po

commit 67e668a02b4d83c536e331d5987236f82e247583
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-05-25

    Updated Spanish translation

M	po/es.po

commit 2eeb9c01ce04dd02305012faf3e46abb7d01083c
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-05-24

    Expand and update Go language spec

M	data/language-specs/go.lang

commit 8fdc4d44ffd64b0eee5f9c8b0a09a3a72ab73708
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-05-24

    Highlight invalid hexademicals and octals in C

M	data/language-specs/c.lang

commit c83a2f27d99a5250fd0770bd243ae88013e6e53b
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-05-24

    Fix gobject-introspection scanner warnings

M	gtksourceview/gtksourcecompletionutils.c
M	gtksourceview/gtksourcecontextengine.c
M	gtksourceview/gtksourcegutterrenderer.h

commit 589152099454d2419d8f94a6fa04065d5b7b43bb
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2012-05-25

    Updated Hebrew translation.

M	po/he.po

commit 95399db6624b76db867c87dfa0e8831e4fdc5642
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2012-05-21

    [l10n] Updated italian translation

M	po/it.po

commit f89227a7dd97f43ac14b00ccc13a01afee131ecc
Author: Gil Forcada <gforcada@gnome.org>
Date:	2012-05-19

    [l10n] Updated Catalan translation

M	po/ca.po

commit 071f70e36b77f65659d66f63bda2fc3dfb2e5338
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2012-05-17

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 15a4e137b7f5b89095d4621ecaae373b4e0af89d
Author: Bruno Brouard <annoa.b@gmail.com>
Date:	2012-05-16

    Updated French translation

M	po/fr.po

commit b85125310f9dae3e90e3418b2cc03881c724cc00
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-05-16

    Updated Slovenian translation

M	po/sl.po

commit be66a0891b109b7317588327902656619a8c8998
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-05-16

    Updated Spanish translation

M	po/es.po

commit 8d5dad906df146a22312eb44c11ac98c7d4f0f76
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-05-15

    Updated Galician translations

M	po/gl.po

commit 170a1af6c5859fe84e87aad4cd4b176637da2caa
Author: Andika Triwidada <andika@gmail.com>
Date:	2012-05-15

    [l10n] Updated Indonesian translation

M	po/id.po

commit 4863768509a84d0e419989a3ee96dd8feb4deadb
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-05-14

    Release 3.4.2

M	NEWS
M	README
M	configure.ac

commit be84f2581f44a9ca58987f554f42c08812cf9c82
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-05-14

    Distribute the gtksourcecompletion.ui file

M	gtksourceview/Makefile.am

commit 3a14d98752df36b28bcea262c35c75732f9812ef
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:	2012-05-14

    Updated German translation

M	po/de.po

commit 04d7ef9b9d3d4f38952a27c820ec0ad2dcd4425c
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-05-14

    Updated Polish translation

M	po/pl.po

commit 773a8885761383abb6006f29a6a44c5daa5201cb
Author: Sébastien Wilmet <swilmet@src.gnome.org>
Date:	2012-04-24

    Completion: migrate the UI description to GtkGrid

    The scrollbar policy is by default "automatic" in GTK+ 3.

    The first children of the GtkGrid's don't have packing properties
    because all the default values are OK for them.

M	gtksourceview/gtksourcecompletion.c
M	gtksourceview/gtksourcecompletion.ui

commit ba49629fe66e9051d09972a267e159c22361f3a2
Author: Sébastien Wilmet <swilmet@src.gnome.org>
Date:	2012-04-24

    Completion: fix mnemonic of the "Details" button

    Due to bug #674759 [1], the mnemonic for the "Details" button didn't
    work when the "gtk-auto-mnemonics" setting is true.

    But anyway we don't need markup for this label, so it's better
    to remove
    it.

    [1] https://bugzilla.gnome.org/show_bug.cgi?id=674759

M	gtksourceview/gtksourcecompletion.ui

commit c6d76ed0481789e114a8d6e719d595d0f6e50e6f
Author: Sébastien Wilmet <swilmet@src.gnome.org>
Date:	2012-04-23

    Completion: use GResource for the XML UI description

    There were two translatable strings in the UI description that
    were not
    extracted into the PO files.

    GTK+ 3.4 is required, as well as GIO 2.32.

    https://bugzilla.gnome.org/show_bug.cgi?id=674643

M	configure.ac
M	gtksourceview/Makefile.am
M	gtksourceview/gtksourcecompletion.c
A	gtksourceview/gtksourcecompletion.ui
D	gtksourceview/gtksourcecompletionui.h
A	gtksourceview/gtksourceview.gresource.xml
M	po/POTFILES.in

commit c2990a3c58f712d8d558a4bb54c79f46a20982e6
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-05-14

    Fix typo in css keyword

M	data/language-specs/css.lang

commit fb43f060465e334ba022ed74e914239f32044f4a
Author: Sébastien Wilmet <swilmet@src.gnome.org>
Date:	2012-04-23

    Completion doc: "provider-page-size" is not yet used

    The "provider-page-size" property is actually not used. It could be
    used with
    Ctrl+PageDown and Ctrl+PageUp. But would it be very useful? Generally
    there are not a lot of providers AFAIK. So the property could
    simply be
    removed or deprecated.

    Anyway I think it's better to document the fact that it is not
    yet used.

M	gtksourceview/gtksourcecompletion.c

commit 9a1728260dc606b77e3ac2a5aab83f4d07798527
Author: Sébastien Wilmet <swilmet@src.gnome.org>
Date:	2012-04-23

    Completion: document key bindings

M	gtksourceview/gtksourcecompletion.c

commit d72ed7c50be8e1333b79b44afd4d3920d914c8b2
Author: Sébastien Wilmet <swilmet@src.gnome.org>
Date:	2012-04-22

    Completion: fix "show-headers" documentation

    Even with only one provider, if "show-headers" is TRUE, the header is
    shown.

M	gtksourceview/gtksourcecompletion.c

commit 9f2b576761c089a7aa4af7d300951e7aeca36df5
Author: Sébastien Wilmet <swilmet@src.gnome.org>
Date:	2012-04-22

    Completion doc: better explanation for context creation

M	gtksourceview/gtksourcecompletion.c

commit bd3db0464d2833992cca2c41f7bfd684d75305a5
Author: Sébastien Wilmet <swilmet@src.gnome.org>
Date:	2012-04-22

    Completion doc: more details about proposal activation

    The documentation about
    gtk_source_completion_provider_activate_proposal() was wrong, it's not
    the label of the proposal which is inserted in the buffer, it's
    the text
    of the proposal.

    The documentation is based on the following functions.

    In gtksourcecompletion.c:
    - activate_current_proposal()

    In gtksourcecompletionutils.c:
    - gtk_source_completion_utils_get_word_iter()
    - gtk_source_completion_utils_is_separator()

M	gtksourceview/gtksourcecompletionproposal.c
M	gtksourceview/gtksourcecompletionprovider.c

commit 20a95a6272cb4204f1853a35022040188707e991
Author: Rachid BM <rachidbm@ubuntu.com>
Date:	2012-05-07

    Updated Dutch translation

M	po/nl.po

commit b597270d203391234be341ea8be37c21e378bd62
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2012-05-02

    Updated Greek translation

M	po/el.po

commit 57dc6505adffaf325e99080fc5e381bb35883dce
Author: Alexandre Rostovtsev <tetromino@gentoo.org>
Date:	2012-05-01

    Require >=gtk+-3.3.8

    Needed for gtk_window_set_attached_to()

    https://bugzilla.gnome.org/show_bug.cgi?id=675272

M	configure.ac

commit f6b23f1a5a1a5be531af066fca4efa0c9450e4b3
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2012-04-30

    Updated Norwegian bokmål translation

M	po/nb.po

commit b93fb561afae9ee44605d05d63e090cfa8bf3119
Author: Sébastien Wilmet <swilmet@src.gnome.org>
Date:	2012-04-22

    CompletionProvider: remove redundant documentation

    The next sentence means exactly the same thing.

M	gtksourceview/gtksourcecompletionprovider.c

commit e49bba1284648faa4294fb84f2fc56c2a0fd5ad4
Author: Sébastien Wilmet <swilmet@src.gnome.org>
Date:	2012-04-22

    CompletionInfo: documentation fixes

    For the section, '.*' appeared in the middle of the sentence.

    For the "before-show" signal, no documentation was provided because
    the
    comment ended with '**/' instead of '*/'.

M	gtksourceview/gtksourcecompletioninfo.c

commit d44df34a8e737608f9e40915a61b3bd3d9c5364a
Author: Sébastien Wilmet <swilmet@src.gnome.org>
Date:	2012-04-21

    CompletionProposal: better short description

    The CompletionProposal is an interface. The object is the
    CompletionItem.

M	gtksourceview/gtksourcecompletionproposal.c

commit 36376ecffd25005354633e0b4cec933e76a26dc8
Author: Sébastien Wilmet <swilmet@src.gnome.org>
Date:	2012-04-21

    Completion: small code improvements

    Add "== NULL", "!= NULL", "== 0", and so on in a condition makes the
    code clearer. It is used in the other conditions in the same file.

    In CompletionProvider, the variable 'initialized' is not used.

M	gtksourceview/gtksourcecompletioncontext.c
M	gtksourceview/gtksourcecompletioninfo.h
M	gtksourceview/gtksourcecompletionproposal.c
M	gtksourceview/gtksourcecompletionprovider.c

commit d0dc830b4a1fffec810bf8199b2d4a0668369c3d
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-04-16

    Release 3.4.1

M	NEWS
M	README
M	configure.ac

commit 04c7c9822d88b29b93159f6f7a13d287aa2c430f
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-04-16

    Fix some gtkdoc issues

M	gtksourceview/gtksourcebuffer.c
M	gtksourceview/gtksourcecompletionutils.c
M	gtksourceview/gtksourcecontextengine.c
M	gtksourceview/gtksourcestylescheme.c
M	gtksourceview/gtksourceview.c

commit 8b815eca1b2a2d57d80c9e978525840c9cdee093
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-04-15

    Add .hrl glob to erlang.lang

    Patch by james@phsys.co.uk

M	data/language-specs/erlang.lang

commit df66159d9eaf0b9759cd49130a93006d4e59f4b3
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-04-15

    Highlight erlang character literals

    Fixes bug #640129. Patch by james@phsys.co.uk.

M	data/language-specs/erlang.lang

commit 02c70664c791bdca0ba29b8a991a8447c36ac3d4
Author: Sébastien Wilmet <sebastien.wilmet@gmail.com>
Date:	2012-04-09

    CompletionModel: fix unmarked nodes removal

    Take into account the fact that the nodes can be filtered.

    Also, after removing the unmarked nodes, if there is no remaining
    nodes,
    the header was removed only if 'show-headers' is true. But if
    'show-headers' is false, the node is still there (but filtered) and
    needs to be removed too.

    This finally fixes bug #629055 "GtkSourceCompletion show-headers
    property: Critical messages and crash":

    https://bugzilla.gnome.org/show_bug.cgi?id=629055

M	gtksourceview/gtksourcecompletionmodel.c

commit 8d216b730d6388abbb3e14d776f6d0a2d769f16d
Author: Sébastien Wilmet <sebastien.wilmet@gmail.com>
Date:	2012-04-09

    CompletionModel: fix node removal

    Take into account the fact that the node can be filtered. In this
    case,
    handle_row_deleted() must not be called (this function emits the
    "row-deleted" signal).

    Also, the double pointer was not needed for the path, the functions
    doesn't modify its reference.

M	gtksourceview/gtksourcecompletionmodel.c

commit eadc786a117b83f9ec8591f091e8c994b6dcf88a
Author: Sébastien Wilmet <sebastien.wilmet@gmail.com>
Date:	2012-04-09

    CompletionModel: fix header visibility update

    If the provider is filtered, the header's filtered property was not
    updated. It's safer to always update the property.

M	gtksourceview/gtksourcecompletionmodel.c

commit 34fd522b9fbb57e429084d486a68d9e97f27e34b
Author: Sébastien Wilmet <sebastien.wilmet@gmail.com>
Date:	2012-04-09

    CompletionModel: fix provider visibility update

    Take into account the fact that the nodes can be filtered (e.g. the
    header if 'show-headers' is false).

    To make the code easier to understand, split the function in two:
    _show() and _hide().

M	gtksourceview/gtksourcecompletionmodel.c

commit da4a4da3dbea0edb43c20d38067174650565c951
Author: Sébastien Wilmet <sebastien.wilmet@gmail.com>
Date:	2012-04-08

    CompletionModel: fix the value of iter.user_data

M	gtksourceview/gtksourcecompletionmodel.c

commit 79af6fca1f64d4fe0e2e0b4d4f2e15dfcc3c39a7
Author: Sébastien Wilmet <sebastien.wilmet@gmail.com>
Date:	2012-04-08

    CompletionModel: remove empty signals

M	gtksourceview/gtksourcecompletionmodel.c

commit 32dbb093225d6d6687cd5c285e5ed46a66880ae0
Author: Sébastien Wilmet <sebastien.wilmet@gmail.com>
Date:	2012-04-08

    CompletionModel: set correct flag

    The model is not a tree, it's only a list.
    And iterators survive all signals, since it references a GList.

M	gtksourceview/gtksourcecompletionmodel.c

commit fdb59e8007975a666c330332da5fee4453965bb6
Author: Sébastien Wilmet <sebastien.wilmet@gmail.com>
Date:	2012-04-08

    test-completion: a fixed and a random provider

    For testing the bug #629055 [1], the proposals need to be modified
    when the user types something and the completion window doesn't
    disappear.

    For the random provider, the proposals are choosen at random from a
    fixed set of 10 proposals. This is done on each populate.

    With 'show-headers' set to true, there is no problem. If it is set to
    false, there are some critical messages, and sometimes a segfault.

    The random provider have a lower priority than the fixed one, because
    the display is more "stable" with the fixed one first.

    [1] https://bugzilla.gnome.org/show_bug.cgi?id=629055

M	tests/test-completion.c

commit 83bbe09e195e69939c9ab03e84db8da5dbd1fb06
Author: Sébastien Wilmet <sebastien.wilmet@gmail.com>
Date:	2012-04-07

    Completion: attach windows to widgets

M	gtksourceview/gtksourcecompletion.c

commit 9e431d85206365254d0d1b4a5e68243cd179ff68
Author: Sébastien Wilmet <sebastien.wilmet@gmail.com>
Date:	2012-04-06

    Completion: set windows type hints to 'combo'

    Altough the name is confusing, according to the spec [1]:

    "_NET_WM_WINDOW_TYPE_COMBO [...] An example is a window that appears
    below a text field with a list of suggested completions."

    It is used in gtkentrycompletion.c for example.

    [1] http://standards.freedesktop.org/wm-spec/wm-spec-1.4.html

M	gtksourceview/gtksourcecompletioninfo.c
M	gtksourceview/gtksourcecompletionui.h

commit c3380b769a49300422f3cece4d4f5909fd8b975a
Author: Sébastien Wilmet <sebastien.wilmet@gmail.com>
Date:	2012-04-06

    CompletionInfo: little code simplification

M	gtksourceview/gtksourcecompletioninfo.c

commit 9c48fa40269e31e45d9587e0062d46a51386e0a0
Author: Sébastien Wilmet <sebastien.wilmet@gmail.com>
Date:	2012-04-08

    Remove all trailspaces in *.c and *.h files

    The command used:
    $ for i in *.{c,h}; do sed -i 's/[[:space:]]*$//' $i; done

M	gtksourceview/gtksource.h
M	gtksourceview/gtksourcebuffer.c
M	gtksourceview/gtksourcebuffer.h
M	gtksourceview/gtksourcecompletion.h
M	gtksourceview/gtksourcecompletioncontext.c
M	gtksourceview/gtksourcecompletionitem.c
M	gtksourceview/gtksourcecompletionitem.h
M	gtksourceview/gtksourcecompletionmodel.c
M	gtksourceview/gtksourcecompletionmodel.h
M	gtksourceview/gtksourcecompletionproposal.c
M	gtksourceview/gtksourcecompletionproposal.h
M	gtksourceview/gtksourcecompletionprovider.c
M	gtksourceview/gtksourcecompletionprovider.h
M	gtksourceview/gtksourcecompletionutils.c
M	gtksourceview/gtksourcecompletionutils.h
M	gtksourceview/gtksourcecontextengine.c
M	gtksourceview/gtksourcegutter.c
M	gtksourceview/gtksourcegutterrenderer.c
M	gtksourceview/gtksourcegutterrendererlines.c
M	gtksourceview/gtksourcegutterrenderermarks.c
M	gtksourceview/gtksourcegutterrendererpixbuf.h
M	gtksourceview/gtksourcegutterrenderertext.h
M	gtksourceview/gtksourcelanguage.c
M	gtksourceview/gtksourcelanguagemanager.c
M	gtksourceview/gtksourcemark.c
M	gtksourceview/gtksourcemark.h
M	gtksourceview/gtksourceprintcompositor.c
M	gtksourceview/gtksourceprintcompositor.h
M	gtksourceview/gtksourcestylescheme.c
M	gtksourceview/gtksourceundomanager.c
M	gtksourceview/gtksourceundomanagerdefault.c
M	gtksourceview/gtksourceview.h
M	tests/test-completion.c
M	tests/test-widget.c
M	tests/testregion.c

commit edb4c5c8f7d87dff1e31be1e1a8f257b3feff5f3
Author: Alexander Shopov <ash@kambanaria.org>
Date:	2012-04-01

    Updated Bulgarian translation

M	po/bg.po

commit c78a1edb960994598d13ffda6f1138ea6e1e35a5
Author: Sebastian Bergmann <sb@sebastian-bergmann.de>
Date:	2012-03-21

    Add callable and insteadof (added in PHP 5.4).

M	data/language-specs/php.lang

commit 99dcec7df30e3bfea5927d5207b2c0b08a4a9555
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2012-03-26

    Updated Lithuanian translation

M	po/lt.po

commit 676a530664866a0cc334dc911e1c9a1e95415fbc
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-03-26

    Release 3.4.0

M	NEWS
M	README
M	configure.ac

commit bfa8868ca3dea6ebefc19e43b49bf0ad56312435
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2012-03-25

    Uploaded Ukranian

M	po/uk.po

commit 073eba637f5eada54b72e9ad0f3e14ff524f2f2b
Author: YunQiang Su <yqsu@src.gnome.org>
Date:	2012-03-21

    update Simplified Chinese (zh_CN) translation

M	po/zh_CN.po

commit 767ffd60f113aaafe8179d12d156c64a576c6e56
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-03-19

    Release 3.3.5

M	NEWS
M	README
M	configure.ac

commit da4156641fbac878f17e22131fa5f102dc27839f
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-03-19

    Technically sizeof is an operator

    Pointed out in bug #660060

M	data/language-specs/c.lang

commit 407dfde9abd20f83915c555ae0c05b5c99f81533
Author: Krishnababu Krothapalli <email>
Date:	2012-03-19

    Translations Updated with FUEL

M	po/te.po

commit 64514c2662e23e18d504dfaf3dc3af2cc657c24d
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:	2012-03-16

    Assamese translation completed

M	po/as.po

commit 60222ee80497c55064827244ba2c887ba70d1b00
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:	2012-03-16

    Updated British English translation

M	po/en_GB.po

commit 3c3588d8e557948d1596e891a570a4714003b6b6
Author: Antonio Fernandes C. Neto <fernandesn@gnome.org>
Date:	2012-03-16

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 728b553188d5367b326337c3dfa44adc382c645a
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2012-03-16

    Updated Portuguese translation

M	po/pt.po

commit b5ed952d29b0433242d5c564f0a72f5faa222dcc
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2012-03-15

    [l10n]Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit c2234cd2d59449d81ae22b12b1638e028355e8b8
Author: Gil Forcada <gforcada@gnome.org>
Date:	2012-03-15

    [l10n]Updated Catalan translation

M	po/ca.po

commit fda223c72b7b0202f3d5e5595dbfe02db64b6a0b
Author: A S Alam <aalam@users.sf.net>
Date:	2012-03-15

    update Punjabi Translation

M	po/pa.po

commit 6966632d5bd9f48b433c1b65de103a0254196c4b
Author: Krishnababu Krothapalli <email>
Date:	2012-03-15

    Updated Telugu Translations

M	po/te.po

commit ced34ef77625136aacd771586cea0d2734861d49
Author: Anita Reitere <nitalynx@gmail.com>
Date:	2012-03-14

    Updated Latvian translation.

M	po/lv.po

commit dfceac1d5922b0a9295cc541b1d5ec6e14db07ac
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:	2012-03-13

    Updated British English translation

M	po/en_GB.po

commit 3faeb5f62341134626b41af27553249fa0fec769
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-03-12

    More strict start of heredoc in Ruby

    Fixes: #671862

M	data/language-specs/ruby.lang

commit ef8e80e28812c1de217022c1013bcf96fe20607c
Author: Timo Jyrinki <timo@debian.org>
Date:	2012-03-12

    Finnish translation update from
    http://l10n.laxstrom.name/wiki/Gnome_3.4 translation sprint

M	po/fi.po

commit 0f65cf2cb82345086e8ac57dc43a526e2d3d7e49
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2012-03-10

    Updated Korean translation

M	po/ko.po

commit 66adf550302b50da774e72e99405cfb572de0aae
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2012-03-08

    [l10n] Updated Italian translation

M	po/it.po

commit 030884db6eeaeb9df5ef7155c8feffaa0640cb42
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2012-03-08

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit dce5eff04942c23a1a493a69da36c6445f58e3c4
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2012-03-07

    Updated Russian translation

M	po/ru.po

commit 9f15a2c098a509084dd12bc71a11a8066166822b
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2012-03-05

    Updated Basque language

M	po/eu.po

commit 50453327809d10864d5243be2c0f56327b36fd64
Author: Paul Seyfert <pseyfert@mathphys.fsk.uni-heidelberg.de>
Date:	2012-03-04

    [l10n] Updated German translation

M	po/de.po

commit b8deb9b4ae746b3d2362234cc9b348224c42a6c6
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-03-04

    Updated Polish translation

M	po/pl.po

commit 8450417f3ef64a9ade1e0d8b9e74654833975401
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2012-03-01

    Updated Hungarian translation

M	po/hu.po

commit daf830806e45892c4b7fb23f765c8c9cd8f6b7d2
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:	2012-02-28

    updated Tamil translation

M	po/ta.po

commit 5ced87934dbff2ab4828727bf732c61150c9a284
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-02-25

    Fix matching bracket print in test-widget.py

    Fixes bug #670682, patch by Tomáš Virgl.

M	tests/test-widget.py

commit 630ad46f27a90f3de1260395d25569fced3736ba
Author: Alexander Shopov <ash@kambanaria.org>
Date:	2012-02-22

    Updated Bulgarian translation

M	po/bg.po

commit 7506a25a70c87affcb041fca093d2b4094cc778e
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:	2012-02-20

    Updated Danish translation

M	po/da.po

commit 86d54ce6320b6114b162cdbffb3afc53774a2783
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-02-20

    Release 3.3.4

M	NEWS
M	README
M	configure.ac

commit 8ebf512df460273614b99d9f9680bd245872b77b
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-02-19

    Cleanup python.lang

    Define contexts out of the main context as we do for the other lang
    files.

M	data/language-specs/python.lang

commit 93d9da16fb48e56e5fd6125f44aff4596c77d609
Author: Fabian Deutsch <fabian.deutsch@gmx.de>
Date:	2012-02-08

    opencl.lang: Highlight conversion functions.

    Signed-off-by: Fabian Deutsch <fabian.deutsch@gmx.de>

    https://bugzilla.gnome.org/show_bug.cgi?id=669664

M	data/language-specs/opencl.lang

commit 43a545f0bea4626df29c6becb76177a003a41353
Author: Chris Blay <chris.b.blay@gmail.com>
Date:	2012-02-13

    Added support for Nowdoc strings to PHP language spec

    https://bugzilla.gnome.org/show_bug.cgi?id=670025

M	data/language-specs/php.lang

commit 5711ad800b5d93890afdbd575113923b0d389adc
Author: Marek Černocký <marek@manet.cz>
Date:	2012-02-19

    Updated Czech translation

M	po/cs.po

commit 9fd39aea7107cacadf158b45c59a5b373dde45ad
Author: Daniel Nylander <po@danielnylander.se>
Date:	2012-02-19

    Updated Swedish translation

M	po/sv.po

commit f9dc84e7a699dd55d40043c2d9f34fb9e73ee683
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2012-02-17

    Updated Hebrew translation.

M	po/he.po

commit ac3654d137be9813f6a0c22e53fc2eeb6d1ff245
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2012-02-16

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 708228db7c1a20b1a8e30ceb26371bf971588549
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-02-15

    Updated Slovenian translation

M	po/sl.po

commit 0396d384a56a775fe75ddcd7a1ea935340047e1d
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2012-02-15

    Updated Belarusian translation.

M	po/be.po

commit c575ed7d40db31f6235bd2cc4136fe45d946fb48
Author: Claude Paroz <claude@2xlibre.net>
Date:	2012-02-11

    Updated French translation

M	po/fr.po

commit 5e4cb869781b23cacf6ed7680f1fc081f277cd8b
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-02-06

    Release 3.3.3

M	NEWS
M	README
M	configure.ac

commit ee68229c245a6edc4d5e7e25d31a0ae27796bd08
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-02-06

    Updated Galician translations

M	po/gl.po

commit 5261c0dcd3b57331195b3c9b0b431bbe1e82fc3e
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-02-05

    Updated Spanish translation

M	po/es.po

commit 5dfc410de89977c7d9e53bf1aa096552f82d57b5
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-02-04

    Add python3 language file.

    Patch by Stefano Palazzo, bug #668136.

M	data/language-specs/Makefile.am
A	data/language-specs/python3.lang
M	po/POTFILES.in

commit 067f28a211661926a5dbd01aacae8153f1e62468
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-02-04

    Split py2 keywords in their own context

    Split python 2 keywords and builtins in separate contexts so that the
    rest of the keywords can be included in the upcoming py3 lang file.
    Patch by Stefano Palazzo, bug #668136

M	data/language-specs/python.lang

commit 6907886da8081d2271693ef516d9c2a153dbfaba
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2012-01-29

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 99e28645eeaef570ccc9a4cdc01fd2f7726ecdb7
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2012-01-28

    Updated Norwegian bokmål translation

M	po/nb.po

commit 24f5e77a8ae8a0443d96919a6250b9a64e2d177f
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-01-26

    Do not pad one pixel from the gutter, it looks really ugly :)

M	gtksourceview/gtksourceview.c

commit c509478d59a29909f1f5e033d18cff9759f42859
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:	2012-01-09

    win32: fix sed portability issue

    When editing files in-place (sed -i) on windows, sed cannot
    open the input file for read and for write at the same time.
    We can fix this by not editing in-place but feed the input
    file into sed's stdin and write stdout to a temporary file.
    When done rename the temporary file on top of the input file.

    Doing so achieves the same result and fixes the win32 sed
    portability issue.

M	gtksourceview/Makefile.am

commit d3eec6a7318937d0b7ee2383ee51e9b80c9e0de9
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:	2012-01-09

    Fix introspection: install gir and typlib files into prefix...

    ...by computing the gir and typelib directories based on
    ${datadir} and ${libdir}, which both point to the prefix
    as passed to ./configure.

    ${INTROSPECTION_GIRDIR} and ${INTROSPECTION_TYPELIBDIR} point
    to the location of the *installed* gir and typelibdir which
    are most likely going to be /usr/share/gir-1.0 and
    /usr/lib/girepository-1.0.

M	gtksourceview/Makefile.am

commit 9a354f047e012ef879363411752357c9e4ac8eb5
Author: Alexander Shopov <ash@kambanaria.org>
Date:	2012-01-08

    Updated Bulgarian translation

M	po/bg.po

commit 171083b0f85ec7fe4149eac53ad90e628c9b5b50
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-01-08

    3.3.2

M	NEWS
M	README
M	configure.ac

commit 949a0e28afce0edce9cfd19c8352895905b4fec1
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-01-08

    Add gtk_source_language_get_style_fallback

M	docs/reference/gtksourceview-3.0-sections.txt

commit 36f0a41a87b952600571f4366584508906ba4806
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-01-07

    Use gdk_threads_add_idle instead of g_idle_add

M
gtksourceview/completion-providers/words/gtksourcecompletionwords.c
M	gtksourceview/gtksourcecontextengine.c

commit 051aaf5aca1c006b5a879622bd2c9fc26ab550bc
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-01-07

    Introduce gtk_source_language_get_style_fallback

    We need public access to this information since tools like a style
    scheme editor need to be able to resolve the style mappings.

M	gtksourceview/gtksourcecontextengine.c
M	gtksourceview/gtksourcelanguage-private.h
M	gtksourceview/gtksourcelanguage.c
M	gtksourceview/gtksourcelanguage.h

commit acde248778334f4c259aca75f78b5f0e4b177855
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2012-01-06

    Updated Norwegian bokmål translation

M	po/nb.po

commit aae2d5fde84358f595df64602da1f5b857cb9e00
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-01-04

    No need for g_slice_new0 just slice_new is enough in that cases

M	gtksourceview/gtksourcecontextengine.c

commit fc37cbd6e73ea2f8258c1e114d34a26d22996ed9
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-01-04

    Revert "No need for format in only string vars"

    This reverts commit 45552a90187fca4a3f7e9c5318bd121310ccc09e.

M	gtksourceview/gtksourcecontextengine.c

commit 45552a90187fca4a3f7e9c5318bd121310ccc09e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-01-04

    No need for format in only string vars

M	gtksourceview/gtksourcecontextengine.c

commit 492c86d01d4ee5120431efd02ac5bd3b0de08494
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-01-03

    Updated POTFILES.in

M	po/POTFILES.in

commit 6debebd22c17383d086adb8b4a845bdfabc33ec5
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-01-03

    Use the same gregex instance every time we use the start_ref

    We were already using a static var in gtk_source_regex_new we may as
    well use it also in resolve.

M	gtksourceview/gtksourceregex.c

commit dde24accb247413765b8474bd57a4671ea56a046
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-01-03

    Remove workaround for an old GRegex but

M	gtksourceview/gtksourceregex.c

commit 29d6ff4147a784b9cb5f4f2816ba0beab63a59d7
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-12-31

    Split GtkSourceRegex to its own file.

M	gtksourceview/Makefile.am
M	gtksourceview/gtksourcecontextengine.c
A	gtksourceview/gtksourceregex.c
A	gtksourceview/gtksourceregex.h
M	gtksourceview/gtksourceview-utils.c
M	gtksourceview/gtksourceview-utils.h

commit 0bf7d08c010a9b21bbde89acb758f41a11bb4ed8
Author: Jovan Naumovski <jovan3.14@gmail.com>
Date:	2012-01-02

    Updated Macedonian translation.

M	po/mk.po

commit 565975ff5980178d1c9b1e16e24e14d206760dc9
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-12-28

    Small cleanups

M	gtksourceview/gtksourcecontextengine.c

commit faf3422fdbb0b653d49068818ac1d2d463210bed
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-12-27

    Fix typo

M	data/language-specs/docbook.lang

commit e4699fedcc9730727703e88513b2f10f0569b17d
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-12-27

    Make assertion conditional

    Only check when ENABLE_CHECK_TREE is set since it involves walking
    the list twice.

M	gtksourceview/gtksourcecontextengine.c

commit 54cf43c05b26a3c8de648f403799b67708cecfb3
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-12-26

    contextengine: use g_set_error_literal

M	gtksourceview/gtksourcecontextengine.c

commit 9acd915c794ec3bf1dbb84ee21801f9aa5ff724d
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-12-26

    Add _gtk_source_language_get_style_info utility

    Use a semi-private helper function instead of accessing the priv
    structure with an ugly macro.

M	gtksourceview/gtksourcecontextengine.c
M	gtksourceview/gtksourcelanguage-private.h
M	gtksourceview/gtksourcelanguage.c

commit 49b167c0a3d0ddcf76c24b9b65ab5d80ea31dd6a
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-12-26

    Factor out utility to lookup the root context definition.

M	gtksourceview/gtksourcecontextengine.c

commit 7f6f2b4adb9044cca4c2e96b12382ab67277c873
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-12-26

    Remove another useless macro

M	gtksourceview/gtksourcecontextengine.c

commit 32e5b19cbcdf6c11b96f377220c98a3765ba78fb
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-12-26

    Remove memory profiling debug code

    It does not work with GRegex which is what we use these days.

M	gtksourceview/gtksourcecontextengine.c

commit bfaeb13381de74dee909b3e7ad9765550c4dc43a
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-12-26

    Use a function instead of a macro

M	gtksourceview/gtksourcecontextengine.c

commit ec7b92a5c816649c82ec1b8294cb4b9fe29180bc
Author: Xandru Armesto <xandru@softastur.org>
Date:	2011-12-20

    Updated asturian translation

M	po/ast.po

commit d4f3001e5df2b7bd7bd4d4cd428f5cf0174bd777
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-12-17

    3.3.1

M	NEWS
M	README
M	configure.ac

commit f01b6d3c5cc2b93a04f18f937163607bfd3e166a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-12-08

    gdk_window_get_pointer is deprecated

M	gtksourceview/gtksourcegutter.c

commit 6142e7e9314c81c28caeff94eb3d7f39d73486e9
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-12-08

    Use g_clear_object

M
gtksourceview/completion-providers/words/gtksourcecompletionwords.c
M
gtksourceview/completion-providers/words/gtksourcecompletionwordsbuffer.c
M	gtksourceview/gtksourcebuffer.c
M	gtksourceview/gtksourcecompletion.c
M	gtksourceview/gtksourcecompletioncontext.c
M	gtksourceview/gtksourceprintcompositor.c
M	gtksourceview/gtksourcestylescheme.c
M	gtksourceview/gtksourceview.c

commit c3607b703381a118f0e099133aea8fe80cb91e93
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-11-26

    Sort schemes alphabetically.

    Sort the array of style schemes so that it can be used in GUIs without
    reimplement sorting.

M	gtksourceview/gtksourcestyleschememanager.c

commit f57208df3bbfd503f988f95085faaa27f909281f
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-11-26

    Sort the languages alphabetically

    Make sure the list of ids is sorted alphabetically so that
    applications
    do not need to reimplement sorting to show the list in the GUI.

M	gtksourceview/gtksourcelanguagemanager.c

commit 194d40ed2e6e27889b201b4c84997b1e7075a3a5
Author: Philip Chimento <philip.chimento@gmail.com>
Date:	2011-11-22

    Allow for multiple GDK backends

    In GDK > 3.0, multiple backends can be built. The pkg-config
    variable that tells the backend is now called 'targets' instead of
    'target'. To determine whether to build for OS X, configure now
    needs to use the GTK_CHECK_BACKENDS macro supplied with GTK, as
    described in the migration guide:
    http://developer.gnome.org/gtk3/3.3/ch25s02.html

M	configure.ac

commit 43cdc6b7fe7470c7dc4a2482569eb4ffdff41ace
Author: Philip Chimento <philip.chimento@gmail.com>
Date:	2011-11-21

    Change IgeMacIntegration to GtkOSXApplication

    Instead of using the deprecated IgeMacIntegration which doesn't work
    on 32-bit Macs, get the locale dir using the quartz_application_...
    API from GtkOSXApplication.

M	configure.ac
M	gtksourceview/Makefile.am
M	gtksourceview/gtksourceview-i18n.c

commit b0376aad6927b4ab43771118f393a17c8b142077
Author: Vinicius Depizzol <vdepizzol@gmail.com>
Date:	2011-11-16

    Fixed a string in Brazilian Portuguese translation

M	po/pt_BR.po

commit bc258fe38dbacc0cd6a237aa616e9ab86b2a4ee4
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2011-11-13

    Updated Galician translations

M	po/gl.po

commit 3f2a4dd2e3b45d6c704840080b50202540aaae73
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-11-05

    [l10n] Updated German translation

M	po/de.po

commit 214d5f40c5d7261bb47c9815574866d12fc4ccbc
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2011-10-25

    Updated Slovenian translation

M	po/sl.po

commit dd418ec72d0c7f09d9944504d8618219501ef741
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2011-10-23

    Updated Spanish translation

M	po/es.po

commit 51104e00788d59606f444f9993fdd94ad13419b1
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2011-10-22

    Updated Hebrew translation.

M	po/he.po

commit 67b86517046dff8deb58ce4d9f6ae2e4562d7727
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-10-19

    completionprovider: remove the out annotation in get_start_iter.

    We have the gtk_text_iter_assign method that will make the work
    to set the iter.

M	gtksourceview/gtksourcecompletionprovider.c

commit d7f71455087425d8cbb7b630df7e36a03aa27159
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-10-19

    Fix typo:

    https://bugzilla.gnome.org/show_bug.cgi?id=662170

M	data/language-specs/ocaml.lang

commit d91d8636d921f06a6f92cd57bd444e7f4eb2fe02
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2011-10-19

    Updated Vietnamese translation

M	po/vi.po

commit 27637d4d46ed0b8b566f77345d92a74454f7cf4a
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2011-10-19

    po/vi: import from Damned Lies

M	po/vi.po

commit a6ff5646317ff76d253b2de9ac0df028367f5d2e
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-10-18

    Updated Spanish translation

M	po/es.po

commit d5a555f57e6aaa17b1e7dce28e3e10f18434209e
Author: krishnababu k <kkrothap@redhat.ocm>
Date:	2011-10-18

    Updated Telugu translations

M	po/te.po

commit 902f04bcb163988a38f610e1ba5899351b25a867
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2011-10-18

    Updated Galician translations

M	po/gl.po

commit 9586367b2cf30650f01d7a9ca0dfb8d2d3f83522
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2011-10-17

    Updated POTFILES.in and POTFILES.skip

M	po/POTFILES.in
M	po/POTFILES.skip

commit 3cf4e587270459f784785f2e5fdf8c40a173dc15
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-10-16

    Release 3.2.2

M	NEWS
M	README
M	configure.ac

commit 34c625e339f5b9945c7e0ae274e92a6531e2a804
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-10-10

    completionprovider: the iter is an out parameter.

M	gtksourceview/gtksourcecompletionprovider.c

commit 1f4c003d3fcccb533a6fb823c44041e56e733bc4
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-10-10

    completioninfo: add better docs.

M	gtksourceview/gtksourcecompletioninfo.c

commit 9ae8cb7a1ee3361506c3a62de400665a6d10d075
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-10-10

    completion: ref the default info widget.

    We need to ref the widget if we are going to reuse it later.

M	gtksourceview/gtksourcecompletion.c

commit 7e1752aeb31ba4d1633afcd1b4e20c0fc3bb73ab
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-10-09

    Release 3.2.1

M	NEWS
M	README
M	configure.ac

commit dd8663dd0caaae5b511d6702520a836be6319161
Author: admin@logicplace.com <admin@logicplace.com>
Date:	2011-10-09

    New JavaScript Object Notation lang

    https://bugzilla.gnome.org/show_bug.cgi?id=660194

M	data/language-specs/Makefile.am
M	data/language-specs/javascript.lang
A	data/language-specs/json.lang
M	po/POTFILES.in
M	tests/testfiles.sh

commit a397720637b3bc8be57b97b1aa12ada69c4eab65
Author: Claude Paroz <claude@2xlibre.net>
Date:	2011-10-08

    Fix definition of GETTEXT_PACKAGE in configure.ac

    Fixes bug #652397. PACKAGE_TARNAME resolved to gtksourceview, while
    the gettext domain is gtksourceview-3.0, resulting in strings from
    language files not translated.

M	configure.ac

commit 8cfeef5c2837b918acc6c40946dcdf09a692e216
Author: Xandru Armesto <xandru@softastur.org>
Date:	2011-10-08

    updated asturian translation

M	po/ast.po

commit 5de8098df21e3a67d5de5273dffc4591e9af4931
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-10-07

    completion: take the ownership of the context right after is passed
    to the completion.

M	gtksourceview/gtksourcecompletion.c

commit b06feee2c752d3dfc92478632e70dcf8af4ab119
Author: Sapphire Becker <guess@logicplace.com>
Date:	2011-09-25

    Fixed regexs that needed - in the set

    https://bugzilla.gnome.org/show_bug.cgi?id=660186

M	data/language-specs/language2.rng

commit 60f9a410463485e619cd6db936fed25959843d28
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-09-20

    rpmspec: add global keyword

M	data/language-specs/rpmspec.lang

commit 21f28135aea0a0d500978c7e03ef35fce29f87b3
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-10-01

    Use *list_free_full

M	gtksourceview/gtksourcecompletionmodel.c
M	gtksourceview/gtksourcecontextengine.c
M	gtksourceview/gtksourcegutter.c
M	gtksourceview/gtksourcelanguage-parser-1.c
M	gtksourceview/gtksourcelanguage-parser-2.c
M	gtksourceview/gtksourcelanguagemanager.c
M	gtksourceview/gtksourcestyleschememanager.c

commit 48bb0bea30750acb058ff75e8c04c35cde74e88c
Author: Edward Sheldrake <ejsheldrake@gmail.com>
Date:	2011-09-28

    rpmspec.lang: fix changelog highlighting

    Match other macros last otherwise they may match other parts.
    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=660389

M	data/language-specs/rpmspec.lang

commit 1e1f9b3bf981f1b88a53a5311583c8b7d08417d9
Author: YunQiang Su <yqsu@src.gnome.org>
Date:	2011-09-28

    update zh_CN translation

M	po/zh_CN.po

commit 2b9163fd2778cdfa511f3d4c6c07ad2738fa279c
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2011-09-27

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 68362c7eb7d58aff17e295a0b6116ed2784a5691
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-09-26

    Release 3.2.0

M	NEWS
M	README
M	configure.ac

commit 4e1b19da94e3be9ebf70b510a1da3814db06a86f
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2011-09-26

    [l10n]Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit af744ee2646682fe2c9d23d1f255c050be9b4f44
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2011-09-24

    Updated Basque language

M	po/eu.po

commit 8970ae6701fad06ec77c23197cbef8384f18289b
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2011-09-24

    Updated Korean translation

M	po/ko.po

commit fd73bc4e1ee63b1341605af04e91dff2df491e54
Author: Flemming Christensen <fc@stromata.dk>
Date:	2011-09-22

    Updated Danish translation

M	po/da.po

commit 494bbdc20d8662047fbacbedc3a283af4210a498
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:	2011-09-20

    [l10n] Updated German translation

M	po/de.po

commit b559c5d3aee2732b06208a7984e80e1d34a90330
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2011-09-20

    Updated Hungarian translation

M	po/hu.po

commit 9ee14ad6af2fd0e99709a08b6fcbc222015302d0
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-09-19

    Release 3.1.6

M	NEWS
M	README
M	configure.ac

commit 91c5e9ecd5bb8172fe67d1d1bfe6532768fe2dbd
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-09-18

    OpenCL.lang files updates from the lang file author

M	data/language-specs/opencl.lang

commit 3d99486edf812ab0ae6a29ed9ba3d4701f66661a
Author: P. F. Chimento <philip.chimento@gmail.com>
Date:	2011-09-15

    Add highlighting for Automake and update Makefile

    This adds an automake.lang to the syntax highlighting, fixing bug
    577596. It also updates makefile.lang so that it highlights shell code
    in the bodies of make rules (which changes are also reflected in
    Automake.) It also adds a new smoke test for the Automake syntax.

M	data/language-specs/Makefile.am
A	data/language-specs/automake.lang
M	data/language-specs/makefile.lang
M	po/POTFILES.skip
M	tests/testfiles.sh

commit 35e47fd8b13cc314494f08b6c50b8dec2caca4db
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-09-18

    Use gtk_separator_menu_item.

    Fixes bug #659355.

M	gtksourceview/gtksourceview.c

commit 083e013088f392fe567da6572df4d957cdc6bd39
Author: A S Alam <aalam@users.sf.net>
Date:	2011-09-18

    update Punjabi Translation

M	po/pa.po

commit b1d41f037333d1ff18067f729e3528c890a16e66
Author: Antonio Fernandes C. Neto <fernandesn@gnome.org>
Date:	2011-09-17

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 7c4671919a595fb56f766a74a30dbc9fae4a7bc4
Author: Yinghua Wang <wantinghard@gmail.com>
Date:	2011-09-17

    update Simplified Chinese (zh_CN) translation

M	po/zh_CN.po

commit 7a202c744571eed2678234ce707164f19b5f244c
Author: Jiro Matsuzawa <jmatsuzawa@src.gnome.org>
Date:	2011-09-17

    Updated Japanese translation

M	po/ja.po

commit 11a8afd24ab003ba89fedd9176c561682f71bb85
Author: Alexander Shopov <ash@kambanaria.org>
Date:	2011-09-16

    Updated Bulgarian translation

M	po/bg.po

commit 793f5b771afec669ef89c05d618e373615519a93
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:	2011-09-15

    hindi update

A	po/hi.po

commit c80fd604ecae420f365d5e4f0e8a0725225249ac
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:	2011-09-15

    hindi update

D	po/hi.po

commit 8e384f4fd3a4c6371a307a9806a3aa6571f3952b
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:	2011-09-15

    hindi update

M	po/hi.po

commit 177843db98890cce61198e9e37e1b1e769155413
Author: dmustieles <daniel.mustieles@gmail.com>
Date:	2011-09-14

    Updated Spanish translation

M	po/es.po

commit 098fa32dfb90414152ea2642ddf4c858682ef4a9
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:	2011-09-11

    Updated Latvian translation.

M	po/lv.po

commit 93e039723e85731492d0dc82db8ba001423dac84
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2011-09-11

    [l10n] Updated Italian translation

M	po/it.po

commit cbe36fb977997549ded056f56bcd3e2f20d2af48
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-09-11

    Add protobuf.lang file by Pavel Artyomkin.

    The file was included in the moo project and Muntyan suggested
    including
    it upstream.

M	data/language-specs/Makefile.am
A	data/language-specs/protobuf.lang
M	po/POTFILES.in

commit 2d5a2a88032a199897ec9502828565832d7eecb0
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2011-09-10

    Updated Portuguese translation

M	po/pt.po

commit ae15719b05916d27ec172c894933baa918a93d9c
Author: Andika Triwidada <andika@gmail.com>
Date:	2011-09-09

    Updated Indonesian translation

M	po/id.po

commit 3427079ce32eb5b5c691574c8d48ccc1eadf0bc4
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2011-09-08

    Updated Polish translation

M	po/pl.po

commit cfae9334a4e2ddc72a50ff646df1a1db0168563b
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2011-09-08

    rpmspec: make { } optional on macro names. Closes bug #656671

M	data/language-specs/rpmspec.lang

commit b97a9431f529dd1659b945527d301a4301d69846
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2011-09-07

    Updated Slovenian translation

M	po/sl.po

commit d5c7240042208d4d66d6229224e5e43334ff3dcb
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:	2011-09-07

    Updated British English translation

M	po/en_GB.po

commit 503bce9240e9644cc3511e47bdf8d1e8ab281380
Author: Stas Solovey <whats_up@tut.by>
Date:	2011-09-07

    Updated Russian translation

M	po/ru.po

commit 7cf4e66455e8b37108d56ec5853d94487faee104
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2011-09-07

    Updated Belarusian translation.

M	po/be.po

commit 1872a1ef2c4352bb385cf1d8cf3a4993c934b338
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2011-09-07

    Updated Belarusian translation.

M	po/be.po

commit 71ce39516cbe900cab2a3a020c4991913454acf2
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:	2011-09-06

    updated Tamil translation

M	po/ta.po

commit 0de231c8fa5b82c7a33cbb72d6df6294bf95e40d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-09-06

    Release 3.1.5

M	NEWS
M	README
M	configure.ac

commit 762cc5e07a95426d1f64aaef26f764298de5aee9
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-09-06

    completion: expand the treeview

M	gtksourceview/gtksourcecompletionui.h

commit 6bd9cb884d2b8e8594a3df0ca7ff816e86e02bc9
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2011-09-04

    Align marks for marks renderer vertically on the first line

M	gtksourceview/gtksourcegutterrenderermarks.c
M	gtksourceview/gtksourceview.c

commit ad793aff9660e635579d62eda60eb79c4811499c
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2011-09-03

    Updated Lithuanian translation

M	po/lt.po

commit ca7e293f7cbf64e83f7dfe87b62d4b7a6657a2ca
Author: Marek Černocký <marek@manet.cz>
Date:	2011-09-02

    Updated Czech translation

M	po/cs.po

commit 44fa0c7f38137c499d103002380b0614fa0b6280
Author: Claude Paroz <claude@2xlibre.net>
Date:	2011-09-02

    Updated French translation

M	po/fr.po

commit fb728eacacbfa556e0301cc31c11287f302f9dd9
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:	2011-08-28

    Added UG translation

M	po/ug.po

commit 25428cfeb2d15337d5d84d2b5c1b4b65443aea45
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2011-08-27

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 6506c12da7f8871d4d28c8a5e54ad5eb53a96915
Author: Gil Forcada <gforcada@gnome.org>
Date:	2011-08-24

    [l10n]Updated Catalan translation

M	po/ca.po

commit 31978529930b6029b330b4a6eba36e570992c317
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-08-24

    Updated Norwegian bokmål translation

M	po/nb.po

commit 605958d81a55d61be8e419c1eff5d805a3c9d6fe
Author: Andika Triwidada <andika@gmail.com>
Date:	2011-08-21

    Updated Indonesian translation

M	po/id.po

commit 4df045a3907eec541990e78ddb39753a9ef863ce
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-08-15

    Handle drawing spaces at line-wrap positions

    When gtk decides to wrap a line, the space allocated for the space
    character at the line-wrap position is 0-width, so we need to special
    case. Fixes bug #654096.

M	gtksourceview/gtksourceview.c

commit faeb3d47fe52af6c99aee2f1f53387bf6c0885d9
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-08-14

    [l10n] Updated German translation

M	po/de.po

commit 412fea8219daf4ba4eaef107587ded2b2e9348e1
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-08

    configure: add AM_GNU_GETTEXT_VERSION([0.17]) and
    AM_GNU_GETTEXT([external])

    Without it ENABLE_NLS is not set in config.h so we don't get gsv
    translated.

M	configure.ac

commit 23553d1c9aae356f7cd60cbc2dba69b18e4496a1
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-08

    Release 3.1.4

M	NEWS
M	README
M	configure.ac

commit 72d63d7cabc8963dd129d585457f7eac3df71b44
Author: Fran Dieguez <fran@openhost.es>
Date:	2011-08-07

    Updated Galician translations

M	po/gl.po

commit 8cf7cecb86cfa31a001924076846d7554f831a6e
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2011-08-06

    Updated Hebrew translation.

M	po/he.po

commit edfddf9896685eb308afae948d777f8ae187cc4a
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-08-04

    Updated Spanish translation

M	po/es.po

commit edf596843ee042a0f5741cc3f78982efc03e61cd
Author: Daniel Nylander <po@danielnylander.se>
Date:	2011-08-03

    Updated Swedish translation

M	po/sv.po

commit 7fbc4c8f5ce53172afc3ba5aaf7b7da3aa430984
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2011-08-01

    css.lang: include ref to close-comment-outside-comment in the
    style-block

M	data/language-specs/css.lang

commit c055f445c385bed277ac9aa8f0af68559bfb07b5
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2011-08-01

    css.lang: replaced comments contexts by refs to def.lang

M	data/language-specs/css.lang

commit ce6df4ba116094a259b84f5ce0c1ffb099027e17
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2011-08-01

    css.lang: fix incorrect highlight of /* as error inside
    comment. Closes bug #655729

M	data/language-specs/css.lang

commit 1bc613b40f4002a39e478640f0018463ee57b301
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2011-08-01

    css.lang: moved included style-block contexts outside. Closes
    bug #617132

M	data/language-specs/css.lang

commit 63cdbb57576bc6dfb90ee25901c6554e27f18fd9
Author: Patryk Zawadzki <patrys@pld-linux.org>
Date:	2011-08-01

    css.lang: more strict parsing and support for selectors. See bug
    #617132

M	data/language-specs/css.lang

commit 8a3aa4c59ba6bcd36235a8a2fbabb876cc08f600
Author: Jean-Philippe Fleury <contact@jpfleury.net>
Date:	2011-06-21

    Fixes misspelled txt2tags name.

    GNOME Bug #653034. For reference, see the following:

    - http://en.wikipedia.org/wiki/Txt2tags
    - http://txt2tags.org/

M	data/language-specs/t2t.lang

commit 441935c4844589370e4645ce9b3c87c7268670cd
Author: Krzesimir Nowak <qdlacz@gmail.com>
Date:	2011-07-29

    Fixed annotation for gtk_source_gutter_get_renderer_at_pos.

    https://bugzilla.gnome.org/show_bug.cgi?id=655585

M	gtksourceview/gtksourcegutter.c

commit 501f8e70cdbc32d75d072194903c2378798436c2
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2011-07-23

    Added gtk_source_gutter_get_renderer_at_pos

M	gtksourceview/gtksourcegutter.c
M	gtksourceview/gtksourcegutter.h

commit ce64426d791c800a6c0968499b4a85d3527b95ca
Author: Yuri Kozlov <yaray@komyakino.ru>
Date:	2011-07-23

    Updated Russian translation

M	po/ru.po

commit 08e80d1e493e4e36a50c33e5c6789f85507ccacf
Author: Roman Mátyus <romanmatyus@gmail.com>
Date:	2011-07-20

    Updated Slovak translation

M	po/sk.po

commit 373f289ffe3df166d8d2558508e847a048d3f9da
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2011-07-19

    Updated Slovenian translation

M	po/sl.po

commit 86c7cd722a850a50155dfdad0430066a6adefb0e
Author: sebn <sebastien.nicouleaud@gmail.com>
Date:	2011-07-19

    ruby.lang: new file extensions for ruby. Closes bug #615771

M	data/language-specs/ruby.lang

commit 9a155a912c52ad22d4b5d8008bab6779e85d2964
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2011-07-19

    c.lang: highlight for new types. Closes bug #625473

M	data/language-specs/c.lang

commit 3730d56663307d19fd0010f759dfcc1ddad30b5e
Author: Marek Černocký <marek@manet.cz>
Date:	2011-07-19

    Updated Czech translation

M	po/cs.po

commit 6fd4419545acd5a43fc4daa2a694b8be8a580bf4
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-07-18

    Updated Norwegian bokmål translation

M	po/nb.po

commit 009a7343a305247b76b14e568684ee9ea041587b
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2011-07-16

    perl.lang: updates to language * highlight for new switch statement *
    updated list of pragmas * new type of variable 'state'

M	data/language-specs/perl.lang

commit 8b9b4856d1e2017a8d097cbdf38fe49d1b8df864
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2011-07-15

    Updated Hebrew translation.

M	po/he.po

commit e79b4ba3d5be8aa4d4deb9564550f00ae38586d7
Author: José Aliste <jaliste@src.gnome.org>
Date:	2011-07-13

    build: Fix generation of TypeEnums on MacOSX.

    The use of "sed -i 'regex' file" is not portable.
    Use "sed -i -e 'regex' file" instead.

M	gtksourceview/Makefile.am

commit c5b35b28f04659168e252d4a8236e3391935134b
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:	2011-07-12

    Updated Latvian translation.

M	po/lv.po

commit 8991e905aca0b96d431815a494ecd02e6841076e
Author: Muhammet Kara <muhammet.k@gmail.com>
Date:	2011-07-08

    [l10n]Updated Turkish translation

M	po/tr.po

commit 1bf2109eb50987ae1c58263b37fc43ec2770c31c
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2011-07-06

    Updated Spanish translation

M	po/es.po

commit 0e3521ba5a883c4dde9cc98e729bf58f4fdf3213
Author: Fran Dieguez <fran@openhost.es>
Date:	2011-07-04

    Updated Galician translations

M	po/gl.po

commit ab5d63e3e0c12b9333db133a7a27d796b79cffd1
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-07-04

    latex: add cite keyword

M	data/language-specs/latex.lang

commit 98fccc81d02fc3cb87e59f25c8512d7b2a252c96
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-07-04

    Release 3.1.3

M	NEWS
M	README
M	configure.ac

commit f2bb0cfb6a14362046380ed82193662e50ab072f
Author: Jean-Philippe Fleury <contact@jpfleury.net>
Date:	2011-07-03

    Add markdown language file.

    https://bugzilla.gnome.org/show_bug.cgi?id=384446

M	data/language-specs/Makefile.am
A	data/language-specs/markdown.lang
M	po/POTFILES.in

commit 914fc7c4d214db6f6a7746546fd3118a9e946706
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2011-07-02

    Updated Hebrew translation.

M	po/he.po

commit ed9df14d7b544ea3e6ccd5093d80a7aa0a2daf44
Author: Rico Tzschichholz <ricotz@t-online.de>
Date:	2011-06-26

    Fix linker failure building gtk-docs

M	docs/reference/Makefile.am

commit 501b9c8d2250ef9377625804f4485a32ce31e787
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-23

    gtksourcestylescheme: the css generation is done after parsing
    the xml.

    It is non-sense to generate the css everytime the style is applied.
    One scheme is inmutable so we must just generate the style once.

M	gtksourceview/gtksourcestylescheme.c

commit fba789f71c2e53644dcdd39921f12c1a001f2530
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-23

    gtksourcestylescheme: add dispose

M	gtksourceview/gtksourcestylescheme.c

commit 9ba6e86db7aa1d985580d7edf4f86528cb8aff10
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-23

    gtksourcestyle: unset styles if they don't exist

M	gtksourceview/gtksourcestyle.c

commit 5ddb10629ac20d1fc999c26467a974bafab3ffae
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-22

    gir: add single include to introspection flags

M	gtksourceview/Makefile.am

commit 0430e3237f9295628421e55c9e054948e44bab17
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-22

    Add gtksource.h for single includes

M	gtksourceview/Makefile.am
A	gtksourceview/gtksource.h

commit 749fbfab6b23f554d84ec8bfbd2a03004c46a3ee
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2011-06-21

    Updated Galician translations

M	po/gl.po

commit 945796ff19ad9a01c600129f972ae0a4d1f8362e
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2011-06-20

    Update javascript lang to the latest specification

    Fixes bug #651041 javascript - update to ECMA specification (with
    special omissions)

M	data/language-specs/javascript.lang

commit 55718d95cf57414267a680311a22b172a7d50cd8
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-19

    configure.ac: fix typo

M	configure.ac

commit 6606443f53ebc614b30020c3d6824cfebb45fa92
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2011-06-19

    Updated Slovenian translation

M	po/sl.po

commit 278148577b44f3a6226987e24e2063d254330755
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2011-06-19

    Updated Spanish translation

M	po/es.po

commit f248e278f7d2efcbd8216495b4737d8fdc0e496d
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-06-19

    Updated Spanish translation

M	po/es.po

commit 824e8b229f7085609c3b0fabfaf100682d68173d
Author: Ming Han Teh <tehminghan@gmail.com>
Date:	2011-05-15

    Added Standard ML lang.

    https://bugzilla.gnome.org/show_bug.cgi?id=650209

M	data/language-specs/Makefile.am
A	data/language-specs/sml.lang
M	po/POTFILES.in

commit efdfc7bbcdad54ebf6ec60e3d752ebee4c6a316d
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-06-18

    Mark some lang files for translation now that we are not string frozen

M	po/POTFILES.in
M	po/POTFILES.skip

commit 7bffc465041e9bbba363339d5f37ab08f66fee33
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-06-18

    Change capitalization of "DocBook" and "DOS Batch".

M	data/language-specs/docbook.lang
M	data/language-specs/dosbatch.lang

commit ce50922344da7d7844b0e883ac4b7554eccb59bf
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-16

    oblivion: add latex specific colors

M	data/styles/oblivion.xml

commit 9479b23fe67d00ef1b4a221a5dbf4261d1254745
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-13

    Release 3.1.2

M	NEWS
M	README
M	configure.ac

commit 13cec8f6183012938f42df1f03a1bff6795b68b6
Author: Garrett Regier <alias301@gmail.com>
Date:	2011-06-12

    No longer use Gtk[HV]Box as it is deprecated

M	gtksourceview/gtksourcecompletionui.h
M	gtksourceview/gtksourcegutterrenderermarks.c
M	tests/test-completion.c
M	tests/test-widget.c

commit 5bf4041f901cce7f407f92bcd7ee5afcc4f80475
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2011-06-11

    Updated Slovenian translation

M	po/sl.po

commit fff9d19e73cf5de88241cffa571759c58678f78b
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2011-06-06

    Updated Galician translations

M	po/gl.po

commit 142a4fa6b72fb80e412efc67638a57d7ecc1adb3
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2011-06-03

    Updated Hebrew translation.

M	po/he.po

commit 1469b010d20eef65a2d5433376fa0ce6c56c39c6
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-06-01

    Release 3.1.1

M	NEWS
M	README
M	configure.ac

commit cad502efbb25eef390bc8d5bd93ad83ba3285471
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2011-05-31

    ImageJ: Removed ref to unexistent context. Closes #651555

M	data/language-specs/imagej.lang

commit b62d7ffb2858c2773788baf6864d89075ffa8cad
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2011-05-29

    [l10n]Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit d7fce093cb6d7e5936352204cc21653bc087fc5e
Author: Daniel Mustieles <daniel.mustieles@gmail..com>
Date:	2011-05-29

    Updated Spanish translation

M	po/es.po

commit ba83a8292d32175966d169281178b23a3ddbcb20
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-05-26

    objj: mark name for translation

M	data/language-specs/objj.lang

commit fdf9cdf2b2e12ff70ef7be423cf0dfe2421a6c3c
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2011-05-26

    java.lang: ref comments to def and aligned styles

M	data/language-specs/java.lang

commit 2e01198d08519859776b4cad8af6fdcaddd7d968
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2011-05-26

    bennugd.lang: clean up to use refs to def and c (bug #651179) *
    ref comments to def.lang * ref char and string to c * removed no
    longer necessary styles * removed trailing spaces

M	data/language-specs/bennugd.lang

commit f2b6847a3b15a5672539fac74e9cfc34d9f57dc8
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2011-05-26

    bennugd: changed line ending to Unix/Linux (from MacOS classic)

M	data/language-specs/bennugd.lang

commit 1b93e59e3ee04bbe2367d076098951d0ec3a5cc0
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2011-05-26

    Added ImageJ example to testfiles.sh (bug #648491)

M	tests/testfiles.sh

commit e1dea4d8a69f7c0e81cce4051e8d5adcfc4561e7
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2011-05-26

    New lang file for ImageJ macros (closes bug #648491)

M	data/language-specs/Makefile.am
A	data/language-specs/imagej.lang
M	po/POTFILES.in

commit 077be6f4f174952d09d5af6477003375ea5ca982
Author: Jim R. Wilson <wilson.jim.r@gmail.com>
Date:	2011-05-25

    added regex support to javascript preventing incorrect highlight of
    them as end-multiline-comment

    https://bugzilla.gnome.org/show_bug.cgi?id=600241

M	data/language-specs/javascript.lang

commit 9411e271e3dcf621353b55d870f9109452e606c4
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2011-05-25

    Under direction of people on ##javascript * added prefix \. to
    properties * moved Math to constructors * moved null to types *
    moved POSITIVE/NEGATIVE_INFINITY to properties * added note on how to
    highlight undefined properly * moved objects context keywords into
    properties * removed no longer necessary styles * changed functions
    style ref to def:builtin

M	data/language-specs/javascript.lang

commit 04f823fd1d842c141c5e49168fc76e86cd3df550
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2011-05-25

    Moved contexts definitions out of main context

M	data/language-specs/javascript.lang

commit dd49266dc151f0866caaadcad8047cd32eac3ec3
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2011-05-25

    ref string contexts to def and removed respective styles

M	data/language-specs/javascript.lang

commit 29edc71179d30807bdd3d0262a3af47a751552fe
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2011-05-25

    fixed indentation for 2 spaces

M	data/language-specs/javascript.lang

commit 9fc5cba523a79f7f544c8372059615286f31b862
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2011-05-25

    ref comment and error on comments contexts to def and removed
    respective styles

M	data/language-specs/javascript.lang

commit 6ac89259f712b55ee9b0aca3235d05a9bb28434a
Author: Sebastien Bacher <seb128@ubuntu.com>
Date:	2011-05-25

    Don't use both intltool and gettext rules since they conflict
    (#627789)

M	configure.ac

commit 60a6436f1e62707b9c6fb6b0a1030b5d4e1e955a
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2011-05-25

    bugfix where ref to contexts of c comments were broken

M	data/language-specs/c.lang

commit 1571a1c48566f22c826cb593da53a942d8542d91
Author: Dag Odenhall <dag.odenhall@gmail.com>
Date:	2011-05-25

    [javascript] add *.json glob. Fixes bug #617239

M	data/language-specs/javascript.lang

commit f4e429747fbbf6a9dc4c9e15a9693494f97f12ee
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-05-25

    Release 3.0.2

M	NEWS
M	README
M	configure.ac

commit 84e2e77babfacfaccd5805405f51785b59ebe508
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-05-25

    Fix lang files

M	data/language-specs/c.lang
M	data/language-specs/cuda.lang
M	data/language-specs/opencl.lang
M	data/language-specs/yacc.lang

commit 480e7b27f59e1f4960eb898090b3b0f69ca69139
Author: Olav Vitters <olav@vitters.nl>
Date:	2011-05-24

    Use tar-ustar instead of tar-pax to ensure OpenBSD compatibility

M	configure.ac

commit 44353404cbac44b65869a1417543f02e2f67ffb8
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2011-05-18

    Fixed indentation to 2 spaces

M	data/language-specs/def.lang

commit 53a5d60659d01409e749677fe337354895563d0f
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2011-05-18

    Added ref to def block comment error to all lang files that had refs
    to def:c-like-comments

M	data/language-specs/cuda.lang
M	data/language-specs/opencl.lang
M	data/language-specs/yacc.lang

commit a3206061017c27063dd16ad155f23bd535a10fd4
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2011-05-18

    Removes comments from c.lang instead add ref to def c-like
    coments. Fixed all lang files that had ref to comments context
    on c.lang

M	data/language-specs/c.lang
M	data/language-specs/cuda.lang
M	data/language-specs/glsl.lang
M	data/language-specs/opencl.lang
M	data/language-specs/yacc.lang

commit cfcc42f6e5475de4686c9ca93048e9e1e55e04a7
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2011-05-18

    added c-like comments to def.lang removed some empty lines to make
    grouping of styles more clear

M	data/language-specs/def.lang

commit 43d9529fc42f29382e8ad640678ed83f38a7070f
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2011-05-18

    fixed identation to 2 spaces

M	data/language-specs/c.lang

commit 92311794113013127ca2c42d14d91b67b0558370
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2011-05-18

    Moved contexts out of main context and placed main context to
    bottom. Moved regexs to top.

M	data/language-specs/c.lang

commit 61ad8de5132b8ef763e2efc9534f7603d0494745
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2011-05-03

    Removed unecessary style-ref on lang files.

M	data/language-specs/boo.lang
M	data/language-specs/libtool.lang
M	data/language-specs/po.lang
M	data/language-specs/sh.lang

commit 836c8860ee6680337f9a86c713658b71dbd8a9ed
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2011-05-03

    Comment class to comments context in def lang.

M	data/language-specs/def.lang

commit 8b239ff383c27273be64417b6f04f0dadab6652a
Author: Javier Jardón <jjardon@gnome.org>
Date:	2011-05-02

    configure.ac: Generate xz tarballs instead bz2

    Also use pax tar format to avoid problems with large files

M	configure.ac

commit 476c5329d07c86e8e8862af0c66c8dbef9aad059
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:	2011-05-01

    Removed classes that had been commited by accident and do not
    actually exist.

M	data/language-specs/c.lang
M	data/language-specs/octave.lang

commit bc5135caca489a1e9e8bf7ff22bb9e3d45ef25e0
Author: Carnë Draug <carandraug.ml@gmail.com>
Date:	2011-04-28

    no spell check on macro argument names

M	data/language-specs/texinfo.lang

commit d53c4a9706475bbd10a558c264e873896139110d
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-04-25

    Release 3.0.1

M	NEWS
M	README
M	configure.ac
M	po/POTFILES.skip

commit 88592923484b02c12879e026d569253a28080657
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-04-25

    Add objective-j lang

    https://bugzilla.gnome.org/show_bug.cgi?id=637504 patch from Patryk
    Zawadzki.

M	data/language-specs/Makefile.am
A	data/language-specs/objj.lang
M	po/POTFILES.in

commit c03d132191f44e6143b7960b3eb42f2896c933e2
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-04-25

    Highlight css inside the <style> tag.

    https://bugzilla.gnome.org/show_bug.cgi?id=638804

M	data/language-specs/html.lang

commit f25a00aefa97fcd47a73ee9d40c93eb2a4d2dc5b
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-04-25

    Split and update matlab and octave lang files.

    The two syntaxes have grown too different to keep a single lang file.
    Split in two files and leverage inclusion to share common parts.
    Octave lang file can then be improved with all the octave specific
    extensions. Patch by Carnë Draug.

M	data/language-specs/Makefile.am
A	data/language-specs/matlab.lang
M	data/language-specs/octave.lang
M	po/POTFILES.in
M	po/POTFILES.skip

commit c4cefd24310f8712563268d51d98bdd879170fc3
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:	2011-03-13

    Vala syntax highlighting plugin updated

    * Added extension support to *.vapi files
    * Support for verbatim strings (triple quoted strings)
    * Dropped standard string support since Vala supports multiline
       strings by default
    * Support for string templates highlighting
       Each string starting with @" is now parsed for variable references
       (using the $ prefix) or for expressions (using the $(expr)
       container)
    * Dropped support for strings with single quote (they are char's!)
    * Support for directives (#if, #else, #elif, #endif)
    * Support for #if 0, #if false comments
    * Support for @identifiers: they aren't highlighted now
    * Added async modifier keyword
    * Use void as a type
    * Support for Vala attributes
    * Support for types declaration highlighting
    * Support for gtk-doc syntax in comments
    * Fallback to c implementations for decimal, hexadecimal, float, octal
       and char (before not supported)

M	data/language-specs/vala.lang

commit ad588f4f6f816944b1e715eecc3d472e87b780cf
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-04-25

    Add opencl.lang

    Add OpenCL syntax file by Vincent Hindriksen. The file is in
    POTFILES.skip for now since we are string frozen

M	data/language-specs/Makefile.am
A	data/language-specs/opencl.lang
M	po/POTFILES.skip

commit 897a9d00b239ae374c4b7acbdf74b1f31d5cabcb
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:	2011-04-24

    Added UG translation

M	po/ug.po

commit 4c9465490e0b11eacc24be2bdd945e203e277703
Author: Gintautas Miliauskas <gintautas@miliauskas.lt>
Date:	2011-04-19

    Updated Lithuanian translation.

M	po/lt.po

commit e7d260522bbaa40e23c97ee28d7b523e51e9eed3
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-04-14

    Add missing types.

M	data/language-specs/pascal.lang

commit 3832c15af907cfbe7175fcd5c10966c5cf58ac67
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-04-12

    Add translation context. Fixes bug #629281

M	data/language-specs/R.lang
M	data/language-specs/css.lang
M	data/language-specs/java.lang
M	data/language-specs/po.lang
M	data/language-specs/ruby.lang

commit 7161492183d6f2df175b0ee675f7b2bae840ca81
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-04-12

    Add translation context. Fixes bug #619627

M	data/glade/gtksourceview.xml.in

commit 26cfde422e120db005b4527274b7cc02ae1e3f1d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-04-12

    Add context for translators. Fixes	bug #629278

M	data/language-specs/csharp.lang

commit d286551196eaaf6dd2ea13c35aa864977a0ce4f2
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-04-12

    Add context for translators. Fixes bug #629275

M	data/language-specs/fsharp.lang

commit bb6051c43d219c84dcace29774416e4f075052fb
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-04-12

    Fortran call interpreted as a comment. Fixed by Seb35.

    https://bugzilla.gnome.org/show_bug.cgi?id=645724

M	data/language-specs/fortran.lang

commit e81fddf560eae5f51c14943664d2f7f29a9eb74a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-04-12

    GTK accelerators highlight for Cyrillic letters. Fix by Urmas

    https://bugzilla.gnome.org/show_bug.cgi?id=621991

M	data/language-specs/po.lang

commit 79a1a184dd73f050dee9750818d9a48c96534ece
Author: Eiichi Sato <sato.eiichi@gmail.com>
Date:	2011-01-24

    fixed #640374: Interactive completion not triggered with some
    condition.

M	gtksourceview/gtksourcecompletion.c

commit 9610bc99917ce184615dd9ad263d637de9169d7d
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:	2011-04-10

    Add Esperanto translation

M	po/LINGUAS
A	po/eo.po

commit 56a4a9004c57b7a202fd3c881d9c04622f6d738a
Author: Juan Dapena Paz <karion.siand@gmail.com>
Date:	2011-04-08

    Add comment-note class.

    This class shows FIXME|TODO|XXX

M	data/language-specs/def.lang

commit 83422d0938f795ff571fef4043a6bfe383050683
Author: Jordi Serratosa <serratosa@gmail.com>
Date:	2011-04-04

    [l10n]Fixes on Catalan translation

M	po/ca.po

commit e7525a86f40bfa5580d0a4634cdbff6d65f4f98b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-04-04

    Release 3.0.0

M	NEWS
M	README
M	configure.ac

commit ea3c5e2a8236e800d0383c172b657661f54a8020
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2011-04-03

    [l10n] Updated Italian translation

M	po/it.po

commit 19812a741c8fd6966c7f715198493083f381f4c0
Author: Luca Ferretti <lferrett@gnome.org>
Date:	2011-04-03

    Updated Italian translation

M	po/it.po

commit 24ea73a3dd3a4df1e58bd9bc3b0ddb30e042ef19
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2011-04-03

    Updated Vietnamese translation

M	po/vi.po

commit 99eef8bbce4f57ce31c65b9488828ef386aa9048
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2011-04-03

    po/vi.po: import from Damned Lies

M	po/vi.po

commit bbcb92fb3641d4227dbdf1552943277fd3529342
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:	2011-04-03

    Updated Tamil translation

M	po/ta.po

commit b7c07bca779d403ccd9925e46a37bd522243571b
Author: Shankar Prasad <svenkate@redhat.com>
Date:	2011-04-02

    Updated kn translations

M	po/kn.po

commit 1fb0b1e6009c4af2ddea8ceee81dad02504adf97
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2011-04-01

    Updated Hungarian translation

M	po/hu.po

commit cd067f38be683a45da56f4ed2129c4ea282f6969
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2011-04-01

    Updated Basque language

M	po/eu.po

commit b5dc34a07cf0202a9add6dbdc78578ef390deae9
Author: Miroslav Nikolić <miroslavnikolic@rocketmail.com>
Date:	2011-03-31

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 902a16a93573d1b1c4524c196fc54989e247fbb8
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:	2011-03-30

    Updated Danish translation

M	po/da.po

commit 44ca72457f3a6b773aca400f7b89c9a89866ac9a
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:	2011-03-29

    [l10n] Updated German translation

M	po/de.po

commit 81caf355dbf886efac7fc3d0ce401a5c82630df7
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:	2011-03-28

    hindi updated

M	po/hi.po

commit 32d93c22a937a6acfda2d069c7e4104cfbea31d6
Author: Henrique P. Machado <hpmachado@gnome.org>
Date:	2011-03-27

    Updated Brazilian Portuguese translation.

M	po/pt_BR.po

commit 0012d9c842aae2b679fc9c96580b26572fb14a4a
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:	2011-03-27

    Added UG translation

M	po/ug.po

commit f1c981995d65c48ecda9606fd9ced4675f782ab9
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-03-26

    Updated Norwegian bokmål translation

M	po/nb.po

commit 9a4244058aa745de8b29be656d2326166e9d0330
Author: Aron Xu <aronxu@gnome.org>
Date:	2011-03-25

    Update Simplified Chinese translation.

M	po/zh_CN.po

commit a2d99847f51301d776656152c12aa969032eb5a0
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-03-22

    2.91.9

M	NEWS
M	README
M	configure.ac

commit c08f3c12456e7a61ae89b593a660fffd6c8fe267
Author: Garrett Regier <alias301@gmail.com>
Date:	2011-03-20

    Fix #define namespace

M	docs/reference/gtksourceview-3.0-sections.txt
M	gtksourceview/Makefile.am
M
gtksourceview/completion-providers/words/gtksourcecompletionwords.c
M
gtksourceview/completion-providers/words/gtksourcecompletionwords.h
M
gtksourceview/completion-providers/words/gtksourcecompletionwordsbuffer.c
M
gtksourceview/completion-providers/words/gtksourcecompletionwordsbuffer.h
M
gtksourceview/completion-providers/words/gtksourcecompletionwordslibrary.c
M
gtksourceview/completion-providers/words/gtksourcecompletionwordslibrary.h
M
gtksourceview/completion-providers/words/gtksourcecompletionwordsproposal.c
M
gtksourceview/completion-providers/words/gtksourcecompletionwordsproposal.h
M	gtksourceview/gtksourcebuffer.c
M	gtksourceview/gtksourcebuffer.h
M	gtksourceview/gtksourcecompletion.c
M	gtksourceview/gtksourcecompletion.h
M	gtksourceview/gtksourcecompletioncontext.c
M	gtksourceview/gtksourcecompletioncontext.h
M	gtksourceview/gtksourcecompletioninfo.c
M	gtksourceview/gtksourcecompletioninfo.h
M	gtksourceview/gtksourcecompletionitem.c
M	gtksourceview/gtksourcecompletionitem.h
M	gtksourceview/gtksourcecompletionmodel.c
M	gtksourceview/gtksourcecompletionmodel.h
M	gtksourceview/gtksourcecompletionproposal.c
M	gtksourceview/gtksourcecompletionproposal.h
M	gtksourceview/gtksourcecompletionprovider.c
M	gtksourceview/gtksourcecompletionprovider.h
M	gtksourceview/gtksourcecompletionutils.c
M	gtksourceview/gtksourcecontextengine.c
M	gtksourceview/gtksourcecontextengine.h
M	gtksourceview/gtksourceengine.c
M	gtksourceview/gtksourceengine.h
M	gtksourceview/gtksourcegutter.c
M	gtksourceview/gtksourcegutter.h
M	gtksourceview/gtksourcegutterrenderer.c
M	gtksourceview/gtksourcegutterrenderer.h
M	gtksourceview/gtksourcegutterrendererlines.c
M	gtksourceview/gtksourcegutterrendererlines.h
M	gtksourceview/gtksourcegutterrenderermarks.c
M	gtksourceview/gtksourcegutterrenderermarks.h
M	gtksourceview/gtksourcegutterrendererpixbuf.c
M	gtksourceview/gtksourcegutterrendererpixbuf.h
M	gtksourceview/gtksourcegutterrenderertext.c
M	gtksourceview/gtksourcegutterrenderertext.h
M	gtksourceview/gtksourcelanguage.c
M	gtksourceview/gtksourcelanguage.h
M	gtksourceview/gtksourcelanguagemanager.c
M	gtksourceview/gtksourcelanguagemanager.h
M	gtksourceview/gtksourcemark.c
M	gtksourceview/gtksourcemark.h
M	gtksourceview/gtksourcemarkattributes.c
M	gtksourceview/gtksourcemarkattributes.h
M	gtksourceview/gtksourceprintcompositor.c
M	gtksourceview/gtksourceprintcompositor.h
M	gtksourceview/gtksourcestyle-private.h
M	gtksourceview/gtksourcestyle.c
M	gtksourceview/gtksourcestyle.h
M	gtksourceview/gtksourcestylescheme.c
M	gtksourceview/gtksourcestylescheme.h
M	gtksourceview/gtksourcestyleschememanager.c
M	gtksourceview/gtksourcestyleschememanager.h
M	gtksourceview/gtksourceundomanager.c
M	gtksourceview/gtksourceundomanager.h
M	gtksourceview/gtksourceundomanagerdefault.c
M	gtksourceview/gtksourceundomanagerdefault.h
M	gtksourceview/gtksourceview.c
M	gtksourceview/gtksourceview.h
M	tests/test-buffer.c
M	tests/test-completion.c
M	tests/test-languagemanager.c
M	tests/test-printcompositor.c
M	tests/test-widget.c

commit 4c2e1655474f3e445cd719fe26a20ee96e09b7b8
Author: Jordi Mas <jmas@softcatala.org>
Date:	2011-03-20

    Catalan translation fixes

M	po/ca.po

commit 79b9a290698aa8efcfbfcc19c9113757dd5e511a
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:	2011-03-20

    Updated Latvian translation.

M	po/lv.po

commit 49e7935f095aec0f61ad435dafb38282bd81980f
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2011-03-18

    Uploaded Ukranian

M	po/uk.po

commit 8ee1a3c36ce58b60dca0013d62120989cd32732e
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2011-03-17

    Updated Portuguese translation

M	po/pt.po

commit 4effed50c9b4b8d8f4dd06f67b1557370a6b9ca9
Author: Gil Forcada <gforcada@gnome.org>
Date:	2011-03-16

    [l10n]Updated Catalan translation

M	po/ca.po

commit dcb1259af1d073a1f5f32c60d5b6a5571bf70631
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:	2011-03-15

    Updated Slovenian translation

M	po/sl.po

commit d784fdac274ef7cecab4ee613528bf4b2d888880
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2011-03-15

    Updated Hungarian translation

M	po/hu.po

commit d27fec22c3f50bcd3c384256b8ad75d662033c7f
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-03-13

    Do not use G_CONST_RETURN anymore. This macro is going to be
    deprecated.

M	gtksourceview/gtksourcelanguagemanager.c
M	gtksourceview/gtksourcelanguagemanager.h
M	gtksourceview/gtksourcestylescheme.c
M	gtksourceview/gtksourcestylescheme.h
M	gtksourceview/gtksourcestyleschememanager.c
